Skinning Windows XP

Team LiB
Next Section
Book Cover
• | Table of Contents
• | Index
Skinning Windows XP
By Joe Habraken
Publisher | : Que
Pub Date | : March 24, 2005
ISBN | : 0-7897-3348-X
Pages | : 336

When you pick out something to wear in the morning, you choose the clothes that best fit your mood and personality that day. Same with the music we listen to and even the cars we drive. We instinctively surround ourselves with the things that are reflective of our personalities, so why not our computers? Skinning Windows XP will show you how to take the Microsoft Windows Graphical User Interface to a whole new visual and functional level. Through step-by-step instructions, you will learn how to customize your Windows XP theme, icons and backgrounds using skinning software. Not sure what skinning software is or where to find it? You'll learn about that, too. You will become familiar with the Windows desktop structure and components and learn how to alter the elements to create a personalized desktop experience. Along with a 16-page, full-color insert with before and after shots of skins for inspiration, Skinning Windows XP will help you technologically express yourself.

Team LiB
Next Section


Table of Contents

Team LiB
Book Cover
• | Table of Contents
• | Index
Skinning Windows XP
By Joe Habraken
Publisher | : Que
Pub Date | : March 24, 2005
ISBN | : 0-7897-3348-X
Pages | : 336

Copyright
About the Authors
Acknowledgments
We Want to Hear from You!
I Introduction
 | Conventions Used in This Book
 | How This Book is Organized
Part I: Windows XP Theme Basics
 | Chapter 1. Understanding the Windows XP Graphical User Interface
 |  | The Possibilities for Customizing Windows XP
 |  | The Evolution of the XP Interface
 |  | The Windows XP Desktop
 |  | Modifying the Windows XP GUI Environment
 |  | Themes Versus Visual Styles Versus Skins
 | Chapter 2. Basic Windows XP Interface Modifications
 |  | Adding Icons to the Desktop
 |  | Changing Desktop Icons
 |  | Modifying Folder Icons
 |  | Arranging Icons on the Desktop
 |  | Understanding and Modifying XP Interface Components
 |  | Setting the Screen Resolution and Color Quality
 |  | Changing the Windows Font Size
 |  | Modifying the Start Menu
 |  | Modifying the Taskbar
 | Chapter 3. Applying and Downloading Windows Themes
 |  | How Themes are Stored
 |  | Exploring Theme Elements
 |  | Changing the Default Theme
 |  | Changing the Background
 |  | Where to Find Great Windows XP Themes
 |  | Downloading the Theme
 |  | Applying Zipped Themes
 |  | Applying Executable File Themes
 |  | The Next Step
 | Chapter 4. Creating Windows XP Themes from Scratch
 |  | The Elements of Your Theme
 |  | Your Theme Should Have a Theme
 |  | Selecting Theme Elements in the Display Properties Dialog Box
 |  | Editing the Appearance Settings
 |  | Selecting Mouse Pointers for the Theme
 |  | Creating a Sound Scheme for the Theme
 |  | Saving the Desktop Theme
 |  | Fine-tuning the Desktop Theme
Part II: Introducing Skinning Software
 | Chapter 5. A Primer on Third-Party Theme and Skins Software
 |  | Looking at the Choices
 |  | Selecting Skinning Software
 |  | At Your Own Risk: Patching the uxtheme.dll
 |  | Downloading and Installing Skinning Software
 |  | Downloading Themes and Skins
 | Chapter 6. A Closer Look at Skinning Software
 |  | What is TGTSoft Style XP?
 |  | Downloading and Installing Style XP
 |  | Working with the Style XP Interface
 |  | Skinning with Style XP
 |  | Downloading Skins for Style XP
 |  | What Is RocketDivision StarSkin?
 |  | Becoming Familiar with the StarSkin Interface
 |  | Downloading and Using StarSkin Themes
 |  | What Is WindowBlinds?
 |  | Using WindowBlinds
 |  | Understanding Object Desktop
 |  | Using the Stardock Theme Manager
Part III: Creating Your Own Skins
 | Chapter 7. The Basics of Creating Your Own Skins
 |  | The Possibilities for Skin Creation
 |  | Selecting a Skin Editor
 |  | Other Programs You Will Need
 |  | What Makes Up a Skin?
 |  | Creating Simple and Complex Skins
 | Chapter 8. Creating Windows XP Skins with TGTSoft StyleBuilder
 |  | Downloading and Installing StyleBuilder
 |  | The StyleBuilder Window
 |  | What StyleBuilder Can and Cannot Do for You
 |  | Creating a Simple Windows XP Visual Style
 |  | Creating Complex Visual Styles
 |  | Using Your Visual Style
 |  | A Final Word on Visual Styles and StyleBuilder
 | Chapter 9. Creating Windows XP Skins with Stardock SkinStudio
 |  | Introducing Stardock SkinStudio
 |  | Downloading and Installing SkinStudio
 |  | Navigating the SkinStudio Interface
 |  | Creating a Simple SkinStudio Skin
 |  | Creating Advanced Skins
 |  | A Final Word on SkinStudio Skins
 | Chapter 10. Creating Icons and Mouse Pointers
 |  | How Icons Are Stored in Windows XP
 |  | Downloading Icons and Icon Sets
 |  | Creating Your Own Icons
 |  | The Basics of Icon Creation the Microsoft Way
 |  | Exploring Third-Party Icon Makers
 |  | Creating a Mouse Pointer Collection
 |  | A Final Word on Icons and Cursors
 | Chapter 11. Creating a Background Library
 |  | How Backgrounds are Stored in Windows
 |  | Storing Background Files
 |  | Downloading Backgrounds and Wallpaper Files
 |  | Creating Your Own Backgrounds
 |  | Using Backgrounds with Your Themes and Skins
 |  | A Final Word on Desktop Backgrounds
 | Chapter 12. Adding Screensavers to Your Skins
 |  | What are Screensavers Really?
 |  | Creating Screensavers
 |  | Creating a Slideshow Screensaver
 |  | Downloading and Installing Screensavers
 |  | A Final Word About Screensavers
 | Chapter 13. Changing XP Logon Screens and Boot Screens
 |  | Understanding Logon and Boot Screens
 |  | Basic Modifications to the Windows Logon Screen
 |  | Skinning Software and Logon Screens
 |  | Downloading and Adding Logon Screens
 |  | Creating Logon Screens
 |  | Changing the Windows Boot Screen
 |  | Creating Boot Screens
 | Chapter 14. But It Doesn't Look Like Windows XP
 |  | What You Have Learned So Far
 |  | The Ins and Outs of Creating Enhanced Skins
 |  | Working with the Stardock ObjectBar
 |  | Creating an ObjectBar Theme
 |  | Adding Items to a Toolbar
 |  | Using ObjectBar to Create New Desktop Environments
 |  | Understanding Desktop Extenders
 |  | Using DesktopX
 |  | Using DesktopX Themes
 |  | Skinning Windows XP Applications
 |  | A Final Word on Skinning
Part IV: Appendix
 | Appendix A. Using ResHacker
 |  | Downloading and Installing Resource Hacker
 |  | Working with ResHacker
Index

Team LiB


Copyright

Skinning Microsoft Windows XP

Copyright © 2005 by Que Publishing

All rights reserved. No part of this book shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without written permission from the publisher. No patent liability is assumed with respect to the use of the information contained herein. Although every precaution has been taken in the preparation of this book, the publisher and author assume no responsibility for errors or omissions. Nor is any liability assumed for damages resulting from the use of the information contained herein.

International Standard Book Number: 0-7897-3384-X

Library of Congress Catalog Card Number: 2004116293

Printed in the United States of America

First Printing: April 2005

08 07 06 05 4 3 2 1

Trademarks

All terms mentioned in this book that are known to be trademarks or service marks have been appropriately capitalized. Que Publishing cannot attest to the accuracy of this information. Use of a term in this book should not be regarded as affecting the validity of any trademark or service mark.

Warning and Disclaimer

Every effort has been made to make this book as complete and as accurate as possible, but no warranty or fitness is implied. The information provided is on an "as is" basis. The author and the publisher shall have neither liability nor responsibility to any person or entity with respect to any loss or damages arising from the information contained in this book.

Bulk Sales

Que Publishing offers excellent discounts on this book when ordered in quantity for bulk purchases or special sales. For more information, please contact

U.S. Corporate and Government Sales

1-800-382-3419

corpsales@pearsontechgroup.com

For sales outside of the United States, please contact

International Sales

international@pearsoned.com

Associate Publisher

Greg Wiegand

Acquisitions Editor

Stephanie J. McComb

Development Editor

Kevin Howard

Managing Editor

Charlotte Clapp

Senior Project Editor

Matthew Purcell

Production Editors

Megan Wade

Heather Wilkins

Indexer

Erika Millen

Proofreader

Eileen Dennie

Technical Editor

Mark Hall

Publishing Coordinator

Sharry Lee Gregory

Designer

Anne Jones

Page Layout

Stacey Richwine-DeRome

Dedication

To Kim Rich: my lifelong partner and wonderful wife!


About the Authors

Joe Habraken is a best-selling author, information technology professional, and educator. He is currently an assistant professor at the University of New England, where he teaches a variety of information technology classes introducing undergraduate students to computer basics, software applications, web design, and the use of personal computers in business settings. His books include Microsoft Office 2003 All in 1; Absolute Beginner's Guide to Networking, Fourth Edition; and Sams Teach Yourself Microsoft Server 2003 in 24 Hours.


Acknowledgments

It definitely takes a team to create a book and I have a number of people to thank. First of all, thanks to our development editor Kevin Howard who conceived the initial concept for this book. And thanks to Stephanie McComb, the acquisitions editor on this project who assembled the team that produced this book and also provided a number of suggestions for the book's content.

Also many thanks to the book's team members: Matt Purcell (great working with you again, Matt), Charlotte Clapp, Megan Wade, Eileen Dennie, Erika Millen, Stacey Richwine-DeRome, Mark Hall (a great technical editor), and the always hardworking Sharry Gregory. I would also like to thank the folks at StarDock Corporation for supplying a copy of Object Desktop that was used in the writing of this book. Also a big thanks to Anton A. Kolomyeytsev and Artem Berman of RocketDivision.com for supplying a copy of Starskin Premium and a wealth of information.


We Want to Hear from You!

As the reader of this book, you are our most important critic and commentator. We value your opinion and want to know what we're doing right, what we could do better, what areas you'd like to see us publish in, and any other words of wisdom you're willing to pass our way.

As an associate publisher for Que Publishing, I welcome your comments. You can email or write me directly to let me know what you did or didn't like about this bookas well as what we can do to make our books better.

Please note that I cannot help you with technical problems related to the topic of this book. We do have a User Services group, however, where I will forward specific technical questions related to the book.

When you write, please be sure to include this book's title and author as well as your name, email address, and phone number. I will carefully review your comments and share them with the author and editors who worked on the book.

Email:

feedback@quepublishing.com

Mail:

Greg Wiegand

Associate Publisher

Que Publishing

800 East 96th Street

Indianapolis, IN 46240 USA

For more information about this book or another Que Publishing title, visit our website at www.quepublishing.com. Type the ISBN (excluding hyphens) or the title of a book in the Search field to find the page you're looking for.


I Introduction

With the release of Windows XP, Microsoft provided a radically different approach to the customization of the Windows graphical user interface (GUI) by providing a built-in visual style engine. A visual style controls the color scheme and the bitmap graphics that are used for such Windows interface elements as the Start menu, the taskbar, and the objects we find on a typical window (such as the title bar and control buttons). Although Windows XP shipped with only one visual stylethe XP stylethe fact that the visual style engine exists makes it possible for any user to radically alter the look and feel of the Windows interface.

Through the manipulation of Windows themes (the icons, mouse pointers, desktop background, and other GUI elements we interface with when we use Windows) and visual styles, we can actually "skin" the Windows interface (a skin being the combination of modified theme elements and visual style items). This means you can create a custom interface, and the limits on the possibilities are really up to you and your artistic inclinations.

Theme elements can be easily modified using tools built in to the Windows XP environment. For more radical interface modification, a number of third-party software packages make it easy to create any number of extremely unique "looks" for the interface.

Skinning Windows XP provides both a primer and an advanced user guide to creating your own Windows themes, visual styles, and skins (whether you are using Windows XP Home or Windows XP Profesisonal). Although this book is designed for the novice as well as the more advanced Windows user, its logical step-by-step approach provides a learning environment ideal for the novice and provides the more experienced user with a breadth of details because more advanced skinning topics are discussed.

Although this book takes its subject matter very seriously, the material itself is approached in a straightforward, conversational manner that should help you digest the information without dozing off or developing a horrible migraine headache. It will also provide you with the knowledge base you need to further explore the concept of skinning Windows and enable you to advance your own creative sensibilities when you have set the book down after reading the last chapter.


Conventions Used in This Book

Certain conventions have been followed in this book to help you digest all the material. At the beginning of each chapter, you'll find a list of the major topics covered in that chapter. And because this book explores the visual aspects of skinning Windows XP, ample screen captures have been provided to ground you in each process as you create themes, visual styles, and skins. You will also find several icons used throughout this book. These icons denote additional information on a subject, supply asides that provide useful insight, or give warnings that can help you steer clear of problem areas related to Windows themes, visual styles, and skins. These icons are as follows:

Note

These side-bars include additional information related to the current topic, but they do not have to be read for you to have a complete understanding of the information provided in the regular text.

Tip

These sidebars provide shortcuts or direct you to additional information that will help you to complete a particular process or understand a certain topic.

Caution

These boxes attempt to reach out and grab your hand before you press that red destruct button. Warnings point out major problems or issues related to a particular aspect of creating Windows skins.


How This Book is Organized

This book has been organized so that a novice user can explore basic to intermediate to advanced subject matter as each chapter is read. However, the chapters have been written to be primarily self-contained so the intermediate or advanced user can pick up the book and jump to a particular chapter and take full advantage of the topics covered in that chapter.

The book has been configured so the reader can first explore Windows themes (the simplest way to modify the Windows XP interface) and learn how to modify default themes as well as download themes available on the Web. Information is also provided on the various types of skinning software and how to acquire that software. Skins and visual styles can then be downloaded from the Web, making skinning Windows a matter of installing a simple application and then downloading any number of premade skins.

For users with a more artistic bent, you learn how to create your own skins and looks and the software options that are available. Finally, an appendix includes an introduction to software that enables a very advanced user to actually hack Windows resources and create skins without the use of additional skinning software.

Skinning Windows is fun and allows you to take the Windows environment to a whole new visual level. Whatever your current knowledge level is related to Windows, you will be able to use this book to personalize the look and feel of the XP interface. I hope you enjoy this book as much as I enjoyed writing it.


Part I: Windows XP Theme Basics

1 Understanding the Windows XP Graphical User Interface

7

2 Basic Windows XP Interface Modifications

29

3 Applying and Downloading Windows Themes

49

4 Creating Windows XP Themes from Scratch

73


Chapter 1. Understanding the Windows XP Graphical User Interface

In this chapter

  • The customization possibilities for Windows XP

  • The evolution of the Windows XP GUI

  • The items that make up the Windows GUI

  • Understanding why Windows XP can be skinned

  • Understanding Windows themes

  • Understanding Windows visual styles

  • What is a Windows skin?

Windows XP provides a truly exciting and flexible environment in terms of user customization. You can make your own visual impact on how the Windows XP graphical user interface (GUI) looks and operates.

The overall look and feel of the Windows XP interface has evolved over time and is a far cry from the original command-line interface provided by Microsoft DOS. This chapter examines the possibilities for customizing the Windows XP environment and discusses the difference between a theme (a collection of interface elements), a visual style (colors and graphics that are part of the interface), and a skin (a combination of theme and visual style elements). We also discuss the reason Windows XP provides a totally customizable interface, compared to earlier versions of the Windows operating system.


The Possibilities for Customizing Windows XP

The Windows XP graphical user interface (GUI) provides a number of possibilities for customization. These possibilities range from the very simple to the complex. Simple modifications such as the arrangement of icons on the desktop or the selection of applications that appear on the Start menu can quickly be realized by even the novice user. You can even take this customization further by selecting new icons for the desktop or changing the background image on the desktop.

A slightly more complex customization (although Windows XP makes this easy to do) of the Windows interface is the placing of a custom image on the Windows XP logon screen, as shown in Figure 1.1.

Figure 1.1. You can personalize the Windows interface.

[View full size image]

The customization of the logon screen also affects the Windows Start menu. Your name and the custom picture also appear at the top of the Start menu (we talk about logon screens in Chapter 13, "Changing XP Logon Screens and Boot Screens").

Windows XP has a number of built-in tools (such as the capability to select new icons for the desktop or change the logon picture) for personalizing the desktop environment (we discuss many of these possibilities in Chapter 2, "Basic Windows XP Interface Modifications"). The use of these built-in tools can allow you to create a customized and personalized version of the interface. For example, you can quickly create your own themes (collections of different custom GUI elements, discussed in more detail later in this chapter) such as the theme shown in Figure 1.2.

Figure 1.2. A theme can be quickly built using tools provided by Windows XP.

[View full size image]

However, the possibilities for the personalization and customization of Windows XP do not stop with the theme. You can take the customization even further and create a truly unique look for the Windows interface. These radical customizations (or skins) can produce a Windows environment like the one shown in Figure 1.3.

Figure 1.3. Windows XP provides an environment that can be radically customized.

[View full size image]

You will find throughout the course of this book that radical changes to the interface require additional software; we will look at examples of these various software add-ons in subsequent chapters. So, why is it that Windows XP provides an environment that allows such radical modification? A good way to answer this question is to quickly look at the evolution of the Windows interface from Windows 3x to Windows XP and then examine the particular characteristics of Windows XP that provide us with such a rich environment for personalization and modification.


The Evolution of the XP Interface

So, how did the Windows GUI that we use today come to be? It came to be through a slow process of evolution.

First, let's take a quick look at the various versions of Windows that have been developed over the last 20 years. Although most people regard Microsoft Windows 3.0 as the first version of the Windows platform, it was actually preceded by Windows 1.0 (1985) and Windows 2.0 (1987, there were specialized versions of 2.0 for computers running 286 and 386 processors). Microsoft Windows 3.0 was launched with much fanfare in the spring of 1990. It was not until the release of Windows 3.1, however, in 1992 (when over one million copies of the platform were sold in the first few months after it was made available), that Windows truly experienced a large install base both in the home and business markets. With the launch of Windows 95 (released in 1995, more than one million copies were sold in the first few days it was available), Microsoft offered a client operating system that no longer required an initial installation of DOS. Windows 95 was also an interface design departure for Microsoft that offered tools that are still around in Windows XP, such as the Start menu and the taskbar. Additional versions of Windows 9x followed including Windows 98 and Windows Millennium Edition. That brings us up to the current version of the Windows OS, Windows XP (available in both Home and Professional versions), which is the subject of this book.

Note

While the Windows operating system evolved for the home and small business market, Microsoft also developed a line of desktop operating systems for the business market (with a number of enhancements for networking); these "higher-end" operating systems include Windows NT, Windows 2000 Professional, and Windows XP Professional.

As the Windows operating system has changed and evolved, so too has the GUI itself. Windows 3x provided a fairly cluttered desktop that emphasized an icon-filled window called the Program Manager. The Program Manager provided the launch pad for the various applications running on the computer. Windows 3x provided little capability in terms of customizing the desktop, although you could create new folders and arrange items in the Program Manager. Figure 1.4 shows the Windows 3x desktop.

Figure 1.4. The Windows 3.1 Program Manager and icon groups.

[View full size image]

The capability to customize the Windows desktop increased with each subsequent version of Windows. Windows 95 provided the ability to change the screen colors and also gave the user control over the background, or wallpaper, shown on the desktop. Windows 95 also provided the familiar taskbar and Start menu that are still a part of the Windows XP GUI. Figure 1.5 shows the Display Properties dialog box of Windows 95.

Figure 1.5. The Windows 95 desktop and Display Properties dialog box.

If a Windows 95 user wanted additional GUI customization abilities, he could purchase an add-on application called Plus for Windows 95, which provided custom wallpapers, screensavers, icons, and sounds. Figure 1.6 shows the Microsoft Plus Desktop Themes dialog box.

Figure 1.6. Microsoft Plus provided additional customization options for the GUI.

[View full size image]

The next version of Windows, Windows 98, further fine-tuned the GUI interface and added elements to the GUI that are still found in the Windows XP interface, such as the Quick Launch bar on the Windows taskbar. Windows 98 provided the same types of GUI modifications that were provided by Windows 95, such as the GUI colors and desktop background, but also provided additional possibilities, including the ability to customize desktop icons. Figure 1.7 shows the Windows 98 desktop and the Display Properties dialog box.

Figure 1.7. The Windows 98 GUI was built on the more "conservative" Windows 95 environment.

As with Windows 95, a version of Plus was available for Windows 98, making it easier for the novice Windows user to modify the desktop environment.

With the launch of Windows XP, the possibilities for modifying the GUI interface were greatly increased. Windows XP provides a truly rich environment that allows for both basic and advanced customization. It is the capability to personalize the Windows GUI that we will be taking a look at throughout the course of this book.

Although most users are very familiar with the layout of the Windows desktop and how to navigate Windows applications, the section that follows provides an overview of the various elements of the Windows XP desktop. We then discuss some of the GUI modification possibilities in terms of themes, visual styles, and skins.


The Windows XP Desktop

Windows XP embraces a more minimalist approach to the Windows desktop than its predecessors. The new desktop (labeled by Microsoft as the "user experience" desktop) provides a less cluttered approach to the Windows desktop and has clustered access to many features (such as My Computer, My Network Places, and My Documents) on the Start menu. The Start menu also now consists of a double-column format.

Desktop icons are optional; you can add icons to the desktop if you want (as you could with earlier versions of Windows). By default, only the Recycle Bin is shown on the desktop. Figure 1.8 shows the Windows desktop and the Start menu.

Figure 1.8. Microsoft Windows XP adopts a minimalist approach in regard to desktop icons.

[View full size image]

The desktop serves as the launch pad and workspace for Windows XP. And as even the most novice XP user knows, a number of GUI elements reside on the desktop. Let's take a quick look at these GUI elements and then discuss other items that play a part in the overall customization of the Windows GUI environment.

Windows XP Taskbar and Start Menu

The Windows XP desktop provides a number of elements that are used to either launch or manage applications running in Windows. Starting at the bottom of the desktop, we see the Windows taskbar. The taskbar provides access to the Start menu. The Start menu uses a two-column format to provide access to your Windows applications and utilities (refer to Figure 1.8).

As you use applications and other software tools in Windows, the most recently used applications are listed in the first column of the Start menu. You can also pin applications to this first column of the Start menu for easy access (see the tip that follows).

Tip

To pin an application icon to the Start menu, select Start and then point at All Programs to view your application icons. Right-click any icon and select Pin to Start Menu.

The taskbar itself can also be used to launch applications (see the next section, "Add the Quick Launch Toolbar"), and it contains the notification area (also called the system tray) on the far right. The notification area provides information on running programs and important alerts. For example, when updates have been downloaded for your Windows XP installation, the Update icon (a picture of the world) and notifications appear in the notification area.

When you are actually running applications, the taskbar shows an application icon for each running software package. These buttons can be used to quickly switch between applications or to restore a software window that has been minimized.

Let's take a look at how you can add the Quick Launch toolbar to the taskbar. We discuss other taskbar modifications in Chapter 2.

Add the Quick Launch Toolbar

You can also include the Quick Launch toolbar on the taskbar. The Quick Launch toolbar provides access to icons shown on the desktop and other icons you add to it as required. To show the Quick Launch toolbar, right-click the taskbar and then point at Toolbars when the shortcut menu appears. On the Toolbars submenu, select Quick Launch.

You can populate the Quick Launch toolbar by dragging icons from the desktop onto it. This makes a copy of the icon and leaves the original icon on the desktop.

Locking and Unlocking the Taskbar

If the taskbar is locked and the Quick Launch toolbar already contains several icons, you don't see the new icon on the Quick Launch toolbar itself. Click the Additional Icons button on the left of the Quick Launch toolbar to make the new icon appear (and any other icons not currently showing on the Quick Launch toolbar). If you want to increase the size of the Quick Launch toolbar so you can see all the icons it contains, right-click the taskbar and select Lock the Taskbar (to unlock the taskbar, as shown in Figure 1.9).

Figure 1.9. You can lock and unlock the taskbar.

[View full size image]

After the taskbar is unlocked, you can grab the handle on the left side of the Quick Launch toolbar and drag it to the left to increase its size. You can then lock the taskbar by right-clicking it and selecting Lock the Taskbar.

Other basic customizations can be made to the Start menu and the taskbar, but both of these areas of the Windows GUI play an important part in the visual redesigning we will do when we create visual styles and skins for the Windows desktop. We define visual styles and skins later in the chapter.

Windows XP Icons

The icons that represent your various applications, your utilities, and the documents and other items you create actually can populate a number of areas in the Windows environment. Icons can appear on the desktop, on the Start menu, on the taskbar, and in Windows Explorer (refer to Figure 1.7 to see icons on the desktop and taskbar). Some of the common Windows icons are My Computer, Network Places, My Documents, Recycle Bin, Control Panel, and Folder. There are obviously a number of other icons that you use each time you work in Windows.

In addition, a number of icons are used on the various toolbars you use in Windows. Every Windows application or utility has a toolbar. Figure 1.10 shows the Windows desktop with both the Internet Explorer and WordPad application windows open.

Figure 1.10. Icons are an important part of the Windows GUI.

[View full size image]

Internet Explorer has a toolbar that contains icons such as the Back, Forward, and Stop icons. The WordPad toolbar has icons such as Save, Open, and Print.

Using icons to navigate and work within Windows applications has become second nature to most Windows users; icons are important visual cues within the Windows environment. You'll learn that you can change the default set of icons when we create Windows themes and skins. Themes are defined later in this chapter.

You can also create your own icon sets, which is an important part of creating the overall personalized look of the Windows GUI and Windows skins (again, skins are discussed briefly later in this chapter). Chapter 10, "Creating Icons and Mouse Pointers," examines various methods of creating your own icons and building an icon library for use with your Windows themes and skins.

Note

Icons come in sets because each particular icon comes in various sizes. If the Microsoft Word icon is on the Start menu, it is a different size from when it is on the Quick Launch bar. It is important when creating icons in Chapter 10 that you remember that the same icon must be created in different sizes to take care of all the possible occurrences of that icon in the Windows environment.

Windows XP Windows, Dialog Boxes, and Controls

Although not a part of the desktop, these Windows elements reside on the desktop when they are active. Every application and utility runs in a window and uses dialog boxes and controls to access various commands and settings. We have already discussed that the Windows applications provide toolbars that contain icons you use to fire off particular commands as you work within an application.

Application/utility windows have a number of standard GUI items that make up a particular windowsuch as the title bar; scrollbars; and controls such as the Minimize, Maximize, and Close buttons. Toolbars are also commonplace to application windows, as was discussed in the previous section.

Another commonly used GUI navigation tool is the dialog box. Dialog boxes provide a number of alternatives. You typically make your selections by selecting a check box, an option button, or an item from a list. In the case of a dialog box such as the Color dialog box shown in Figure 1.11, you click the color you want to use.

Figure 1.11. Windows and dialog boxes are commonplace in the Windows environment.

The various elements that make up windows and dialog boxes, such as title bars, control buttons, and scrollbars, are the items you can customize. And when you work with visual styles and skins, you can create a common look for all the windows and dialog boxes you use in the Windows environment.

Note

You typically deal with three types of control buttons: command buttons, option buttons, and check boxes. All these control types can be modified when creating custom visual styles and skins.

Windows Colors

Colors also play an important part in the Windows GUI. A default color scheme is provided for Windows XP called (surprisingly) Default. The figures shown thus far in this chapter all use the Default Windows color scheme. As you work in Windows, this color scheme provides different colors when a particular desktop object or window is in a particular state. For example, if a Window is active, the title bar is dark blue; when the Window is inactive, the title bar is a lighter blue. Many situations have an "on" and "off" color for a particular element.

Changing the Windows colors is straightforward and is handled on the Appearance tab of the Display Properties dialog box (see Figure 1.12). Two additional color schemes are providedolive green and silver.

Figure 1.12. The color scheme for Windows is user controlled.

The Advanced button on the Appearance tab opens the Advanced Appearance dialog box, where you can assign custom colors to the various elements of the GUI such as the desktop, window title bars, and icons.

I think most users have probably played with the color settings provided by Windows XP. Color schemes and color selection play important parts in creating Windows XP themes, visual styles, and skins.

XP Sounds

Although they certainly are not part of the visual attributes of the Windows environment, sounds do play a part in providing cues to a Windows user. Windows XP has a default sound scheme that provides sounds for the default beep and other actions, such as logging on and off Windows.

The default Windows XP sound scheme does not provide sounds for all events. However, a user can customize the sound scheme so that sounds are heard when other events take place, such as opening or closing applications.

You can also change the sound file used by the sound scheme to announce a particular event, such as a device connect or critical stop. All sound modifications are made on the Sounds tab of the Sounds and Audio Devices Properties dialog box (see Figure 1.13). This is reached via the Control Panel.

Figure 1.13. The Sound tab enables you to assign sounds to particular events.

Providing a series of particular sounds for Windows events that adhere to a particular theme goes back to the days of Windows 95 Plus. Special Windows themes provided by Microsoft Plus also provided a unique sound scheme for each theme. In Windows XP, as you create the visual aspects of a theme or skin, you can also assign particular sounds to that theme or skin. This not only allows you to create a unique and personalized visual environment in Windows, but also enables you to customize the sounds. We discuss how you modify (and create) sound schemes for your Windows themes and skins in Chapter 4, "Creating Windows XP Themes from Scratch."


Modifying the Windows XP GUI Environment

Now that we've examined the various elements of the GUI, we can ask a question that is essential to the concept of skinning Windows XP. Why is the Windows XP GUI such a robust stage for redefining the look and feel of the OS environment?

Microsoft XP is designed differently from previous versions of the Windows OS. Microsoft XP actually contains its own built-in visual style (or skinning) engine that allows you to dramatically change the look and feel of the interface. The engine comes in the form of a dynamic link library (DLL; code that is shared by Windows programs) called uxtheme.dll. Skins that can be loaded by the engine come in the form of a file with an extension of .msstyles.

Caution

We discuss some of the issues related to hacking Windows resources and ResHacker in Appendix A. For the most part, we take a conservative approach to skinning Windows in this book, so most of our discussion of skinning covers third-party products that enable you to skin Windows without compromising the Windows system itself.

Unfortunately, Microsoft XP's visual style engine accepts only digitally signed .msstyles files. So, without actually hacking the digital security of a .msstyles file, you are stuck with two visual styles: Windows Classic and Windows XP.

When you do a search on a Windows XP computer for *.msstyles, your search results show that Windows XP provides one skin called luna.msstyles (see Figure 1.14). This file is actually the Windows XP skin that is applied to the Windows environment by default.

Figure 1.14. Search results of luna by entering in *.msstyles.

[View full size image]

When you select the Windows Classic theme on the Themes tab of the Display Properties dialog box (see Figure 1.15), you are actually turning off the Windows XP theme (or skin) by unloading luna.msstyles from the skinning engine (uxtheme.dll).

Figure 1.15. Changing the theme in the Display Properties dialog box.

Now you can add digitally signed themes to your Windows installation by purchasing Windows XP Plus. This add-on package provides a number of new themes that add new visual styles, backgrounds, color schemes, and sound schemes.

However, let's say you want to create your own themes, visual styles, and skins for Windows XP (and is the reason you purchased this book). You actually have a couple of alternatives for editing the Windows GUI. Let's take a moment to define the differences between a theme, visual style, and skin; then we can discuss the possibilities for creating these GUI modifications.


Themes Versus Visual Styles Versus Skins

You will hear the terms theme, visual style, and skin defined in a number of ways and often used interchangeably. In an attempt to make some sense when these often ambiguous terms are used, we put together a definition for each. Let's start with theme.

What Is a Windows XP Theme?

You can create your own themes using tools provided by Windows XP. The primary tool is the Display Properties dialog box. If you want to include a sound scheme and special mouse pointers with the theme, you also use the Sound and Audio Devices Properties dialog box and the Mouse Properties dialog box.

So, a theme (at least in my mind and for the purpose of this book) contains the following:

  • Color scheme A theme can have a modified color screen that includes the color of the desktop and other items, such as the title bars of active and inactive windows. The options for the color scheme vary depending on whether you are using the Windows XP or Classic style when modifying the theme. We discuss these color scheme options in Chapter 4.

  • Background A desktop background (wallpaper) selected or created by the user.

  • Icons A set of desktop icons selected or created by the user.

  • Screensaver A screensaver selected by the user (screensavers can also be created by the user).

  • Fonts The font size can also be selected by the user.

  • Mouse pointers Mouse pointers can be selected or created by the user.

  • Sounds The sound settings can be customized by the user for a particular theme.

Defining a theme, then, one could say that a theme is a collection of GUI elements including a background, icons, mouse pointers, fonts, and a screensaver; a theme can also include nonvisual elements, meaning a sound scheme. Figure 1.16 shows a simple hockey theme created using custom icons and a custom mouse pointer (the mouse pointer is near the Recycle Bin on the right of the desktop).

Figure 1.16. You can create your own Windows XP themes.

[View full size image]

Themes are fun to create and can provide a great deal of customization and interest to the Windows GUI. They are not, however, a hugely dramatic change to the Windows interface. That is where the visual stylethe subject of the next sectioncomes into play.

Tip

To start creating your own themes, see Chapter 4.

What Is a Windows XP Visual Style?

So, how does a visual style differ from a theme? The visual style defines the actual graphics used by the GUI. For instance, title bars, controls, and even the taskbar are graphical elements of the GUI. Even though both a theme and visual style can contain settings for colors, the visual style actually provides greater possibilities in customizing the overall look of the interface.

So, a visual style is a customized version of the GUI elements themselves, meaning that the actual bitmaps representing GUI items have been edited or replaced. For example, to create a new visual style, one element you might change would be the look of the taskbar or the standard window title bar. You could actually edit the shape, color, and other graphical attributes of the item. This can be done because all the elements that make up the GUI are actually bitmap images.

Now we are talking about dramatic changes to the GUI. Visual styles contain information on how the windows displayed by the GUI, including title bars, controls, and borders, will look. Visual styles can even contain edited versions of the End Session dialog box and animations (such as an animation that shows files being copied from one folder to another).

Visual styles do overlap with themes in that visual styles can contain custom color schemes for the GUI. However, themes do not provide the ability to edit the bitmaps (graphic files) that actually make up the elements of the GUI. You can edit the GUI bitmaps using any graphics software package. You can start with something as simple as Windows Paint, but you will find that more advanced visual styles require a higher-end graphics package, such as Photoshop.

So, to see two basic examples of visual styles, switch between the Windows XP style and the Windows Classic style that are available on the Appearance tab of the Display Properties dialog box (to bring up the dialog box, right-click the desktop and select Properties on the shortcut menu). You will see that the title bars, window borders, and controls on the windows (the Minimize, Maximize, and Close buttons) differ in the two styles.

Your visual styles can be much more dramatic (and artistic) than the two possibilities offered by Microsoft. Figure 1.17 shows a visual style named faux S-toon (created by Paul Boyer). The visual style was downloaded from the winCustomize website and applied to Windows using Windowblinds (we discuss Windowblinds in Chapter 6, "A Closer Look at Skinning Software").

Figure 1.17. Visual styles dramatically change the Windows GUI.

[View full size image]

Note the dramatic changes this visual style provides to the taskbar and the application window (running Windows Internet Explorer). A number of visual style editors exist that enable you to create extremely interesting and creative visual styles for Windows. We will be looking at two such tools: TGT Soft's Style XP and StarDock SkinStudio.

What Is a Windows XP Skin?

Now we can tackle the definition of a skin: A skin is a combination of a Windows theme and a visual style. This provides a highly customized and personalized Windows GUI.

Skins can also contain modified boot screens and Windows logon/logoff screens. Typically, skinners also include skinned applications, such as the Windows Media Player, as part of their Windows skin. Figure 1.18 shows a Windows skin that includes a visually blended theme (meaning the background and icons) and visual style (the taskbar and Start menu). The skin also includes a skinned version of the Windows Media Player that is compatible (in terms of the overall design) with the Windows skin itself.

Figure 1.18. Skins include a theme, a visual style, and often skinned applications.

[View full size image]

The only real limitation on creating skins, after you've become familiar with a particular skinning software tool and a graphics package such as Photoshop, is your own imagination (with some creativity thrown in). Now that we have discussed the basics of what constitutes a skin, we need to take a closer look at the actual elements that make up the Windows interface, such as the desktop, Start menu, and taskbar. In Chapter 2, we discuss basic modifications to the GUI, including issues related to desktop icons. Chapter 3, "Applying and Downloading Windows Themes," explores the basics of Windows themes.


Chapter 2. Basic Windows XP Interface Modifications

In this chapter

  • Placing icons on the desktop

  • Modifying desktop and folder icons

  • Modifying the Windows XP interface components

  • Understanding screen resolutions

  • Changing Windows fonts

  • Customizing the Start menu

  • Modifying the taskbar

Although our ultimate goal is to "skin" the Windows GUI, a good place to start our discussion is to take a look at the basic elements of the GUI, such as the desktop icons, the Start menu, and the taskbar. We also need to look at how screen resolution affects the overall look of the interface and discuss Windows visual effects.

It's important to have a good feel for how the Windows GUI operates and can be modified before you jump into creating your own themes and skins for Windows. We start this chapter with a basic discussion of desktop icons, including how they can be added to the desktop and how you can edit individual icons. We will then look at other aspects of the Windows interface, such as screen resolution, color, fonts, the Start menu, and the taskbar.


Adding Icons to the Desktop

A new installation of Windows XP provides a pretty clean desktop. The only icon that appears by default is the Recycle Bin. Figure 2.1 shows a clean install of Windows XP.

Figure 2.1. The clean Windows XP desktop.

[View full size image]

Typically (although it is a matter of personal preference), additional program and utility icons are placed on the desktop to make it easier to start applications or other software tools that are used most often. You can quickly and easily add icons to the desktop from the Start menu or add shortcut icons for any program by making a shortcut icon to the software's executable file (the file that actually starts the program).

Let's take a look at adding icons from the Start menu. We can then discuss adding executable shortcuts by locating the executable. We will also examine creating folder shortcuts on the desktop.

Creating Desktop Icons from the Start Menu

You can use the icons on the Start menu to quickly populate the Windows desktop with application and software tool icons. The icons in the right column of the Start menu allow you to place popular icons such as My Computer and My Network Places on the desktop.

So, for example, to place an icon on the desktop from the right side of the Start menu, such as the My Computer icon, right-click the icon and then click Show on Desktop (which appears on a shortcut menu, as shown in Figure 2.2). The icon then appears on the desktop.

Figure 2.2. Add the My Computer icon to the Windows desktop.

[View full size image]

You can also add application icons to the desktop using the program icons that appear in the left column of the Start menu. These icons represent shortcuts to programs you use most often (by default six programs are shown).

To add an icon to the desktop for one of your recently used programs, right-click the program's icon on the Start menu and select Copy. Then right-click the desktop (this closes the Start menu) and select Paste from the shortcut menu that appears.

This places the new icon on the desktop. You can use this method to add a shortcut icon using any icon that appears on the Startup menu, meaning any application you have installed that created a Start menu shortcut during the installation process. If you want to rename the shortcut icon, right-click the icon and select Rename on the shortcut menu that appears. You can then type a new name for your icon.

If you decide you don't want a particular shortcut icon on the desktop, you can remove it. Right-click the icon and select Delete.

Caution

The icon shortcuts you place on the desktop are not the actual program files. When you delete a shortcut, you are not deleting the actual program. However, if you save a file, move a folder, or download a file from the Internet directly to the desktop, that item isn't just a shortcutit is the actual file. Deleting the item removes it and places it in Recycle Bin. Be sure you know when you are dealing with a shortcut icon (that can easily be replaced if inadvertently deleted) or an actual file that has ended up on the desktop.

If a particular application or utility does not have an icon on the Start menu, you can also add a desktop shortcut icon for the software package by locating the application's executable file. This file (in most cases) resides in the folder that was created when you installed the program.

Typically, each application you install on your computer is installed into a subfolder of the Program Files folder. This subfolder is usually named the same (or similar to) the application name or the name of the software company that makes the application.

The easiest way to browse around in these application folders to find an executable file is to open My Computer (click Start and then select My Computer or double-click the My Computer icon on your desktop). In the My Computer window, double-click the icon that represents your hard drive. This is typically the C: drive, as shown in Figure 2.3.

Figure 2.3. You can use the My Computer window to locate executables you want to create desktop shortcuts for.

[View full size image]

After you have opened the hard drive, you can locate the Program Files folder and open it with a double-click. This reveals a list of folders, with each folder specific to a particular software installation on your computer. Double-click to open the folder that holds the executable you want to create a shortcut for. After you locate the executable in the folder, just drag it onto the Windows desktop. A shortcut is created for the application, and you can rename the shortcut icon as discussed earlier in this section.

Tip

If you know the name or at least have a good guess for the name of a particular program's executable file, you can use the Windows Search feature to find the file. Click Start and select Search. Then click All Files and Folders. Type the filename or part of the name into the All or Part of the File Name text box in the Search window. Then run the search. If the file appears in the results of the search, you can add a desktop shortcut for it by dragging the file from the Search window onto the desktop. You aren't moving the file, just creating the shortcut.

You can create shortcuts for documents, pictures, and other files you have stored on your computer. It is just a matter of locating the file in Windows Explorer and then dragging the file onto the desktop. This creates a shortcut to the item.


Changing Desktop Icons

Windows XP actually makes it extremely easy to change (meaning replace the graphic itself) any program or utility icon you place on the desktop. We discuss how you change standard icons such as the My Computer and Recycle Bin icons in Chapter 4,"Creating Windows XP Themes from Scratch." So, let's focus on how you edit an icon you placed on the desktop for a particular program or utility.

Right-click the Desktop icon and select Properties from the shortcut menu. The Properties dialog box for that particular icon appears, as shown in Figure 2.4 (which is the Properties dialog box for a shortcut icon for the Windows Paint program).

Figure 2.4. Open the Properties of an application icon to change the icon graphic.

The Shortcut tab of the icon's Properties dialog box (shown in Figure 2.4) shows the target for the shortcut icon and provides the Change Icon button that enables you to select another graphic image to serve as the icon. Click the Change Icon button and the Change Icon dialog box opens, as shown in Figure 2.5.

Figure 2.5. Select a new icon or browse for an icon using the Change Icon dialog box.

Each application icon is typically part of an icon set (we talk more about icon sets and icons in Chapter 10,"Creating Icons and Mouse Pointers"). You can select a new icon from the icons provided in the Change Icon dialog box, or you can use the Browse button to locate a new icon that is part of an icon set or select a single icon Bitmap picture you have created or downloaded from the Web.

To select a new icon that is provided in the Change Icon dialog box, click an icon choice and then click OK. You can then close the Properties dialog box as well.

To select an icon you created or downloaded, click the Browse button in the Change Icon dialog box. This opens the Windows Explorer.

Note

Icons are stored in icon sets that have the extension .ico in the filename. Single icons can be used in Windows but must be bitmap files with the extension .bmp.

All you have to do is navigate to the folder where the icon set or icon is stored that you will use as the replacement. After you locate the icon (or an icon in an icon set), click the file and then select Open. The icon or icons in the icon set appear in the Change Icon dialog box, as shown in Figure 2.6.

Figure 2.6. The new icon(s) in the new icon set appears in the Change Icon dialog box.

Select the icon you want to use, and then click OK. You can then close the Properties dialog box by clicking OK. The new icon appears as the shortcut for the application on the desktop.


Modifying Folder Icons

You can also modify folder icons either by replacing the icon or by placing a picture on the folder. This enables you to personalize folders, which both allows you to customize the Windows GUI and makes it easier for you to quickly find a particular folder (because it now has an image on the folder).

To change a particular folder, you have to navigate to that folder. Open the Windows Explorer by clicking the My Computer icon on the Start menu or by double-clicking the My Computer icon on the desktop.

After you have browsed to the particular folder you want to customize, right-click the folder and select Properties. The Properties dialog box for the folder opens. Select the Customize tab of the dialog box (see Figure 2.7).

Figure 2.7. The Customize tab enables you to add a picture to a folder or change the folder icon.

You can place any image file on a folder. The picture appears on the folder when you use the Thumbnail view in your folders. Click the Choose Picture button to open the Browse dialog box. Navigate to the file you want to use and then select it. Then click Open.

The image appears on the folder. When you browse your folders using Windows Explorer in the Thumbnail view, the picture appears on the folder as shown in Figure 2.8 (note the picture on the Joe's Files folder).

Figure 2.8. You can place pictures on folders to help identify their contents.

[View full size image]

You can also change the icon for a folder. On the Customize tab of the folder's Properties dialog box, click the Change Icon button. You can select a new icon from the default set of Windows icons or can browse for a new icon or icon set using the Browse button (as discussed in the previous section). When you have finished selecting the new icon, click the OK button to close the Properties dialog box.


Arranging Icons on the Desktop

You have several options for arranging icons on the Windows desktop. One option is to drag them to a particular location on the desktop according to your own preferences.

To access the Arrange Icon options, right-click the desktop and point at Arrange Icons by. Figure 2.9 shows the options.

Figure 2.9. Several options are available for arranging the desktop icons.

The icon arrangement icons are

  • Name Arranges the icons by name in alphabetical order.

  • Size Arranges the icons in order of their sizes (not the size of the actual program file they represent).

  • Type Arranges the icons by file type. For example, if you have shortcuts to several Microsoft Word documents or other application files, the icons are arranged by the application in which they were created.

  • Modified Arranges the icons in the order the shortcut was last modified, which is typically when the icon is created.

  • Auto Arrange Arranges the icon along the left side of the desktop in columns.

  • Align to Grid Arranges the icons using a grid system (which you don't actually see on the screen). This makes aligning the icons easier.

  • Show Desktop Icons When this option is selected, any icons you have placed on the desktop are visible. If you deselect this option, the icons disappear, although they have not actually been removed from the desktop.

Tip

The options for arranging the icons on the desktop also include the Run Desktop Cleanup Wizard. The Desktop Cleanup Wizard displays a list of desktop icons that have not been used for 60 days (or more). Any icons the wizard removes are placed in an Unused Desktop Shortcuts folder that is placed on the Windows desktop. You will find that, by default, the wizard automatically runs every 60 days (if you have not run it yourself).

After selecting your option (in terms of the actual alignment options), the icons on the desktop are rearranged. This also closes the shortcut menu.


Understanding and Modifying XP Interface Components

Before discussing how you change the default theme, we should cover the interface components or visual effects of the XP GUI, such as whether windows are animated when minimized or maximized and how ToolTips or menus look when activated. Although not an integral part of a theme or skin, these settings do allow you to control the look and feel of certain aspects of the GUI.

To access the visual effects, you must open the My Computer Properties dialog box, click Start, and then right-click My Computer. Select Properties from the shortcut menu and then select the Advanced tab of the Properties dialog box.

To access the visual effects, click the Settings button in the Performance box (of the Advanced tab). When the Performance Options dialog box opens, make sure the Visual Effects tab is selected (see Figure 2.10).

Figure 2.10. The Visual Effects tab enables you to control various visual aspects of the Windows GUI.

Four option buttons are available on the tab:

  • Let Windows Choose What's Best for My Computer This option allows Windows (based on your computer's hardware, such as graphics card and memory) to enable or disable the settings. On a newer computer, the settings are all enabled.

  • Adjust for Best Appearance This option enables all the visual effects (whether they were enabled in the Let Windows Choose What's Best for My Computer option).

  • Adjust for Best Performance This option disables all the visual effects.

  • Custom Options This allows you to pick and choose the visual effects you want enabled (or disabled).

If you select the Custom options, the visual effects can be either on or off and are controlled by individual check boxes. The options are as follows:

  • Animate Windows when Minimizing and Maximizing The window appears as a moving (animated) title bar as it minimizes or is maximized.

  • Fade or Slide Menus into View Menus fade in (you have to watch closely) as they slide open.

  • Fade or Slide ToolTips into View ToolTips fade in and then slide into view as you place the mouse on a toolbar button.

  • Fade Out Menu Items After Clicking Menu items actually fade from view (it happens very quickly) after selection.

  • Show Shadows Under Menus The shadows provide more depth and add a 3D appearance to the menu bar.

  • Show Shadows Under Mouse Pointer The shadow provides more visual depth for the mouse pointer (rather than a flat, 2D object).

  • Show Translucent Selection Rectangle A shiny, see-through selection rectangle is shown when you select items (such as icons on the desktop) by dragging the mouse.

  • Show Window Contents While Dragging The window contents appear (rather than an empty box as you drag the window).

  • Slide Open Combo Boxes Combo boxes allow you to view a list or type an option; they slide open revealing the contents (when this option is selected).

  • Slide Taskbar Buttons The taskbar buttons (particularly when multiple windows are available under a single application icon) slide open to show the choices.

  • Smooth Edges of Screen Fonts Screen fonts are smoothed so that ragged edges do not appear as you manipulate windows and menus.

  • Smooth-scroll List Boxes Items in the list box remain in view (and readable) as you scroll through a list box.

  • Use a Background Image for Each Folder Type A default image is used as the background for different folders. This isn't the actual folder image but a textured background file.

  • Use Common Tasks in Folders Common tasks related to folder manipulation are listed as hyperlinks in the left panel of the Windows Explorer.

  • Use Drop Shadows for Icon Labels on the Desktop The drop shadow provides more depth (and somewhat of a 3D effect) for the desktop icon text.

  • Use Visual Styles on Windows and Buttons Visual styles applied to Windows XP (as part of a theme or skin) are also applied to windows and buttons.

These various visual effects, when turned on, provide the best appearance in terms of smooth transitions when opening, closing, or otherwise manipulating an interface component such as a window or dialog box; these features do, however, exact a cost on computer performance. Turning off all the visual effects actually improves the overall performance of the computer (although it certainly does not provide a huge boost in performance).

Tip

When working with Windows themes, visual styles, and skins, you need to have the Use Visual Styles on Windows and Buttons option enabled on the Visual Effects tab (even if you decide not to have all the visual effects enabled).

Certain visual effects can also be controlled from the Display Properties dialog box. Right-click the desktop and select Properties from the shortcut menu. Make sure the Appearance tab is selected, and then click the Effects button to open the Effects dialog box, as shown in Figure 2.11.

Figure 2.11. Certain visual effects can be controlled from the Effects dialog box.

When the Use the Following Transition Effect for Menus and ToolTips option is enabled (via the check box), you can choose between two effects using the drop-down list: Fade Effect or Scroll Effect. The Fade Effect enables menus and ToolTips to fade in and out as you select them. The Scroll Effect causes the menus and ToolTips to slide in and out as you select or deselect them.

When the Use the Following Method to Smooth Edges of Screen Fonts check box is enabled, you can select either Standard or ClearType from the accompanying drop-down list. Standard is the best setting for desktop monitors. If you are using a laptop computer or a desktop LCD screen, the best option is ClearType.

Four other options are also available in the Effects dialog box:

  • Use Large Icons This option doubles the size of desktop icons (overriding the standard icon size for the screen resolution you have selected).

  • Show Shadows Under Menus The shadow provides a more 3D look to the menus.

  • Show Window Contents While Dragging The actual contents of the window are still viewable while you drag the window.

  • Hide Underlined Letters for Keyboard Navigation Until I Press the Alt Key The menu underlines are not shown until the Alt key is pressed.

After you have selected the options you want to use, click the OK button. Click OK again to close the Display Properties dialog box.


Setting the Screen Resolution and Color Quality

A setting that has a great deal of effect on the overall look of the Windows desktop, your application windows, and all the other visual aspects of the GUI is the screen resolution. Your monitor and computer's graphics adapter actually determine how high you can set the resolution and the number of screen colors.

The higher resolution you select, the smaller objects appear on the desktop. Higher resolutions also increase the relative amount of space on the desktop and the space inside a window.

Another setting that greatly influences the richness and sharpness of the Windows environment is the color quality setting. Both the resolution and color quality are set in the Display Properties dialog box.

To set your screen resolution and the color quality, right-click the desktop and select Properties from the shortcut menu. Then select the Settings tab (see Figure 2.12).

Figure 2.12. The screen resolution and color quality can be changed on the Settings tab.

Tip

You might actually have programs on your computer that operate only at a particular screen resolution. For example, a lot of games require the 640 ¥ 480 mode. Rather than changing the default screen resolution for Windows itself, you can set up these programs so they temporarily run in the 640 ¥ 480 resolution when you start them. Right-click the program's icon on either the desktop or Start menu and then click Properties. On the Compatibility tab, select the Run in 640 ¥ 480 Screen Resolution check box. The program will now run in the 640 ¥ 480 resolution, but your screen will default to the "normal" resolution when you close the application.

To change the screen resolution, move the slider to the left to decrease the resolution or to the right to increase the resolution. The color quality is controlled by the Color Quality drop-down list. Click the list and select your color quality setting. The number of options available depends on your graphics adapter. The highest setting is typically listed as Highest (32 bit). In terms of the lowest setting, you might consider 256 colors, as required by most Windows applications.

After you have made your selections, click OK; a Monitor Settings dialog box appears after the screen resolution has been applied. Click Yes to use the new setting.


Changing the Windows Font Size

You can also change the font size used by the Windows interface in the Display Properties dialog box. Right-click the desktop and then select Properties from the Shortcut menu.

On the Appearance tab, use the Font Size drop-down list to select the font size you want to use. The options typically available are Normal, Large, and Extra Large. When you have finished changing the font size, click OK to close the Properties dialog box.

Increasing the font size enlarges the text used for your menus, icon names, and the text in the various window title bars. Having the option to increase font size (or change the font type used) not only provides some room for creativity in terms of how the font looks on the various interface items, but also provides a more practical application. If you are using a higher resolution for Windows (such as 1024 ¥ 768, 1152 ¥ 864, or greater), the text can be difficult to read. You can increase the font size as needed so you can read the icon titles and title bar information. Increasing the font does mean that the icon and accompanying title text take up more space on the desktop.

The font options available are actually based on the theme, or visual style (or skin), that is currently applied to Windows. We discuss font size as a design element when we cover creating visual styles and skins later in this book.


Modifying the Start Menu

We already took a brief look at pinning applications to the Start menu in Chapter 1, "Understanding the Windows XP Graphical User Interface." There are additional aspects of the Start menu you can change. Open the Start menu and right-click any open area; then select Properties from the shortcut menu. The Taskbar and Start Menu Properties dialog box opens.

By default, the Start Menu option is selected. This provides the two-column Windows XP Start menu. To change the options of the Start menu, click the Customize button to open the Customize Start Menu dialog box (see Figure 2.13).

Figure 2.13. You can modify the Start menu settings in the Customize Start Menu dialog box.

This dialog box enables you to switch between large icons and small icons. You can also select the number of programs that are listed on the Start menu (in the left column of the Start menu). Other settings include whether you will show an icon for your Internet browser and email program on the Start menu. A drop-down list for each allows you to select the program you will use as your browser or email client. When you have completed making your settings, click OK.

You can also switch to the Classic, one-column Windows Start menu. On the Start Menu tab of the Taskbar and Start Menu Properties dialog box, select the Classic Start Menu option button. To customize the Classic Start menu, click the Customize button.

The Customize dialog box for the Classic Start menu allows you to add or remove items from the Start menu and determine which advanced icons should appear on the Start menu, such as Display Administrative Tools (which is normally opened via the Control Panel) or showing your Favorites on the Classic Start menu. The various options are controlled by a series of check boxes.

When you have completed changing the settings, click OK. To close the Taskbar and Start Menu dialog box, click OK again.

For the most part, we will use the Windows XP Start menu in our themes and skins. Changing to the Classic Start menu does provide another visual option when designing your own themes and skins.


Modifying the Taskbar

We already looked at how to lock the taskbar and add the Quick Launch toolbar to the taskbar in Chapter 1. Let's examine some of the other options for modifying the taskbar.

To add toolbars to the taskbar, right-click the taskbar and then point at Toolbars. You can add toolbars such as the Address, Windows Media Player, and Links toolbars.

If you want to change other options related to the taskbar, right-click the taskbar and select Properties. The Taskbar and Start Menu Properties dialog box opens with the Taskbar tab selected (see Figure 2.14).

Figure 2.14. Taskbar options are on the Taskbar tab.

On the Taskbar tab, you can choose from the following options:

  • Lock the Taskbar This locks the toolbar so it can't be moved on the desktop and also keeps any toolbars on the taskbar at their current sizes.

  • Auto-hide the Taskbar This option hides the taskbar as you work with various applications. To access the taskbar, point at the position where the taskbar normally resides.

  • Keep the Taskbar on Top of Other Windows Enabled by default, this option ensures that the taskbar is always visible.

  • Group Similar Taskbar Buttons Enabled by default, this option keeps program icons for the same program (such as several Word documents that are open) in the same area of the taskbar.

  • Show Quick Launch This option places the Quick Launch toolbar on the taskbar.

There are also options for the notification area (or system tray, as it is sometimes called). You can choose to show the clock (on by default) and have inactive icons hidden (again enabled by default). After you have made your selections, click OK to close the dialog box.

One last word about the taskbar: When the taskbar is unlocked, you can expand the height of it. Or you can drag the taskbar to a new location, including the right, left (on the right and left the toolbar is vertical), or top of the desktop (it is horizontal).

Now that you have a good understanding of many of the settings that affect the Windows environment, we can concentrate on modifying the look and feel of the Windows GUI through the use of themes, visual styles, and skins. In the next chapter, we cover the default themes provided by Windows XP and show you how you can download and apply new themes.


Chapter 3. Applying and Downloading Windows Themes

In this chapter

  • Looking at how themes are stored

  • Working with the default Windows themes

  • Exploring theme elements

  • Downloading Windows themes

Now that you have an understanding of the differences between themes, visual styles, and skins and have taken a look at the various elements and some of the settings of the Windows GUI, we can concentrate on themes. Themes can actually provide you with a rather dramatic makeover of the Windows interface. The theme dictates the desktop icons, interface color scheme, and (more importantly) the image used on the Windows desktop. Because the desktop is the most prominent part of the interface, customizing the look of it can go a long way toward personalizing and customizing the overall look of Windows.

Windows XP provides two themes (which actually border on being skins because of their visual style settings). By default, the Windows XP theme is selected, but a Windows Classic theme is also available.

This chapter covers the themes provided by Windows XP, how themes are stored, and how you change the default theme. We also discuss how you can download themes from the World Wide Web and modify theme elements, including the theme's sound scheme.


How Themes are Stored

Themes are stored as theme files with the extension *.theme. If you do a search for *.theme using the Windows search feature, your results produce two themes: Luna and Windows Classic (see Figure 3.1).

Figure 3.1. The Luna and Windows Classic theme files are stored in the C:\WINDOWS\Resources\Themes folder.

[View full size image]

These two themes are stored in the C:\WINDOWS\Resources\Themes folder. As discussed in Chapter 2, "Basic Windows XP Interface Modifications," a theme is a set of different elements such as colors, a background, icons, screen fonts, mouse pointers, and a sound scheme. So, it would follow that each of these themesLuna and Windows Classicwould have a default set of elements that give the theme itself a particular custom look.

Other themes, such as those you create yourself (discussed in the next chapter) or those you download from the Web, obviously have their own settings for the elements that make up a theme. And you can change the various settings that control the elements that make up the Luna (Windows XP), Windows Classic, or other Windows XP themes.

Before we cover modifying some of the elements that make up a theme (something we look at briefly in this chapter but in more detail in Chapter 4, "Creating Windows XP Themes from Scratch"), let's see how you access the various elements that make up a particular theme. Because it is the default theme, we'll start with the various interface settings of the Luna theme.


Exploring Theme Elements

As already mentioned, the Luna or Windows XP theme is the default. It is enabled the first time your boot up Windows XP. So, where are the settings for the various elements that make up the Luna theme, such as the background or sound scheme? They are kept in an actual theme file (called Luna.theme).

Note

If you refer to Chapter 1, "Understanding the Windows XP Graphical User Interface," we have included the desktop and window fonts as part of the elements that make up a Windows theme. While not forgetting that they are important to a theme, we will forgo a discussion of font changes in this section because we already discussed the options for sizing fonts in the Display Properties dialog box in Chapter 2. Take a look at the section "Changing the Windows Font Size" in the previous chapter.

But we want to actually view these settings, so we need to find the particular dialog box or utility that enables a user to actually edit the settings of a theme. Let's begin our survey of the Luna theme elements with the desktop background settings and then work our way through the other elements, such as the desktop icons, mouse pointers, and sound scheme.

The Theme Background

The theme background (or wallpaper, as it was called in previous versions of Windows) is the background that covers the Windows desktop. By default, the Luna theme uses the Bliss background shown in Figure 3.2.

Figure 3.2. The default background for the Luna theme is Bliss.

[View full size image]

For the sake of comparison, let's take a look at the Windows XP desktop when it is not covered by a background. Figure 3.3 shows the desktop without a background.

Figure 3.3. The Windows desktop without a background.

[View full size image]

When no background is selected, you actually see the color that has been selected for the desktop as part of the theme's default color scheme. In Luna's case, a dark blue color has been assigned to the desktop (as part of the default color scheme).

To find the default background for a theme you have assigned to Windows, you need to go to the Desktop tab of the Display Properties dialog box, which is shown in Figure 3.4.

Figure 3.4. The Desktop tab lists the current background and offers a list of alternatives.

To open the Display Properties dialog box, right-click the Windows desktop and select Properties from the shortcut menu. When the dialog box opens, select the Desktop tab.

You can see from Figure 3.4 (and your own Display Properties dialog box) that Windows XP offers a number of backgrounds. When you change the background, you are actually modifying the theme. We will cover changing the desktop background and how Windows XP acknowledges that you have done this later in this chapter.

Desktop Icons

Each theme can have a unique set of desktop icons. We discussed changing the default icons for Windows applications and folders in the previous chapter. In terms of a theme and an icon set, however, we are actually limiting our discussion to the default desktop icons: My Computer, My Documents, My Network Places, and the Recycle Bin.

Tip

The Desktop Items dialog box provides a set of check boxes for icons such as My Computer, My Documents, and Internet Explorer. Enabling the check boxes places the particular icon on the desktop.

The icons used by the current theme can be viewed in the Desktop Items dialog box. This dialog box is opened from the Desktop tab of the Display Properties dialog box (right-click the desktop, select Properties, and then select the Desktop tab).

On the Desktop tab, click the Customize Desktop button. The Desktop Items dialog box is shown in Figure 3.5.

Figure 3.5. The standard desktop icons are controlled using the Desktop Items dialog box.

Not only does the Desktop Items dialog box show the current desktop icons used by the theme, but it also enables you to modify the icons used by a particular theme (making it a modified theme. We discuss creating and modifying theme elements in Chapter 4.

Screensavers

Another element that is typically part of a theme is the screensaver (although not all themes you download from the Web include a setting for a "special" screensaver or include a screensaver). The screensaver keeps the screen active when there is no user activity. It is up to you to set the amount of time that must pass without user activity before the screensaver is turned on.

Screensaver settings and the selection of a screensaver are accessed via the Screen Saver tab of the Display Properties dialog box, as shown in Figure 3.6.

Figure 3.6. The Screen Saver tab of the Display Properties dialog box provides the various settings for your screensaver.

Windows XP provides a number of screensavers, and you can download screensavers from the Web (and if you have the time and inclination, you can create your own screensavers). We examine screensavers in more depth in Chapter 12, "Adding Screensavers to Your Skins."

You can see in Figure 3.6 that the Screen Saver tab not only provides access to screensaver settings, but also provides a drop-down list of the screensavers that are included with Windows XP. The Luna theme uses the Windows XP screensaver as its default.

Theme Color Scheme

The color scheme for the theme dictates the colors of theme elements, such as the Windows desktop and Window title bars, but it can also include settings for caption button size, menu size and font, the background color for application windows, and a number of other visual settings.

To access the color scheme for the current theme, select the Appearance tab of the Display Properties dialog box. Figure 3.7 shows the Appearance tab.

Figure 3.7. The color scheme is set on the Appearance tab of the Display Properties dialog box.

The default color scheme for the Luna theme is called Default (blue). If you click the Color Scheme drop-down box, you will find that Luna offers two other color scheme possibilities: Olive Green and Silver.

When you create your own themes, you can create your own color schemes, which (as mentioned at the beginning of this section) can also include visual settings related to ToolTips, window scrollbars, and menus. These settings are not limited to color information but can include spacing and font settings, as well.

Luna is unusual in that it limits the amount of color scheme modifications you can make; you will find that these limitations encompass all three of the color schemes (blue, olive green, and silver) provided by Luna. This is why major modifications of Luna require skinning software. But we will begin to sort out the issues related to modifying Luna and the Windows Classic theme in the next chapter.

Tip

The various settings for a theme's color scheme can be modified using the Advanced Appearance dialog box. This dialog box is opened by clicking the Advanced button on the Appearance tab of the Display Properties dialog box.

Mouse Pointers

Another visual element of a theme is the set of mouse pointers provided by the theme. There is really no limit to the mouse pointers you can assign to a particular theme because you can download or create mouse pointers.

To view the mouse pointers for the current theme, open the Windows Control Panel by selecting Start, Control Panel. In the Control Panel, select the Appearance and Themes category. A shortcut for mouse pointers appears in the link box on the left side of the Control Panel. Select Mouse Pointers.

The Mouse Properties dialog box opens. Select the Pointers tab to view the current mouse pointer scheme (see Figure 3.8). By default, Windows XP uses the Windows Default (system scheme) mouse pointer set (as shown in Figure 3.8).

Figure 3.8. You can view the current mouse pointer scheme for a theme.

You can change individual mouse pointers or the entire mouse pointer scheme (we cover changing the scheme in the next chapter when we discuss creating themes). To change a single mouse pointer, select the mouse pointer in the Customize box and then click the Browse button. All you have to do is locate a new mouse pointer file (cursor files have the extension *.cur; animated cursors have the extension *.ani).

Note

When you change individual mouse cursors that are part of a particular scheme, you can save your changes as a new scheme by clicking the Save As button on the Pointers tab.

An alternative to changing individual mouse cursors is to select an entirely new mouse pointer scheme. This is accomplished by selecting a new scheme from the Scheme drop-down list on the Pointers tab. Windows XP offers a number of mouse pointer schemes, such as the default, conductor, dinosaur, and others. You can also download mouse pointer schemes and create your own; we discuss these possibilities later in the book.

After you have selected a new mouse scheme or changed individual mouse pointers, you can close the Mouse Properties dialog box by clicking the OK button.

Theme Sound Scheme

Although not a visual element of a theme, each theme can contain a unique sound scheme. The default sound scheme for a theme (such as Luna) can be found in the Sound and Audio Devices Properties dialog box.

To open the Sound and Audio Devices Properties dialog box, select Start and then click the Control Panel icon. In the Control Panel, select the Sounds, Speech, and Audio Devices link. Then select the Sounds and Audio Devices link to open the Sound and Audio Devices Properties dialog box. The sound scheme and sound events can be found on the Sounds tab (see Figure 3.9).

Figure 3.9. You can view the current sound scheme and the sound assigned to each program event.

In the Program Events scroll box, you can view the various Windows program events (such as Critical Stop, Device Connect, and Exit Windows) and the sounds that have been assigned to them.

You can change the sound used for any of these events (or assign a sound to an event that does not currently have a sound assigned to it). To hear the sound currently assigned to an event, select an event in the Program Events scroll box.

The sound assigned to the event appears in the Sounds box. Click the Play button to hear the sound. If you want to change a particular sound for a program event, select the program event and then click the Browse button. Sound files that are used for program events must be .wav files. This means you can use any .wav file on your computer or even create your own. We discuss selecting and creating sounds for program events in Chapter 4.

The Sound tab also allows you to view the current sound scheme being used (there is no selection by default in Windows XP when you use the Luna theme). To see the available sound schemes, click the Sound Scheme drop-down box. Only two possibilities are provided by Windows XP (No Sounds and Windows Default), but you can create your own sound schemes; again we discuss the possibilities in Chapter 4.

To close the Sound and Audio Devices Properties dialog box, click OK (to save any changes) or Cancel. You can then close the Windows Control Panel.


Changing the Default Theme

Now that we have covered the elements that can be part of a theme, let's take a look at changing the theme. Open the Display Properties dialog box (right-click the desktop and then select Properties).

Make sure the Themes tab is selected. Click the Theme drop-down box (see Figure 3.10) and select a new theme. Depending on the elements that were part of the theme (a style, a color scheme, a sound scheme, mouse pointers, and so on), these elements will be changed.

Figure 3.10. Select a new Windows theme.

If you haven't downloaded or created any themes and only have the Windows Classic theme to work with, only the style (which handles window, taskbar, and Start menu attributes), color scheme, and background (no background is selected) are changed. The icon mouse pointers, the sound scheme, and the screensaver remain the default (meaning the same as Luna).

Although not a really dramatic change, switching from the Luna theme to the Windows Classic theme does change the overall look of the Windows interface. You can download and create themes that alter the interface to a greater degree and include all the elements we discussed earlier in the chapter.


Changing the Background

We will take a closer look at changing, downloading, and creating backgrounds in Chapter 11, "Creating a Background Library." However, let's examine what happens when you change the background for the current theme (using the Luna theme as an example).

To change the background, select the Desktop tab of the Display Properties dialog box (right-click the desktop and select Properties to open the dialog box). Select any of the backgrounds found in the Background list box. When you select a new background, you are actually modifying the current theme.

For example, let's say you are currently using the Windows XP theme (Luna) and you select a new background on the Desktop tab. When you switch to the Themes tab of the Display Properties dialog box, the current theme is now named Windows XP (Modified), as shown in Figure 3.11.

Figure 3.11. Change any element of a theme, and you are in essence creating a new theme.

By changing the background, you have started the process of creating a new theme, and you can save this new theme under a new name (using the Save As command on the Theme tab). We discuss this process in detail in the next chapter.


Where to Find Great Windows XP Themes

Before exploring all the aspects of creating your own themes (as we do in the next chapter), let's see what kind of ready-made themes are available on the Web. You can search for themes on the Web as you would search for any other subject matter using your favorite search engine, such as Google or MSN Search.

When you search for "Windows themes" in any search engine, you get a large number of hits. For example, Figure 3.12 shows a Google search for Windows themes that produced more than two million hits.

Figure 3.12. Numerous sites on the Web provide Windows theme files.

[View full size image]

So, the issue isn't finding websites with themesit is finding websites that have simple themes saved in the *.theme format. As we discussed in Chapter 1, the terms theme, visual style, and skin are often used interchangeably, so even though the website might say it contains themes, you might actually have found a repository of Windows skins.

Simple themes don't require additional software, but visual styles and skins do. One of the first things you must determine when you search the Web for theme downloads is whether you are actually finding themes, visual styles, or skins.

We will be exploring visual styles and skins as we progress through the book and, as mentioned earlier in this chapter, we consider a theme a simple collection of unique Windows elements such as icons, a background, mouse cursors, and so on. This means our current search is for themes that we can apply to Windows XP without any additional software.

Table 3.1 lists some download sites that contain themes (rather than visual styles or skins that require additional software). We can then discuss downloading the theme and then applying the theme to the Windows XP GUI.

Table 3.1. Theme Websites

Site Name

Contains

URL

ThemeWorld.com

Themes, wallpaper, and screensavers

http://www.fontempire.com/

TUCOWS

Themes and theme tools

http://www.tucows.com

Wulfert.com

Themes, wallpaper, and screensavers

http://www.wulfert.com/

PC World

Themes and screensavers

http://www.pcworld.com/downloads

TopThemes.com

Themes, wallpaper, and screensavers

http://www.topthemes.com/

You can also find single themes on a variety of websites. For example, many professional sports teams and the official websites for new theatrical films often offer themes (for the team or movie).


Downloading the Theme

How you actually download a particular theme depends on the website providing the theme. Before you start downloading themes, you should create a place on your computer where you can save the downloaded files.

Note

Some of the themes you find on the Web might have been created for Windows 98, but you can apply these themes to Windows XP. You will also find that websites come and go, so the sites listed in Table 3.1 might not be available as time passes.

Click Start and then select My Computer. Double-click the Local Drive (C:) icon to open the hard drive. Click the File menu, point at New, and then click Folder. Type a new name for the folder. Now you have a repository for any downloaded files.

To download a theme, navigate to the web page that contains the link to the theme. The link can be a download button, a text link, or some other type of link; click the link. It might take a second or two, but then a File Download box will open (see Figure 3.13).

Figure 3.13. Click Save to save the theme file to your computer.

Click the Save button. The Save As dialog box appears. Use the Save in drop-down list to locate the folder in which you will save the file. Double-click the folder (after you locate it) to open it. Then click the Save button to save the file to the specified location.

When the file has been downloaded to your computer, the Download Complete dialog box opens. You can close the box or click the Open Folder button to go to the folder that contains the file. Now that you have downloaded the file, we can take a look at how you apply the theme.


Applying Zipped Themes

Themes can come as zipped archives (a file with the extension .zip), or they can come as executable files with the extension .exe. The download file type dictates how you apply the theme.

Note

Zip archives are actually a collection of files that are zipped into one file. This keeps the files together and often compresses the files so they don't take as long to download from the Web. Installation of .exe files download as a single file. They are actually like little applications in that they install the theme and its various elements when you double-click the downloaded file.

In the case of zipped files, you need to unzip the archive to a folder on your computer. Again, as discussed in the previous section, you should make sure that the file you downloaded from the Web is saved to a specific folder so you can locate it easily. Zipped archives use a specific icon of a folder with a zipper on it, as shown in Figure 3.14.

Figure 3.14. Zipped archives are identified by a unique folder icon.

[View full size image]

Use Windows Explorer to open your local drive and locate/open the folder that contains the downloaded file (click Start, My Computer). After you have located the zipped file, you can unzip it to a new folder. In most cases, the zipped archive already contains a folder for the theme files, so when you extract the files, they are deposited in a new folder.

To extract the files from a zipped archive, double-click the zipped file to view its contents (it is typically a single folder). Then click the Extract All Files link on the left side of the Windows Explorer window. The Extraction Wizard opens; click Next to continue.

On the next wizard screen, you specify a folder to which the Zip file will be extracted (see Figure 3.15). Again, in most cases a folder is part of the Zip file and you can unzip the folder (and its contents) as a subfolder of the folder you created for your downloaded theme files.

Figure 3.15. Specify the folder where you will place the files from the Zip archive.

After specifying the folder, click the Next button. The archive is unzipped to the specified folder. Click Finish on the final wizard screen to complete the process. When you click Finish, a window opens showing you the unzipped files from the archive. In most cases, this is a single folder that contains the various elements of the theme, as shown in Figure 3.16.

Figure 3.16. You can view the various files that make up the theme.

[View full size image]

As you can see from Figure 3.16, this theme contains a new desktop background, new cursors, mouse pointers, and even a sound file. The actual theme file (which is really just a text file of instructions as to which elements should be applied when the theme is used) is only a 5KB file and is listed second on the file list shown in Figure 3.16.

After the theme has been extracted to a folder, you can apply the theme. Right-click the Windows desktop and select Properties.

On the Display Properties dialog box, make sure that the Themes tab is selected. Click the Theme drop-down list arrow and select Browse from the list.

This opens the Open Theme dialog box. Navigate to the folder that holds your theme (see Figure 3.17).

Figure 3.17. Locate the theme file.

[View full size image]

Select the theme file and then click Open. The theme appears in the Theme list on the Theme tab of the Display Properties dialog box. Now that the new theme has been selected, you can check out the other tabs of the Display Properties dialog box to see which theme elements have actually been applied. For a review of theme elements, refer to the "Exploring Theme Elements" section in this chapter.

Caution

Themes are available on the Web for versions of Windows other than Windows XP (such as Windows 95 and 98). Many sites do not provide enough detailed information about the themes they provide to let you know for which version of Windows the theme was designed. This means some themes will work well with Windows XP and some won't. Some themes written for Windows 95 and 98 might also have been designed to take advantage of the Microsoft Plus Theme software that was created for that version of Windows. After you download a theme and the accompanying files, you might want to view the theme in a text editor such as Windows WordPad. Right-click the theme and select Open with; then select WordPad from the list. Themes are really just text files designating the various theme settings. Typically, a text line near the top of the theme file (as viewed in WordPad) tells you for which version of Windows the theme was created. Remember that themes designed for Windows XP work the best in Windows XP.

To apply the new theme to Windows, you can click the Apply button or click OK in the Display Properties dialog box. Figure 3.18 shows a downloaded theme that has been applied to Windows.

Figure 3.18. The theme file modifies the various Windows GUI elements.

[View full size image]


Applying Executable File Themes

The alternative to Zip archives is a theme that has its own installation executable file or has been compressed into an executable file with the theme elements (such as the cursor, icon, and sound files). This one file (typically with the extension .exe) contains all the element files in the theme.

Download the file to your computer as discussed in the previous section. Then all you have to do is locate the executable file you downloaded.

In some cases, the download is an installation program that installs the theme to a folder on your computer. After you have installed the theme, you can apply the theme to your computer, as discussed in the previous section (on the Theme tab of the Display Properties dialog box, use the Browse command on the Themes list to locate the theme on your computer). Some of these theme executable files also apply the theme to the computer when you run the installation program.

In other cases, the executable file you download might be a wrapped programwrapped being a way of compressing the actual theme program file that installs the theme. So, you have to go through two installations to get at the theme. You have to unwrap the theme executable and then use it to install the theme on your computer. Let's take a look at unwrapping an executable theme.

Unwrapping an Executable Theme

The program you downloaded might be a wrapped file, so you'll have to unwrap it (meaning running the initial wrapping program) to get at the actual executable file that installs the theme. If the theme file you downloaded is the actual theme installer, you can skip this section and proceed to the next section, "Unzipping Themes from Executable Files."

After you've located the file in Windows Explorer, double-click the file. A security warning message might appear. Click Run to run the theme file.

A file transportation program wizard appears, explaining that the theme has been wrapped into an executable to save space (and to make it easy to download). Click Next.

You might have to accept certain terms on the next screen related to the download; make sure that I Accept is selected. Then click Next to continue.

Some themes are wrapped with third-party web browser toolbars and other utilities. You have to decide whether you will accept the installation of these items to install the theme. After considering the options, click Next to continue. Other steps might be involved in the process, depending on how the theme was wrapped. When you complete the process, a Windows Explorer window opens and shows the executable file (see Figure 3.19).

Figure 3.19. Double-clicking the theme executable file installs the theme to your computer.

[View full size image]

When you run the executable file, an installer wizard opens. Read each screen and click Next as required. During the installation process, a preview of the theme is shown. At some point, the wizard provides you with the ability to select the folder into which the theme should be installed. Select an appropriate folder and then click Next. The theme is extracted to the folder you specified. You can now apply the theme to your computer using the Browse command in the Themes list (on the Themes tab of the Display Properties dialog box).

Tip

In cases where the installation wizard shows a default folder for the theme installation, go with the default (meaning the folder path provided by the wizard). The theme might be designed to look in that particular folder location to apply theme elements appropriately. Placing the theme in a folder other than the default can cause problems when you apply the theme (for instance, the icon files or mouse cursors might not be found).

Unzipping Themes from Executable Files

As already mentioned, theme files can be compressed or zipped into a single executable file. Running the executable allows you to unzip the files into a particular folder. Let's take a look at how this process works.

Download the executable file to an appropriate folder on your computer. Locate the file and double-click it. The WinZip Self-Extractor window opens (see Figure 3.20).

Figure 3.20. You need to unzip the theme elements using the WinZip Self-Extractor.

Specify a folder for the theme (and all the theme element files), and then click Unzip. This unzips the files to the specified folder. You can then apply the theme as you would any other theme via the Themes tab in the Display Properties dialog box.

I think you will find that downloading and applying themes from the Web can be quite an interesting experience. It also provides ready-made themes based on the arts, movies, nature, and music. I'm partial to the theme shown in Figure 3.21 based on the band Devo (not that they were ever a household name). I went to grade school with two of the band members and still get a chuckle out of thinking about them playing electronic punk rock while wearing flower pots on their heads.

Figure 3.21. You can find themes for just about everything on the Web.

[View full size image]

On a more practical note, downloading and applying a prebuilt theme and then exploring the various elements that make up the theme is a good first step in getting ideas for designing your own themes. It also shows you how the various theme elements have been modified for that particular theme. You will find that both simple and complex themes exist on the Web, so you should explore a variety.


The Next Step

As you've seen from this chapter, themes are a pretty straightforward and fun way to modify parts of the Windows interface.

Now that you have a good feel for the GUI elements that make up a theme, we can take a look at creating your own themes. The next chapter (Chapter 4) discusses creating themes from scratch.


Chapter 4. Creating Windows XP Themes from Scratch

In this chapter

  • Assembling the elements of your theme

  • Why your theme should have a theme

  • Creating a color scheme for the theme

  • Selecting icons and a background for the theme

  • Selecting the theme screensaver

  • Creating a theme sound scheme

  • Saving the theme

Themes provide an easy and straightforward way to customize and personalize the Windows XP desktop. This chapter discusses how you can create your own Windows themes. We look at how you select each of the elements necessary to creating the theme and also discuss how you can save your themes.


The Elements of Your Theme

As you can see from our discussion of themes in the previous chapter, a theme is a collection of elements such as mouse cursors, icons, a color scheme, a background, fonts, a screensaver, and a sound scheme. When you create a new theme, your job is putting together all the raw material that will make up the theme.

Although creating a new theme doesn't require that you modify each and every theme element (for instance, your theme might use new elements but use the default sound scheme or mouse cursors), even the most basic theme typically includes a new background, desktop icons, and a custom color scheme.

Where you get the various elements for your new theme is really up to you. Windows XP provides some alternative icons, backgrounds, and color schemes. Because you create your color schemes from a huge palette of colors, the color scheme is an element you don't really have to acquire (such as downloading an icon set)you create it when you build the theme.

In terms of some of the other theme elements, you can download any number of desktop backgrounds, icon sets, mouse cursors, screensavers, and sounds. You can also create your own elements, such as backgrounds or icon sets. And it is assumed that, as you create your own themes over time (and move on to creating skins), you will want to create your own library of each theme element. We cover the creation of theme element collections later in this book.

Tip

We discussed downloading themes in Chapter 3, "Applying and Downloading Windows Themes," but you can also download theme elements such as backgrounds, icon sets, sounds, and so on from many websites. Use your favorite search engine and search for "theme elements." Although we now call it a background, earlier versions of Windows use the term wallpaper. So, you will find that you get more hits doing a search for "Windows wallpaper" than "Windows background."

So, you need to organize the various theme elements that will make up the theme. This means downloading or creating them and then saving them in a folder where you can easily find them when you start the theme creation process.

One thing you can do to stay organized is create a folder for each theme you create. This allows you to keep all the elements, such as the background picture, icons, and cursors, all in one place. You can then easily find the elements when you are changing the various display properties and other settings to create the theme on the desktop.

It is also important to have a place to put theme elements you find when you are browsing the Web or when you are playing around with a graphics package and creating elements such as icons or cursors. One possibility is to save the various elements you find on the Web or create yourself in the folders that hold these types of files by default, such as the following:

  • Cursors C:\Windows\Cursor

  • Sounds C:\WINDOWS\Media

  • Icons C:\WINDOWS and C:\WINDOWS\SYSTEM32

  • Backgrounds C:\WINDOWS\Web\Wallpaper

However, a better approach might be to create your own folders for each of the elements rather than cluttering the various Windows program subfolders (this way you are also not messing around in the folders that hold the files that make Windows work). For example, you can create a folder for each element in a parent folder called themes. This doesn't clutter the C drive because there is only one parent folder (themes) and each element type can then have its own resting place in a specific subfolder. Figure 4.1 shows this type of folder setup as shown in Windows Explorer.

Figure 4.1. Create folders to hold the various theme elements you will use when creating your own themes.

[View full size image]

You end up with two sets of folders. You will have "library" folders that hold elements that don't go to a particular theme. For instance, you might feel inspired and create a bunch of icons; you can save them in the Icons folder. However, if you're creating the icons for a particular theme, you could save the icons in that theme's folder.

After you have the various theme elements saved where you can find them, you are ready to modify the various display properties, mouse cursor settings, and sound scheme settings to create your new theme. However, before looking at the actual nuts and bolts of creating the theme, let's take a moment to discuss some basic issues related to the aesthetics of a theme.


Your Theme Should Have a Theme

I think it would be safe to assume that Microsoft calls a unique collection of display properties (icons, colors, background, and so on), mouse cursors, and sounds a theme because it has thematic intent, meaning the theme uses a unifying topic or subject that then dictates how each of the theme elements looks.

For example, if you create a Windows theme based on your team sport, you would want the color scheme to use your favorite team's colors (or be complementary to the team's colors), have a background that shows the team (or your favorite player in action), and then have icons and cursors that match the overall concept of the theme. Take a look at the simple hockey theme shown in Figure 4.2.

Figure 4.2. Theme elements typically adhere to a unifying subject.

[View full size image]

The hockey theme uses custom icons related to the game (that's Lord Stanleythe Stanley of the Stanley Cupas the Empty Recycle Bin icon). Custom mouse pointers are also used (the default mouse pointer has a hockey puck motif and is shown on the desktop). It also uses a photo of Vincent Lecavalier (of the 2004 Stanley Cup Champion Tampa Bay Lightning). The photo used for the background was selected because it provided some light-colored areas that serve well as places to park the desktop icons (and make it easy to see the icons). The color scheme selected was designed to complement (rather than clash with) the background.

Although your theme should have some sort of unifying topic or subject that influences the various theme elements, I certainly do not want to dampen your personal artistic fire. Themes can be quite abstract, as can art, so the creation of your theme can be an artistic journey where you determine the connection (or non-connection) between the various theme elements. As long as you are happy with the theme and enjoy using it to dress up the Windows environment, I would say that the theme is a success.

In terms of color schemes, fonts, and backgrounds, you do want to be somewhat practical, however, in terms of overall usability. The Windows environment is where you use various applications and utilities. Therefore, you don't want to create an environment in which the background, colors, or fonts make it difficult for you to function and you have problems reading window titles or can't really see the desktop icons because of an extremely busy background.

To some extent, creating themes (and visual styles and skins, which we discuss later in the book) is a trial-and-error process. When a certain element of the theme looks good, you keep it and move on to the next element. When an element doesn't work, you can modify it.

Let's walk through the process of creating a theme. We will start with the display property elements of the theme, such as the desktop icons, color scheme, and desktop background of the new theme.


Selecting Theme Elements in the Display Properties Dialog Box

A number of the element settings that make up your theme are accessed via the Display Properties dialog box. This includes the color scheme, desktop icons, background picture, and screensaver.

Let's begin our creation of a new theme by working with the elements in the Display Properties dialog box. First, select a new background. The overall design of the background (its color, concept, and so on) helps you select a color scheme and other theme elements, such as icons that are compatible with the background (in both a thematic and visual sense).

Selecting the Theme Background

Because the background sets the overall tone for the theme and has the most visual impact on the desktop (it covers the entire desktop, precluding the taskbar), it makes sense to select it first. Open the Display Properties dialog box (right-click the desktop and select Properties). Then select the Desktop tab in the dialog box (see Figure 4.3).

Figure 4.3. Select a new desktop background.

You can either select a background from the Background list, which includes a number of backgrounds such as Stonehenge, Tulips, and Wind, or browse for a custom background that you have created or downloaded from the Web.

Tip

For easier picture browsing, click the View Menu button in the Browse dialog box and select Thumbnails from the menu that appears. This enables you to view your picture files (as a thumbnail) when you are browsing your folders.

Let's assume you are going to use a custom background. When you click the Browse button, the Browse dialog box appears. It defaults to the My Pictures folder, which is a subfolder of My Documents.

If you have your background picture stored in a folder other than My Pictures, use the Look in drop-down arrow to locate the drive and folder that holds the background file you will use.

After you locate the file you will use for the background, select the file and click Open. The new background appears in the desktop preview window on the Desktop tab (see Figure 4.4).

Figure 4.4. The new background appears on the Desktop tab.

As you can see from Figure 4.4, I've chosen a photo as my desktop background. The theme I want to create is titled My Cats. This is just an arbitrary name I will use for the theme; the background is actually a picture of one of my cats named Gizmo.

You have three options related to the positioning of the background on the desktop: Center, Tile, and Stretch. These options are available in the Position drop-down list and do the following:

  • Center This centers the picture on the desktop. If the picture has not been sized to match the resolution of the desktop (as far as width and height), the image is centered on the desktop but does not cover the entire desktop.

  • Tile This option tiles (repeats the picture as tiles) the image and covers the entire desktop.

  • Stretch This option stretches the image so it covers the entire desktop. Depending on the image size, it can distort the image on the desktop.

Tip

You want to have a desktop background or wallpaper file that will work well with the resolution you are using on your computer screen. If you are using the 800 ¥ 600 resolution, it makes sense to use a background file that is 800 ¥ 600 pixels (or 480,000 total pixels). Using other sizes for your background can distort the background on the desktop, particularly in cases where you use the stretch setting. We talk more about creating and storing background (wallpaper) files, including sizing background pictures, in Chapter 11, "Creating a Background Library."

Make your selection from the Position drop-down list. If you select Center and are using an image that will not cover the entire desktop, you also might to change the desktop color. Click the Color drop-down list and select a color that is visually suitable for the image file you have centered on the desktop.

If you want to see the image on the desktop (rather than just the sample provided in the dialog box), click the Apply button. This keeps the dialog box open and applies the image to the desktop.

After you have selected the various options for your desktop background, you can select the icons that will appear on the desktop. The desktop icon settings are accessed via the Desktop tab of the Display Properties dialog box.

Selecting Your Desktop Icons

To change the default desktop icons, click the Customize Desktop button on the Desktop tab. The Desktop Items dialog box opens (see Figure 4.5).

Figure 4.5. The Desktop Icons dialog box enables you to control the Desktop icons.

This dialog box enables you to select the icons you want to display on the Windows desktop (My Documents, My Computer, My Network Places, and Internet Explorer). It also provides you with the ability to change the default icon for the desktop icons, such as My Computer and the Recycle Bin.

Because we have defined a theme as having a unique set of desktop icons (in most cases), let's take a look at changing these icons. Select one of the icons shown in the icon box, such as My Computer; then click the Change Icon button.

Note

The Desktop Items dialog box also allows you to enable or disable the Desktop Cleanup Wizard. This wizard runs every 60 days (if enabled) and takes unused icons and moves them to an Unused Icons folder on the desktop.

The Change Icon dialog box opens. A small set of replacement icons is available in this dialog box by default. However, you probably won't be thrilled by those options (these icons are part of an icon set held in the file explorer.exe). To browse for icons you downloaded or created, click the Browse button.

In the Change Icon window that opens, use the Look in drop-down arrow to locate the drive and folder that holds the icons you want to use. Figure 4.6 shows the Change Icon window and lists icons I made for my cat theme. All my icons are saved as icon files.

Figure 4.6. Browse to locate your icon files.

[View full size image]

Icons can come as single files (with the .ico extension). A group of icons can also be held in an icon library file (with the extension .icl), a program file (such as the explorer.exe file you saw when you first opened the Change Icon dialog box to change the My Computer icon), and .dll files (for example, the shell32.dll, which holds the default Recycle bin icons; its path is C:\WINDOWS\Shell32.dll and it holds a lot of alternative icons you can use as desktop replacements).

Depending on the file type used for your icons (.ico versus .icl if you created or downloaded the icons), you might have to use the Files of Type drop-down list at the bottom of the Change Icon window to select the type of file you want to locate. In cases where you want to see all the possible icon file types, select the All Files option in the Files of Type drop-down list.

Note

We discuss creating icons and mouse pointers in Chapter 10, "Creating Icons and Mouse Pointers." The chapter discusses methods of creating these elements and the various options for saving individual icons and icon libraries.

After you have located the replacement icon, select the file and click Open. The file you selected appears in the Change Icon dialog box. Click OK and the new icon file replaces the default icon and appears in the Desktop Items dialog box.

You can now select the other default icons (depending on which icons you have chosen to show on the desktop) and change the icon to one of your theme icons. In the case of the Recycle Bin, you need two new icons: a Recycle Bin (Full) icon and a Recycle Bin (Empty) icon.

After you have changed the default desktop icons, click OK and you are returned to the Desktop tab of the Display Properties dialog box. If you want to apply the new icons to the desktop at this point, click the Apply button.

Changing the Screensaver

Now that you've taken care of the desktop background and desktop icons, you can select a screensaver for your theme. You can use any number of screensavers supplied by Windows XP, or you can download screensavers from the Web (you need to save these screensavers in the C:\WINDOWS\System32 folder for easy access; you learn more about screensavers in Chapter 12, "Adding Screensavers to Your Skins").

Tip

You can create your own picture slideshows using any pictures stored in a folder on your computer. We discuss My Pictures slideshows in Chapter 12.

In the Display Properties dialog box, click the Screen Saver tab (see Figure 4.7). The available screensavers are listed in the Screensaver drop-down list.

Figure 4.7. Select a screensaver for your theme.

To select a new screensaver, click a screensaver in the list. For example, I plan to use the 3D Text screensaver (supplied by Windows XP). To preview the screensaver, click the Preview button, and to return to the dialog box, click the left mouse button again.

Most of the screensavers provided by Windows XP have settings you can modify. Only the Blank and the Windows XP screensavers do not have additional settings.

Note

We more closely examine screensavers in terms of what they actually are and explore downloading and installing additional screensavers from the Web in Chapter 12.

In terms of the 3D Text screensaver I have decided to use as the screensaver for my cat theme, I need to modify its settings to personalize it for my theme.

After you have selected a screensaver (such as the 3D Text screensaver), click the Settings button to modify the screensaver's settings. The number of settings you can modify vary from screensaver to screensaver. In the case of the 3D Text screensaver (see Figure 4.8), there are a number of possibilities for modifying the look of the screensaver.

Figure 4.8. You can modify the screensaver settings.

[View full size image]

Screensaver Settings

In the 3D Text Settings dialog box (refer to Figure 4.8), you can specify the text you want to use on the screen (when the screensaver runs) and several other settings related to the screensaver. The dialog box is divided into areas in which you can specify the font to be used, the rotation type for the text, and the surface style for the screensaver (using the appropriate text or drop-down box).

Slider bars provide you with control over the resolution, size, and rotation speed of the screensaver's text when the screensaver is activated. The bottom of the dialog box enables you to select a custom color for the text and use a .bmp file as the template for the texture or reflection of the text.

When you have completed your modifications to the screensaver settings, click OK. This returns you to the Screen Saver tab, where you can view your modifications by testing the screensaver.

Idle Time and Password Protection

Before we leave this short discussion of selecting and modifying the screensaver (more can be found in Chapter 12), we need to discuss two additional settings: the wait time and password protection.

To set the idle time for activation of the screensaver (idle, meaning nothing is going on via the keyboard or mouse), use the Wait spinner box (or click in the box and type a time). The default is 10 minutes.

You also have the option of requiring a password to deactivate the screensaver after it is active. This can be useful in situations when you want to protect files on your computer or don't want other people using your computer.

To use the password option, click the On Resume, Password Protect check box. Now when the screensaver comes up (after the specified idle time) and you click the mouse or press a key on the keyboard to deactivate the screensaver, you need to provide a password to shut down the screensaver (see the tip that follows for information on setting your password).

Tip

The password you use to unlock the screensaver (when you have password protection enabled) is your user password. If you are using Windows XP Home as the only user, you probably don't have a password at this point (on Windows XP Professional, it is the password assigned to you by your administrator). To set a password, select the Start menu and then select Control Panel. In the Control Panel, select User Accounts. At the bottom of the User Accounts window, click the icon that represents your account. You can then click Create Password and create a password for your account. If you create a password, you also have to use that password when you log on to Windows (as well as using it to disable the screensaver); be sure you really require all that security before modifying your user account.

After you have selected your screensaver and modified the settings, you are ready to move on to the next step in creating your custom theme: configuring appearance settings, such as the color scheme.


Editing the Appearance Settings

All your changes to the default Windows XP theme have been fairly straightforward thus far as you've created a new theme. The appearance settings, which are also found in the Display Properties dialog box, are going to throw you a little bit of a curve. This curve relates to the Luna style (the Windows XP style) we discussed in Chapter 1, "Understanding the Windows XP Graphical User Interface." Visual styles (such as luna.mmstyles) take precedence over certain theme settings (specifically color scheme settings), so the Luna style might confound us (but certainly won't stop us) when we want to put a custom color scheme together for the various interface components, such as the taskbar and window title bars.

Let's take a look at the Appearance tab of the Display Properties dialog box (see Figure 4.9) to help illustrate the issue with custom color schemes and the XP visual style (luna). By default, the Windows XP style is selected in the Windows and Buttons drop-down box.

Figure 4.9. The Display Properties dialog box's Appearance tab.

If you like the look of the rounded title bars and the button style used for the Minimize, Maximize, and Close buttons, you might want to use the Windows XP style for the theme you are building. If you click the Color Scheme drop-down box, you can select from three color schemes: Default (Blue), Olive Green, and Silver.

You can also change the size of the fonts used on the desktop and in the title bars of windows and dialog boxes. Use the Font Size drop-down box to select Large Fonts or Extra Large Fonts (Normal is the default).

Now here is where the Windows XP style (luna) causes problems: When you attempt to create a custom color scheme, you can't modify the colors for all the various parts of the interface because the Windows XP style overrides your custom color selections.

Let's take a look at what happens. Click the Advanced button on the Appearance tab. The Advanced Appearance dialog box opens (see Figure 4.10).

Figure 4.10. The Advanced Appearance dialog box.

A message in the dialog box states, If you select a windows and button setting other than Windows Classic, it will override the following settings, except in some older programs. By default (without an add-on program such as Microsoft Plus!), the only other windows and button setting is Windows XP style (refer to Figure 4.9). So, what the message is really saying is that the custom colors settings will be negated by the Windows XP style.

Note

There can be some confusion related to the Windows XP GUI and its modification. Remember that in Chapter 1 we discussed the luna.msstyles file that is the Luna visual style (and the only default visual style that ships with Windows XP). In Chapter 3 we discussed themes and found that there is also a luna.theme file (which is the default theme for Windows XP) and a second theme file named Windows Classic.theme. The Windows Classic theme doesn't have an accompanying .mmstyles file as Luna does, so we have greater capabilities for modifying the Windows GUI using just a theme (and not a complete skin) by starting with the Windows Class Style (selected in the Windows and Buttons drop-down list on the Appearance tab).

Now, this isn't completely true. For example, let's say you click the Item drop-down list in the Advanced Appearance dialog box and select 3D Objects. You then use the Color 1 drop-down box to select a new color for 3D Objects (which controls the interior color of windows, the taskbar, and the Start menu).

When you apply the new color, the taskbar doesn't change color. It is still the same blue color that is the default for the Windows XP style.

So, the Windows XP style overrides any custom color you try to apply to the taskbar and Start menu (by changing the color of 3D Objects). In addition, the Windows XP style overrides any custom colors you try to apply to the active and inactive window title bars.

Most of the other custom settings provided by the Advanced Appearance dialog box (including font changes) can be applied even if you have selected the Windows XP style, but creating a completely custom theme requires that you select the Windows Classic style (on the Appearance tab).

Note

To modify the Windows XP style to any great extent, you need skinning software that enables you to modify and create visual styles that can then be applied to Windows. Chapter 5, "A Primer on Third-Party Theme and Skins Software," covers skinning software that allows you to completely modify the look and feel of the Windows XP GUI. Chapters 7, 8, and 9 examine creating your own skins using skin and visual style editors.

Now, let's backtrack for a moment and use the Windows Classic style so we can completely customize the colors for all the items found in the Advanced Appearance dialog box (we will also look at how each setting affects the GUI). The Windows Classic style offers a greater number of color schemes (as compared to the three offered by the Windows XP style).

On the Appearance tab of the Display Properties dialog box, select the Windows Classic style. To select a ready-made color scheme for your theme, click the Color Scheme drop-down list (see Figure 4.11). Select one of the color schemes to apply it to your theme.

Figure 4.11. The Windows Classic style offers a greater number of color schemes.

To change the font size for your theme, use the Font Size drop-down box to select Large Fonts or Extra Large Fonts (Normal is the default). Now you can modify any of the color scheme elements, including the font type and color used by the desktop and title bars, using the Advanced Appearance tab.

If you are satisfied with one of the provided color schemes for your theme, you are ready to move to the next step, which is modifying the mouse pointer. This is covered in the next section. However, if you want to create a custom color scheme, read on.

Click the Advanced button on the Appearance tab. The Advanced Appearance dialog box opens (see Figure 4.12). There are two ways to select GUI items so that you assign a custom color or font attribute to that GUI item. You can click an item in the sample box provided by the dialog box (it shows the desktop, an active window, an inactive window, and a message box). Or you can use the Item drop-down list to select an item and change its color and font attributes.

Figure 4.12. The 3D Object and other custom item settings are found in the Advanced Appearance dialog box.

Let's break down the Item drop-down list so you know what you are modifying when you select a particular item:

  • 3D Objects Controls the background color of dialog boxes, the Start menu, the taskbar, and control buttons on windows (the Close, Maximize, Minimize, and Quick Launch menus). You can also change the font color for 3D objects.

  • Active Title Bar Controls the active title bar colors (colors 1 and 2, which create a gradient on the title bar), the font type (for example, Tahoma, the default, versus a number of other font families), the font size, and the font color.

  • Active Window Border Controls the active border size and color.

    Note

    When you are working with the title bars, you must use the same font and size for the Active Title Bar and Inactive Title Bar items.

  • Application Background Controls the background color of an application. Open Windows Paint and start a new project with an image size smaller than the default. This enables you to see the Paint background and see how changes to the application background look when you change them in the Advanced Appearance dialog box.

  • Caption Buttons Controls the size of caption buttons, such as the Minimize, Maximize, and Close buttons.

  • Desktop Controls the color selected for the Windows desktop. If you are using a background picture that covers the entire desktop, you don't see the desktop color.

  • Icon Controls the size of the desktop icons and the font and font size used on the desktop for icon names (such as My Computer).

  • Icon Spacing (Horizontal) Controls the horizontal spacing of desktop icons.

  • Icon Spacing (Vertical) Controls the vertical spacing of desktop icons.

  • Inactive Title Bar Controls the inactive title bar colors (colors 1 and 2) and the font type, font size, font color, and other font attributes (such as bold or italics).

  • Inactive Window Border Controls the inactive border size and color.

  • Menu Controls the size, color, and font attributes of window menus (on the menu bar).

  • Message Box Controls the size and font attributes of the message text found in message boxes.

  • Palette Title Controls the size and font (size and bold or italics) for palette windows (collections of tools in a palette).

  • Scrollbar Controls the size (width/height) of window scrollbars.

  • Selected Items Controls the size, color, and font attributes (size and color) of items selected in a list or shortcut menus.

  • ToolTip Controls the color and font attributes of ToolTips.

  • Window Controls the window color (the interior of the window) and the font color.

Select the various custom settings for the interface items. When you are finished working in the Advanced Appearance dialog box, click OK. You are returned to the Appearance tab, where you can apply the changes you have made to the interface items by clicking Apply.

Tip

To see how your custom color changes affect the desktop and a windows program, open a program such as WordPad or Windows Paint on the desktop. After selecting custom color and font attributes, close the Advanced Appearance dialog box to return to the Appearance tab. You can then click the Apply button to see how your changes look (and how they have changed the look of GUI items). You can then return to the Advanced Appearance dialog box to make additional color and font changes.

You don't have to close the Display Properties dialog box to proceed with the sections that follow. However, you might want to click the Theme tab. The Theme name in the Theme drop-down box is now Windows XP (Modified). You will save the theme after you've finished customizing all the GUI elements. We discuss mouse pointers next.


Selecting Mouse Pointers for the Theme

Your theme can also include custom mouse pointers (or mouse cursors as they are also referred to). You can download mouse pointers or create your own (as you can icons).

The problem with mouse pointers is that they have to be functional. Think how much you use the mouse in Windows. Having an extremely odd-shaped mouse pointer can be more of a problem than an enhancement to the GUI. We discuss downloading and creating mouse pointers in Chapter 10 For now, let's take a look at how you change the default mouse pointers and apply them to the theme you are creating.

Select the Start menu and then click the Control Panel icon. In the Control Panel, click Appearance and Themes. In the See Also box on the left of the Appearance and Themes window, click Mouse Pointers.

The Mouse Properties dialog box opens. Click the Pointers tab of the dialog box (see Figure 4.13).

Figure 4.13. The Pointers tab of the Mouse Properties dialog box.

You have two options for changing the default pointers: a new scheme or changing each pointer. To select a new theme (Windows XP provides a number of pointer schemes), click the Scheme drop-down list and select a new scheme. The new pointers appear in the Customize box. You can use the new scheme or change individual pointers as needed.

Now, let's say you want to change each pointer (to pointers you have downloaded or created) and then want to save the new set of pointers as a scheme. First, to change the various default mouse pointers, click a mouse pointer in the Customize box and then click Browse. The Browse dialog box opens to the Windows\Cursors folder. This folder contains several pointers that you can use to customize the default pointers (including a set of dinosaur pointers).

To browse in a folder other than the Windows\Cursors folder, use the Look in drop-down box to locate the drive and the folder that holds your cursors. Cursors can come in two file types: .cur or .ani. The .ani extension is used for animated cursors (a subject covered in Chapter 10).

Select the replacement cursor you want to use, and then click the Open button. You are returned to the Pointers tab of the Mouse Properties dialog box, and your new pointer is shown in the Customize box (see Figure 4.14). Because I am creating a cat theme, my Normal Select cursor is now a cat cursor I created.

Figure 4.14. The replacement pointer is displayed in the Pointers tab's Customize box.

You might want to click the Apply button after changing a mouse pointer, particularly the Normal Select pointer. This enables you to immediately begin using the new pointer. If the pointer doesn't seem to work very well (meaning it is hard to find where to place it on a item when you click), you can repeat the process and browse for a different pointer.

Select each of the default pointers you want to replace and repeat the process of browsing for and then opening the replacement cursor. When you have completed changing the default pointers, save your pointer scheme.

Click the Save As button. Type in a name for the pointer scheme and then click OK. Your pointer scheme is displayed in the Schemes drop-down box.

When you have finished working in the Mouse Properties dialog box, click OK. Then click the Back button on the Appearance and Themes window's toolbar. This takes you back to the Control Panel. Now that you have taken care of the mouse pointers for your new theme, it's time to create a sound scheme for the theme.


Creating a Sound Scheme for the Theme

Although sounds certainly don't change the look of your theme, they do enhance and personalize any theme you create. In the Control Panel (select Start, Control Panel), click the Sounds, Speech, and Audio Devices link. The Sounds, Speech, and Audio Devices window opens. Click the Change the Sound Scheme link.

The Sounds and Audio Devices Properties dialog box opens. Make sure the Sounds tab is selected (see Figure 4.15).

Figure 4.15. The Sounds tab of the Sounds and Audio Devices Properties dialog box.

Two sound schemes are available by default: No Sounds and Windows Default. This doesn't provide a lot of options. So, if you want new sounds for various Windows events (such as the Default Beep or Open program), you have to download some .wav sound files from the Web or create your own sound files using the Windows Sound Recorder (which requires a microphone).

So, let's say you have some new .wav sound files on your computer (from the Web or sound files you recorded) and want to apply them to Windows events. After doing so, you can save your custom sound settings as a scheme.

In the Program Events box, select a program event such as Default Beep; the current sound appears in the Sounds box. To preview the sound, click the Play Sound button.

Tip

Before changing a default sound, listen to the default and note the duration of the sound. You should try to replace defaults with sounds that are similar in duration (the time they take to play) to the default. For example, you wouldn't want a Default Beep sound that played on and on. You'd want a short, quick sound (like the default beep). If you have some sound files of longer duration, think about using them when you start or exit Windows.

To change the sound for the selected program event, click the Browse button. The Browse window opens to the C:\WINDOWS\Media folder, which contains the various default sounds. You can use the available sounds or browse for a custom sound (one you downloaded or created).

Use the Look in drop-down list in the Browse dialog box to locate the drive and folder that holds the sound file you want to use. The filename appears in the Sounds box. Click the Play sound button to preview the sound.

You can change the default sound for other program events as you prefer. You don't have to change all the defaults, nor do you have to assign sounds to events that do not have sounds by default. After you have made your changes to the sound settings, you should save your sound scheme. Click the Save As button. In the Save Scheme As dialog box, provide a name for the sound scheme and click OK. Now your sound scheme appears on the Sound Scheme list.

When you have finished working with the various sounds and saving your scheme, click the OK button to close the Sounds and Audio Devices Properties dialog box. You can also close the Sounds, Speech, and Audio Devices window to return to the desktop. Now that you have modified all the various theme elements, you can save your theme.


Saving the Desktop Theme

You save the theme on the Theme tab of the Display Properties dialog box (right-click the desktop, select Properties, and click the Theme tab). Click the Save As button; the Save As dialog box opens.

Locate the drive and folder you want to use to save your theme. Then type a filename for your theme in the File Name box and click Save to complete the process.

You are returned to the Theme tab, and your new theme appears in the Theme list. You can click OK to close the Display Properties dialog box.

You've created and saved a new theme!


Fine-tuning the Desktop Theme

After you have completed a desktop theme, you can return to the Display Properties dialog box and make any changes you want to enhance the look of the theme. You can also modify your mouse pointers and sound scheme.

When you return to the Theme tab, your theme name will have changed; it now has (Modified) as part of its name. To save the changes you made to your theme, click the Save As button and save your theme using your original filename. This overwrites the previous theme file you created, but it allows you to incorporate the changes you made to your original theme file.

If you remember, I was working on a theme using my cats. I used a custom background, icons, and mouse pointers and put together a sound scheme that includes mouse meows and hisses. Figure 4.16 shows the Windows desktop with cat icons and mouse pointer.

Figure 4.16. My custom cat theme.

[View full size image]

Now that I look at the cat theme, I should have made the mouse pointer a mouse! But that's no problem, as I already mentioned you can fine-tune a theme any time and then save the modifications.


Part II: Introducing Skinning Software

5 A Primer on Third-Party Theme and Skins Software

99

6 A Closer Look at Skinning Software

115


Chapter 5. A Primer on Third-Party Theme and Skins Software

In this chapter

  • Looking at the choices for theme and skinning software

  • Selecting skinning software

  • Downloading and installing skinning software

This chapter examines third-party software that goes beyond the GUI modifications of a Windows theme and provides a set of tools that enables you to skin the Windows environment. This chapter serves only as an overview to skinning software. Chapter 6, "A Closer Look at Skinning Software," provides more details and covers specific skinning products.

As discussed in Chapter 1, "Understanding the Windows XP Graphical User Interface," skinning refers to not only the modification of theme elements, but also the modification of Windows visual styles and even the modification of logon and boot screens. Some of the available skinning software also makes skinning Windows applications such as Internet Explorer and the Windows Media Player easy. Let's begin our discussion by looking at the various possibilities.


Looking at the Choices

You have a number of choices in terms of add-on software that enables you to manipulate the look and feel of the Windows XP interface. Each software choice puts a slightly different spin on how it modifies the Windows GUI and typically provides its own set of tools for managing themes, visual styles, and skins. As already mentioned, skinning software also provides the ability to modify the Windows boot and logon screens.

When I say modification, I mean that these products provide the ability to select alternative themes, visual styles, and boot and logon screens. I am not using modification in this case as a synonym for creation. We discuss creating visual styles and assembling skins in Chapters 7, 8, and 9.

So, skinning software allows you to select each component of the Windows GUI and apply it to Windows XP. The fact that you can mix and match themes and visual styles with boot and logon screens is what lets you assemble your own custom skins.

Something worth discussing further is the question of how the particular skinning software package gets around the Windows XP uxtheme.dll. It is the default visual style or skinning engine for Windows XP and requires a digitally signed visual style, such as Luna (the default XP style).

Skinning software falls into two categories in relation to the uxtheme.dll visual style engine: those that use the default engine and those that do not. For example, Style XP uses the default visual style engine to load new visual styles. On the other hand, WindowBlinds uses its own skin file format (a UIS file, which is similar to a .ini text file) to manipulate Windows skins (and the various theme elements such as icons, mouse pointers, and so on). So, in effect, the WindowBlinds skinning engine runs on top of the Windows operating system and does require some (quite minimal, however) overhead from the system.

Note

If you do a web search for "Windows themes" or "Windows skins," the results consist of a large number of hits that directly relate to software that enables you to modify the Windows GUI. The list provided in this section isn't intended to be an exhaustive list. This is a list of some of the available visual style and skinning packages. We will concentrate on some of the more high-profile visual style and skin software packages in Chapters 7, 8, and 9.


Selecting Skinning Software

Whether the skinning software uses the uxtheme.dll visual style engine shouldn't necessarily be a deal breaker in terms of selecting the skinning software you want to use on your computer. An important aspect of a skinning software package is the availability of premade skins that can be downloaded and then used by a particular skinning software package. The packages discussed in this section all provide access to additional themes, theme elements, and visual styles.

You will see that each of the theme/skinning software utilities discussed in this section has its own user interface and command set. Although they do share some similarities, the capability to quickly change GUI settings using the software should play a role in your selection.

Compatibility with Windows XP is also an issue when using skinning software. I have spent time exploring each of the software packages covered in this chapter and have found that they neither slow the system nor do they cause any obvious problems in Windows XP.

In terms of Style XP, StarSkin, and WindowBlinds, good support is available via the Web and each of these packages has been updated over time, meaning they are all viable products. Each of these products has a fairly extensive user base, as well. Chapter 6 looks more closely at each of these skinning software utilities.

Tip

Each skinning software package has pros and cons. Because all the packages discussed here can be downloaded as trial software, you might want to download each and spend some time putting it through its paces. It is the best way to select a package to buy.

So, what are some of the choices in terms of skinning software? Let's take a look.

TopThemes Manager

TopThemes Manager (http://www.topthinks.com/) is a theme manager that makes controlling (and modifying) the various theme elements (such as icons, mouse pointers, background, and so on) easy. It is primarily a control center that lets you quickly and easily select the various theme elements (see Figure 5.1).

Figure 5.1. TopThemes Manager provides a simple interface for controlling theme elements.

[View full size image]

In the TopThemes Manager documentation, it notes that TopThemes Manager is to be used in conjunction with Windows XP Plus!. So, the software doesn't really qualify as a true skinning engine and does not provide any capabilities that allow you to use or get around the uxtheme.dll visual style engine (as, say, Style XP or StarSkin does). TopThemes Manager does, however, enable you to modify the Windows boot and logon screens.

Style XP

Style XP from TGTSoft Corporation (http://www.tgtsoft.com/) is a skinning package that allows you to manage themes, theme elements, and visual styles. The Style XP command window (see Figure 5.2) can be used to set options related to the software, and a set of buttons provides quick access to theme elements and other options, such as logons and boot screens.

Figure 5.2. Style XP provides a command window that enables you to download theme elements and visual styles.

[View full size image]

Style XP also allows you to control the transparency settings for the Windows interface and to rotate your skin elements (such as the theme or visual style) either each time you log on to the computer or on a daily or weekly basis.

When you want to download new theme elements or visual styles from the Web, you can do so directly from the Style XP window. Other features include the capability to customize Windows Explorer (basically skin it with new icons and other visual settings). We will talk more about using Style XP in Chapter 6.

Style XP uses the built-in Windows skinning engine (uxtheme.dll) to apply skins to the Windows environment. This is good in terms of system performance because it doesn't add its own skinning engine to Windows. However, while this fact is a plus, it is also a disadvantage because Style XP fools uxtheme.dll into accepting skins that are not digitally signed, and system stability problems can therefore arise.

Note

The maker of Style XP, TGTSoft, also provides a separate software tool for creating your own visual styles; this allows you to assemble your own theme elements and then create a specific visual style for the theme. We discuss Style XP in Chapter 8, "Creating Windows XP Skins with TGTSoft StyleBuilder."

StarSkin

StarSkin from RocketDivision (http://www.rocketdivision.com) is a skinning package that enables you to control theme elements; visual styles; and other properties of the Windows GUI, such as the boot and logon screens. StarSkin provides a control window that is highly reminiscent of the Windows Display Properties dialog box (see Figure 5.3).

Figure 5.3. StarSkin provides an easy-to-use interface for theme, visual style, and other interface component control.

StarSkin integrates itself with the Windows visual style engine, and you can download additional themes and visual styles (from various websites) directly from the StarSkin control window, which can be quickly opened from the Windows notification tray.

StarSkin provides the simplest interface of the skinning packages (as already mentioned, it is similar to the Windows Display Properties dialog box). It also uses the uxtheme.dll skinning engine and so requires no additional system overhead. Of the three most popular skinning packages (StarSkin, Style XP, and WindowBlinds), it is the only platform that doesn't provide a utilitiy for creating skins. We put StarSkin through its paces in Chapter 6.

WindowBlinds

WindowBlinds from Stardock Corporation (www.stardock.com) is a theme/skinning software package that uses its own skinning engine to extend the capabilities of Windows visual style engine. According to the WindowBlinds documentation, Stardock worked closely with Microsoft to integrate WindowBlinds with Windows XP. In addition, WindowBlinds is capable of using the graphics accelerator of newer video cards, meaning the visual styles can be more quickly applied to the Windows interface (don't forget that all the GUI graphics you deal with in Windows do have to be rendered for your monitor by your graphics adapter).

Note

WindowBlinds is compatible with other versions of Windows, including Windows 98, Me, and 2000. This is unique among the skinning engines discussed in this chapter.

WindowBlinds provides control over many aspects of the Windows GUI and goes beyond themes and visual styles in that it lets you quickly and easily change GUI animation and edit toolbar settings. Figure 5.4 shows the WindowBlinds interface.

Figure 5.4. WindowBlinds enables you to completely skin the Windows environment.

[View full size image]

WindowBlinds is also integrated with the Display Properties dialog box and can be quickly loaded directly from the Appearance tab of the Display Properties dialog box.

Note

WindowBlinds can be purchased as part of an integrated skinning application package called Object Desktop. Stardock's Object Desktop includes a number of tools for creating icons, creating skins (SkinStudio), and extending the skinnability of Windows XP. We discuss Object Desktop in more depth in Chapter 9, "Creating Windows XP Skins with Stardock SkinStudio."

WindowBlinds differs from the other popular skinning packages (particularly StarSkin and Style XP) in that it supplies its own skinning engine and uses its own skinning language. This is good in terms of system stability (it doesn't hack or manipulate important system files), but it does have a slight cost in system overhead. WindowBlinds is particularly attractive because it is part of Stardock's Object Desktop. The Object Desktop includes a skin creator (SkinStudio) and several other tools for skinning the Windows environment. We cover the features provided by WindowBlinds and its companion Theme Manager in Chapter 6.


At Your Own Risk: Patching the uxtheme.dll

Before we discuss downloading and installing skinning software, there is an alternative skinning possibility that you can use. You can patch the Windows XP uxtheme.dll skinning engine so that you can then apply visual styles that are not digitally signed (which is a requirement for any visual style using the unpatched uxtheme.dll).

Now, skinning software, such as Style XP or WindowBlinds have their own strategies for taking control of the visual aspects of the Windows interface and they are designed to do this without damaging the Windows OS or messing with files that are part of the OS such as the uxtheme.dll. In the case of Style XP it works with the uxtheme.dll skinning engine. WindowBlinds uses its own strategy to take control of the Windows skin using a skinning language.

Patching the uxtheme.dll means you are messing with a system file. And this isn't normally something you should undertake. However, we are not talking about modifying the OS kernel or a .dll file that is essential to the basic functioning of Windows. So, you can patch the native skinning engine file (uxtheme.dll), but you have to do it cautiously.

Let's take a look at how you patch the uxtheme.dll file using a freeware utility. The first thing you should do is make a backup copy of the file. Because this is the file you will patch, it makes sense to make a copy of the original (unpatched) and place it in a folder for safekeeping. Then, if your system doesn't seem to be operating correctly, you can copy the original uxtheme.dll back to the proper location (C:\Windows\system32). This should restore your system to normal.

Caution

If you attempt to patch the uxtheme.dll file, you are taking a risk and can make the system unstable. So, this free alternative to buying skinning software might be more trouble than it is worth (because you are modifying a system file). Even though patching the uxtheme.dll file isn't necessarily a recipe for disaster (however, again, attempt at your own risk), I don't recommend that you patch it if you have just one computer that serves an extremely important function (say, for a small business or for someone's educational purposes).

Several utilities can perform the patching process. One of the latest tools (at the time that this book was written) for patching the uxtheme.dll file is UXTheme Multi-Patcher (and it seems to be the most foolproof of the bunch).

UXTheme Multi-Patcher can be downloaded from www.themes.belchfire.net (do a search for "Multi-Patcher" from the main Belchfire page). The Belchfire website also provides a number of Windows skins and visual styles. After patching uxtheme.dll, you should be able to take advantage of the visual styles provided by Belchfire (as well as other websites).

Note

UXTheme Multi-Patcher version 2.0 is compatible with Windows XP SP2 and provides the capability to restore the original uxtheme.dll file.

The UXTheme Multi-Patcher program downloads as an executable file (see Figure 5.5). When you are ready to begin the patching process, locate the file (in the folder you used as the download target) and then double-click the downloaded file.

Figure 5.5. The UXTheme Multi-Patcher downloads as an executable file.

[View full size image]

If you are running SP2 on your computer, you might receive a security message. Click Run to continue. A second message appears, letting you know that Multi-Patcher 2.0 works only with the Windows SP2 English version. Click OK to continue.

The Multi-Patcher window opens (see Figure 5.6). It provides a short summary of the installation process (basically, you run the patch and then reboot). If you want to unpatch the uxtheme.dll file, all you have to do is run the Multi-Patcher a second time.

Figure 5.6. Click the Patch button to patch the uxtheme.dll file.

[View full size image]

To run the Multi-Patcher, click Patch. A new screen appears; it asks you to wait until a Windows File Protection box opens. This box is attempting to restore the file you are patching (because uxtheme.dll is a system file). In the Windows File Protection box, click Cancel. You are then asked whether you want to keep the unrecognized system files. Click Yes.

This takes you back to the Multi-Patcher message box. Click OK to close the box. A final box appears, letting you know you have to reboot the system to complete the installation; click OK to reboot.

Now comes the real test: After rebooting the system, you can test whether the patch worked. To do so, you need a visual style file that is not digitally signed (meaning a file other than the default XP style Luna. You also can't use any visual styles provided by Microsoft Plus! for Windows XP because they are digitally signed.

The easiest way to get a visual style file to test the patched uxtheme.dll is to download the visual style. See the section "Downloading Themes and Skins," later in this chapter. But for continuity's sake, the best place to quickly snag a visual style is http://themes.belchfire.net/. Navigate to the XP Visual Styles link on the Belchfire main page.

Note

You can also manually patch the uxtheme.dll file on your system. Go to http://themes.belchfire.net/index.php?showtopic=9001. This page provides links to patched versions of uxtheme.dll (depending on which service packs you have installed) and provides instructions for performing the manual patch.

When you click this link, you are taken to a list of themes and visual styles that are available for download. Download the themes and visual styles to an appropriate folder on your computer. The files come in the Zip format, so after you locate the file, you can use the Extraction Wizard to extract the files.

Because we are interested in the visual style files, you should set up Windows Explorer so you can see the file type when a list of files is shown. In the Explorer window, click the View menu and then select Details. Now you can see the file type for each file you have extracted from the Zip file. Visual styles are listed with a file type of Windows visual style file.

After you have extracted a style file to a particular folder, you can see whether the patched uxtheme.dll will load it. Double-click the downloaded visual style file. The Display Properties dialog box should open with the Appearance tab selected (see Figure 5.7).

Figure 5.7. The Display Properties dialog box opens with the new visual style loaded.

The new visual style (the one you double-clicked) should be selected in the Windows and Buttons drop-down box and the Color Scheme box. To apply the visual style, you can click Apply or OK. The visual style is then applied to the Windows interface.

One of the disadvantages of using the patch is that you have to manually load the visual styles you download. This means double-clicking the visual style file each time you want to add it to the Display Properties dialog box. Remember that the various skinning software tools we have discussed in this chapter let you easily access a list of downloaded visual styles and themes and quickly load them. This isn't the case with the free patch.

Although I was lucky and the patch worked on my system, it doesn't always work. If you check out the discussion posts on the http://themes.belchfire.net/index.php?showtopic=8767 web page (the page for the Multi-Patcher download), you will find that a number of users attempting to patch uxtheme.dll have had problems. Some of them have been able to fix the problems, but others have not.

So, the free patch can work, but something you don't get with the free patch is a set of tools that make it easier to control themes, visual styles, and other visual elements of the Windows desktop (such as logon and boot screens). You have to decide whether you would be better off using one of the skinning software packages discussed in this chapter. They all offer a custom interface for dealing with skins, and some of these programs are closely integrated with software that enables you to create your own skins. Considering the relatively low cost of these packages (and the fact that they won't destabilize the Windows environment), you might want to purchase one.

Tip

Remember in the case of Multi-Patcher that you can attempt to restore the original uxtheme.dll by running the Multi-Patcher software a second time. This should restore the original file.


Downloading and Installing Skinning Software

As I've already mentioned in this chapter, there are a number of possibilities in terms of skinning software. In Chapter 6, we will look more closely at three of the most popular skinning packages. In addition, trial shareware versions of these packages are available, allowing you to test each skinning software possibility yourself.

When you are ready to download a particular trial version (or purchase a downloadable full-blown version) of a particular skinning software package, download it to a folder on your computer. Downloaded software typically comes in the form of either a compressed Zip file or an executable file. Figure 5.8 shows examples of both.

Figure 5.8. Downloaded software can be in the form of an executable file or a Zipped file.

[View full size image]

In the case of a Zip file, double-click the file; then in the Explorer window, click Extract All Files (it is a command listed in the Folder Tasks box on the left side of the Explorer window). This opens the Extraction Wizard. Use the wizard to place the contents of the Zip file (typically multiple files) into an appropriate folder.

After the extraction, open the folder that holds the files and locate the executable file that installs the software. Double-click that file and your skinning software will be installed.

In the case of downloads in the form of an executable file, they are either install files or compressed executables. In the former case, double-clicking the file installs the software. In the latter case, when you double-click the executable, the files are unzipped to a temporary folder and then the installation runs.

After you have the software installed, you can put it through its paces and become familiar with the user interface it provides. You can also explore the themes and skins provided with the software and the additional themes and skins you can download to use with the software (the subject of the next section).

Note

If you purchase the software online (rather than use the shareware version), the procedure for downloading and installing the software can vary. In some cases, a key is provided that allows you to activate the shareware version into the full-blown product. In other cases, an account is established on the manufacturer's website that allows you to access a special buyer's page where you can also periodically download updates for your product.


Downloading Themes and Skins

Many websites are available that provide themes and skins you can download. Some of these websites are directly associated with specific skinning software packages. For example, when you choose to download a new theme or visual style from the Style XP command window, you are taken to the ThemeXP.org website (www.themexp.org), as shown in Figure 5.9.

Figure 5.9. Most skinning software has an associated website that provides themes, visual styles, and skins.

[View full size image]

How you download the theme, visual style, or skin varies from site to site. You typically click a picture of the skin or click a download button. The actual file you download can be a zipped file (containing a number of files related to the theme or skin) or an executable file that either is a zipped executable (that automatically unzips the files when you double-click it) or is actually an installation file that installs the various skin components on your system.

In the case of a visual style I downloaded from ThemeXP.org, an executable file was provided that unzipped and placed the visual style and a new background file in a new folder. I could then apply the visual style and background to the Windows GUI using Style XP, as shown in Figure 5.10 (Style XP is covered in more detail in the next chapter).

Figure 5.10. Downloaded themes, visual styles, and skins can be applied to Windows using your skinning software.

[View full size image]

Additionally, other websites provide themes, visual styles, and skins. These sites are just repositories for themes and skins created by skinning enthusiasts (with no particular allegiance to a particular skinning engine or skin creation software). These themes and skins might or might not work correctly with the particular skinning software you have chosen. In many cases, however, it is worth exploring these sites because many have discussion groups (posts can provide a lot of information) and other short articles related to themes and skinning Windows.

To find additional skin and theme websites, do a search using your favorite search engine. A search I conducted for "Windows skins" turned up a number of matches. One match in particular was SkinBase.org (http://www.skinbase.org; shown in Figure 5.11), which provides a number of downloads including skins, desktop backgrounds, and icons.

Figure 5.11. SkinBase.org, one of the results of my web search, provides a number of skins and other theme element downloads.

[View full size image]

Downloading and applying themes and skins not only enables you to customize your Windows GUI, but also enables you to see some of the possibilities (and the lengths some skin designers go) for skinning the interface. Viewing premade skins allows you to get a good feel for different color combinations, schemes, and GUI element modifications; it provides you with some food for thought if you want to design your own skins (discussed in Chapters 7, 8, and 9).

Caution

Adware, unwanted software, and unwanted Internet Explorer add-ons are everywhere. They can even be hidden in the zipped files or executable files you download when you are downloading themes and skins. This can also include files you download from websites associated with a particular skinning software package (which is really annoying). Read each screen of any skin or theme installation program carefully. That way, you can ensure that you install only the skin and not a lot of extra software you didn't really want. Many of these websites also have annoying pop-ups and attempt to install ActiveX controls and all sorts of things when you go to the site. I suggest that you have Windows XP updated to Service Pack 2, which you can get from the Windows Update site. This helps negate some of these issues. You also might want to do some research on software that removes spyware from your system. Spyware is software that keeps track of your activities on the Web, and it is rampant on the Web, so protect your PC.


Chapter 6. A Closer Look at Skinning Software

In this chapter

  • Exploring the Style XP interface

  • Skinning with Style XP

  • Downloading and installing StarSkin

  • Applying skins with StarSkin

  • Skinning with WindowBlinds

  • WindowBlinds and the Stardock Object Desktop

In this chapter, we take a closer look at three of the most popular skinning utilities: Style XP, StarSkin, and WindowBlinds. Skinning software allows you to dramatically change both the look and feel of the Windows interface. Skinning goes beyond the use of themes in that you are given control over individual interface elements such as the taskbar and Start menu. The ability to change the overall look of the Windows GUI even includes individual window elements such as control buttons and title bars.

Note

In this chapter, we examine various skinning software packages that provide the ability to download premade themes, theme elements, and visual styles. These skin elements have been created by a wide variety of skin aficionados, designers, and artists. Examples shown in this chapter (and other chapters of the book) are the sole intellectual property of the original skin creator. So, although you can edit many of the items you download and then apply them to your computer, you certainly cannot claim to be the creator of that item.

Each of these skinning packages has a unique look in terms of its command window and each employs its own strategy for controlling the various interface elements, icons, backgrounds, and colors that make up a skin. Each skinning software also puts its own spin on how it interacts with the Windows uxtheme.dll skinning engine to provide control over interface items that are normally inaccessible because of the minimal options provided by the default Luna visual style. Let's begin our exploration of skinning software with TGTSoft's Style XP.


What is TGTSoft Style XP?

Style XP from TGTSoft (www.tgtsoft.com) provides a single interface that enables you to select the current theme and visual style and then apply them to the Windows GUI. Easy access is provided to different theme elements, such as icons and backgrounds. Style XP also provides the ability to quickly change the logon screen or Windows boot screen that you associate with a particular theme or skin. Figure 6.1 shows the main Style XP window.

Figure 6.1. The Style XP window.

[View full size image]

Style XP is add-on skinning software that integrates itself with the internal strategy Windows XP uses to skin the interface. Style XP directly uses the Windows uxtheme.dll skinning engine. So, any of the objects and interface items that make up a visual style created for Style XP are rendered and loaded in the same manner in which the Luna visual style is loaded by Windows (as the default Luna visual style). Therefore, you are not looking at a lot of additional overhead in terms of memory use when you use Style XP to skin Windows.

Note

The previous chapter talked about how the uxtheme.dll is designed to accept only digitally signed visual styles and that either a patch or software running on top of uxtheme.dll is required for skinning. Style XP does an in-memory patch of the uxtheme.dll; this is why the internal skinning engine is then used to load Style XP skins.

Style XP can be loaded when Windows boots up and then accessed from the system tray. However, if you don't want to expend the system resources to have quick access to the Style XP window (via the system tray), you can load and unload Style XP as necessary as you manipulate the various theme elements and the visual style, including mixing and matching elements to create new themes or downloading themes, theme elements, and visual styles and then applying them.

Let's take a look at how you download and install Style XP. We can then sort out the Style XP window and look at the various ways to manipulate the Windows interface using Style XP.


Downloading and Installing Style XP

You can download Style XP from the TGTSoft website (www.tgtsoft.com). After you have accessed the home page for TGTSoft, click the Download link on the left side of the page. This takes you to the product download page shown in Figure 6.2.

Figure 6.2. The Style XP download page.

[View full size image]

Style XP is unique in terms of the software download in that there are separate downloads for "Ladies" and "Men." And while I'm not sure whether this gender differentiation is politically correct or not (or if it is even necessary), the two downloads exist because the Ladies version contains a different set of default skins from the Men's version. But because you add skins and other items via downloads, I don't know if the defaults available to the user make that much difference.

Whichever the case, click the Download Free Trial link for either the Ladies or Men full install. A file download box appears. Click Save and then specify the location for the download file.

Style XP (both the Ladies and Men versions) downloads as a Zip file. When the download is complete, double-click the Zip file and use the Extraction Wizard to extract the Style XP executable file.

After you have extracted the Style XP executable (see Figure 6.3), double-click the file to begin the installation. Follow the steps provided by the installation setup wizard to install Style XP on your computer.

Figure 6.3. Double-click the Style XP executable to begin the software installation.

[View full size image]

When you have completed the installation, you have an option to start Style XP. After Style XP is up and running, you can explore the Style XP interface (as we do in the next section).

Note

The Style XP you download and install is a full-blown copy of the skinning software, but it has a 30-day trial period. To purchase a registration code for the software, return to the www.tgtsoft.com home page and click the Purchase link. This page walks you through the steps of buying a registration code and then registering the Style XP software you have downloaded and installed.


Working with the Style XP Interface

Style XP provides a single application that enables you to set nearly all the options we have discussed (in previous chapters) related to theme elements, visual styles, and other skin elements. It makes pulling all the options together to quickly skin the Windows interface easy.

When you open the Style XP window (refer to Figure 6.1), you are presented with a list of choices on the left side of the window; the default selection is Options. When you make a choice on the left side of the window, the options related to that category are available in the Style XP window.

Let's take a look at the options provided by each of the choices on the left side of the Style XP window. We can then discuss how to use these various options to apply skin items to Windows.

Style XP Options

When Options is selected in the Style XP window, you are looking at settings such as how Style XP is loaded at startup and whether the default skin background is loaded. The following settings are offered when Options is selected:

  • Enable Style XP Two option buttons are provided to enable and disable Style XP on-the-fly. This lets you easily start Style XP without rebooting the system.

  • Run at Startup You have the option to run Style XP at startup (it will be available from the system tray). You can also select to run the Style XP service (without loading Style XP) or choose not to run Style XP at startup.

  • Style XP Background You can choose to have the selected skin background applied to Windows or select a solid color to use as the background.

  • Apply Options These options are used only if you are having trouble with skin and theme elements loading. You can choose to have a theme reapplied at startup or have themes applied without changing default style bitmaps. Again, these options are not typically used unless you are having problems loading theme elements and visual styles.

By default, Style XP is enabled and skin backgrounds are loaded (when you select a new skin). If you like quick access to Style XP, you can enable the Run at Startup option.

Tip

For brief help on an option listed in the Style XP window, point at the option and a description of that option appears on the status bar of the Style XP window.

Explorer Bar Options

The Explorer Bar option enables you to change icons on the Explorer bar, customizing one of the most frequently used utilities in the Windows environment. When you click the Explorer Bar option on the left side of the Style XP window, a dialog box opens letting you know that a com object needs to be registered so alternative buttons can be used on the Explorer bar. Click OK to proceed.

The Explorer Bar settings (this includes both Windows Explorer and Internet Explorer) appear in the Style XP window (see Figure 6.4). Sets of Explorer bar icons are listed (in the case of my installation, Electric Blue, iCandy Jr, and Windows XP Default appear); you can select any of these and then apply them to Windows.

Figure 6.4. Icon sets can be applied to the Explorer bar.

[View full size image]

You also are provided other options, such as an option that replaces missing buttons (in a replacement set) with buttons from the default Explorer bar buttons, an option for the Explorer animation (throbberthink of the throbbing Window icon in the Internet Explorer window), and an option for the replacement of the Go button.

Let see how you would download and then apply an icon set. Under the Preview window, click Download an Explorer Bar Set. You are taken to the www.themexp.org website.

Scroll down, and on the left side of the page click the Explorer Bar Icons link. Explorer bar icon sets are listed by date (see Figure 6.5).

Figure 6.5. Explorer bar icon sets are listed by date.

[View full size image]

To read more information about a particular icon set, click the More Info button (for that particular set). To download an icon set, click the Download button.

The Explorer bar icon sets exist as Zip files; however, you don't have to unzip them to add them to Style XP. Click the Save button (after clicking Download) and then specify a location for the file download.

After the download is complete, go to the folder you used for the download and use the Extraction Wizard to unzip the files in the zipped archive (typically, a default folder is provided to which you can unzip).

After unzipping the file, return to the Style XP window and click Add an Explorer bar Set. The Choose Explorer Bar window opens. Use it to navigate to the folder created by the Extraction Wizard, which contains the Explorer bar icon set. Select the icon set and then click Open.

The new Explorer bar icon set is added to the icon set list in the Style XP window (you might have to minimize and then restore Style XP to get the screen to refresh and show the new icon set). Also, the icons in the set are displayed in the Preview window (see Figure 6.6).

Figure 6.6. The downloaded Explorer bar set is added to Style XP.

[View full size image]

You can now apply the new Explorer bar icon setclick Apply Explorer Bar.

Changing the look of toolbars in Windows and Internet Explorer enables you to select a button set that complements the theme and visual style you are using, thus enhancing your skin. You can download and add button sets; some of the themes/skins you download will include an icon set that has been created to match the look of that particular skin.

Themes Options

As we discussed earlier in the book, a theme controls many of the settings related to the Windows interface. The desktop background, desktop icons, mouse pointer, and screensaver are all elements that make up a theme.

Our earlier discussion of themes in Chapter 3, "Applying and Downloading Windows Themes," and Chapter 4, "Creating Windows XP Themes from Scratch," didn't really include visual styles as part of the theme because we were stuck with either the default Windows XP visual style (Luna) or no visual style at all (the Windows Classic look). Style XP allows you to change the visual style at will (including using downloaded visual styles or visual styles you create with a visual style/skin editor), so the visual style becomes another element of the overall theme (rather than a separate consideration). This means you can select various theme settings in Style XP, including a choice of visual style, and then apply the settings en masse.

When Themes is selected in the Style XP choice list (see Figure 6.7), the currently available themes are listed. Other options available allow you to view theme parts and set options related to icons, backgrounds, and screensavers.

Figure 6.7. Themes can be selected and created.

[View full size image]

You can apply any of the themes listed by selecting a theme and then clicking Apply Theme. If you do not want to apply such theme elements as cursors, icons, a background, or a screensaver associated with a particular theme, use the check boxes provided in the Apply Options area (use the scrollbar to locate the appropriate elements).

You can also view theme parts from this screen. In the Theme Parts area, you can view the visual style, background, or sound scheme assigned to the currently selected theme (even before you apply it to the interface).

You can also download and add new themes from this screen by clicking Download a New Theme. This opens Internet Explorer and takes you to the themexp.org website. Because themes are a collection of elements, you won't actually find a collection of complete themes on the site. But you will find visual styles, backgrounds, and the other elements we have already discussed in our overview of Style XP. Downloading all the elements using the appropriate Style XP screen (such as backgrounds, icons, and so on) is what enables you to assemble all the elements for a new theme.

More importantly, you can create a new theme on this screen and then select the various interface elements and settings that make up the theme. Because Style XP provides access to all the theme elements, visual styles, and even logon and boot screens, you can create a theme that is in reality a complete skin. We walk through the steps of putting all the elements together to create a skin later in the chapter.

Note

Themes you download from the Web do not always contain all the elements we associate with a theme. For example, the theme might not have custom desktop icons or include sounds or a screensaver.

Visual Style Options

When you select Visual Styles in the Style XP choice list, you see a list of the visual styles currently available on your computer (see Figure 6.8). When you select a visual style, the color schemes for that visual style are also listed.

Figure 6.8. The Style XP visual style options.

[View full size image]

You can select any of the available visual styles and then click Apply Style to Current Theme to apply the visual style to the theme that is currently selected (under the Theme options). If the visual style has different color schemes available, click a color scheme to preview it. Applying the style after selecting a new color scheme applies the style and the new color scheme to the Windows interface.

As with the other elements we have discussed, you can download visual styles directly from the Style XP window. After the style has been downloaded, you can add it the list.

To download a new visual style from www.themexp.org, click Download a New Style. In the Internet Explorer window, click the Visual Styles link on the left side the themexp.org page.

After you select Visual Styles and the new page opens, you can see (on the left side of the page) a list of visual style categories, such as cars, fantasy, and so on. Click a particular category to view the available visual styles.

For example, you can select the Nature category to view nature-related visual styles (see Figure 6.9). You can view additional information on each visual style and download any of the visual styles.

Figure 6.9. Visual styles can be viewed by category.

[View full size image]

The actual download files for the various visual styles come in two flavors: wrapped and zipped. If you download a visual style that is wrapped, it comes in the form of an executable file and you have to unwrap (run the executable) the visual style after you download it. You can then add it to Style XP using the Add a New Style command.

Visual styles that are zipped only need to be downloaded. Because Style XP can read the contents of the zipped file, you can add the new style by locating the zipped file (after selecting Add a New Style).

When you add a new visual style, it appears in the visual style list and a preview is provided in the Preview area. To apply a new visual style to the current theme, click Apply Style to Current Theme.

Caution

A number of skin websites wrap their visual styles and themes to save server space. Some of the sites use an installation procedure that can add toolbars and other software to your computer (themexp.org doesn't appear to be one of these). Go through the installation steps slowly (when running the installation program), and don't install things you don't want. Some of these unwanted add-on programs can be quite annoying.

Visual styles that are wrapped into an executable must be unzipped using the Extraction Wizard. You must then use the executable file to install the visual style. The Display Properties dialog box opens, showing the new visual style. Many of these visual styles also contain theme elements, so a new theme might also be shown in the Properties dialog box with the same name as the visual style you downloaded.

Click OK in the Display Properties dialog box and the new visual style (theme) is applied to Windows. You are then returned to the Style XP window.

If you refresh the Style XP screen (just change from the visual style screen to another screen and then back again), the new visual style appears on the visual style list and a preview is provided. If you don't want the visual style applied, select a different visual style and apply it.

Backgrounds

Style XP also makes managing and applying backgrounds to your themes/skins easy. If you click Backgrounds in the choice list, you can see a preview of the current background and a list of other available background/wallpaper files (see Figure 6.10).

Figure 6.10. Style XP also enables you to view and select Windows backgrounds.

[View full size image]

The Backgrounds screen also lets you set background settings such as position (center, tile, or stretch) and the background color for the desktop. As with other theme elements, you can select a background from the list and then apply it to the current theme (click Apply Background to Current Theme).

You can also download and then add backgrounds to the Style XP background list. Click Download a New Background to download a background; then use the Add a New Background command to add the background to those available in the Background list. Background downloads are zipped, but you do not have to unzip the file to add the background to Style XPjust locate the zip file you downloaded when you used the Add a New Background command.

Logons and Boot Screens

Logon and boot screens are more advanced elements of a skin. You can see from the Style XP choices list that Style XP provides the ability to change your logon screen and the Windows boot screen (you can download and add new logon and boot screens as you can the other skin elements). Changing the Windows boot screen is actually a somewhat tricky proposition. Including these elements (logons and boot screens) does create a complete Windows skin, but we will forgo their discussion at this point and look at them separately in Chapter 13, "Changing XP Logon Screens and Boot Screens."

Icons Options

When you select Icons on the choice list, you get a list of the available icon sets. A preview of the icons currently cached by the system (loaded into the computer's memory) is also provided (see Figure 6.11).

Figure 6.11. The Style XP icon set options.

[View full size image]

You can select any of the icon sets in the list and then apply them to Windows by clicking Apply Icons. When you apply the icon set, the Select Icons to Apply dialog box opens. Click OK to apply all icons to the current theme.

Tip

Icon sets consist of shell icons (My Computer, My Documents, and so on), folder icons, drive icons, and extension icons. You can choose to use only a subset of the entire icon set when you apply a selected icon set. Just clear the check boxes in the Select Icons to Apply dialog box of the icon subsets you do not want to apply to the current theme.

As with other theme elements, you can also download icon sets (click Download an Icon Set). When the download is complete, you can add the icon set to Style XP using the Add an Icon Set command.

In terms of the icon set preview, you can view different subsets of an icon set. You can view the shell icons, folder icons, drive icons, misc (miscellaneous) icons, and extension icons (such as the icon that represents a Zip file or movie clip) by selecting one of the options adjacent to the Preview area.

Note

You can see from our discussion of Style XP that it is very consistent in terms of how you download and then add themes, theme elements, and visual styles. The default site from which to download the various items is www.themexp.org.

The cool thing about the Preview area is that it can be used to change icons in a particular icon set (which is a great time-saver). In the Preview area, click any icon in an icon set and the Change Icon dialog box opens (see Figure 6.12).

Figure 6.12. You can browse for an alternative icon in the Change Icon dialog box.

We already discussed changing icons earlier in the book (in Chapter 4), so you should be no stranger to the Change Icon dialog box. You can select a different icon from an alternative icon set or select an icon you have created.

After selecting the new icon, click the OK button in the Change Icon dialog box. You are returned to the Style XP window.

Note

You can't change any of the icons in an icon set that is cached (currently loaded) or change the icons in a special icon set (such as the Windows XP default icons) from the Style XP window. In terms of the XP default icons, you can change the icons as we discussed in Chapter 4.

Transparency Options

When you click Transparency in the Style XP choice list, you are provided with a set of options related to the transparency of GUI elements, such as the Start menu, taskbar, and menus. For example, if you want to make the taskbar transparent, click the Taskbar check box (see Figure 6.13).

Figure 6.13. You can set the transparency for interface items such as the taskbar and Start panel.

[View full size image]

You can then set the degree of the taskbar's transparency by selecting from a range of very low to very high (note the Taskbar Transparency option buttons shown in Figure 6.13). The higher you set the transparency on an object such as the taskbar or Start panel, the harder it is to read that particular item.

Note

Creating your own icons and icon sets enables you to personalize the Windows environment as you apply themes and skins. Creating and working with icons is discussed in Chapter 10, "Creating Icons and Mouse Pointers."

Even though the transparency of GUI items isn't exactly a skin element, it is a special effect that can add to the overall visual impact of a Windows skin. Experiment with the transparency options. How much they add to the overall look of your skin will depend on the visual style you are using and the background you use for your skin.

Rotation Options

Style XP also provides the capability to rotate or cycle themes, visual styles, backgrounds, and logons. This is a great feature in that you can rotate through some of your favorite skin elements either at logon or on a daily or weekly rotation. The Rotation Options screen allows you to select a particular skin element, such as a theme, and then include available elements in the rotation (you select a theme from the list and then click Include; see Figure 6.14).

Figure 6.14. You can set up a rotation schedule for skin elements such as themes, visual styles, and backgrounds.

[View full size image]

Rotating skin elements can provide some variety in terms of the Windows interface. You can mix and match elements as you see fit and set the frequency for the rotation cycle.


Skinning with Style XP

Because we have covered the options provided in the Style XP window, we have in effect already walked through the process of skinning Windows XP with Style XP. But let's summarize the process in terms of pulling together all the various skin elements.

Creating a skin using Style XP is really a matter of selecting options on the various screens discussed in the previous sections and then saving these selections under a new theme name. When that theme is applied, all the other setting choices made are applied skinning the Windows interface.

The easiest way to create a new theme that includes custom skin settings (such as the visual style and background) is to select the various skin elements before you name (create) the theme.

Two of the most important elements of a theme (or skin, because they are really interchangeable when you are working with Style XP) are the visual style and background. First, in the Style XP window select Visual Styles. Select a visual style from the list (you can download and add visual styles as needed) and click Apply Style to Current Theme.

The next step is to click Backgrounds, select a background, and then apply it to the current theme by clicking Apply Background to Current Theme. Now you can create your new theme.

Click Theme on the left side of the Style XP window; the selected theme name is now Current (see Figure 6.15). So, you'll create your new theme based on Current so it includes the visual style and background you selected.

Figure 6.15. Create a new theme from scratch.

[View full size image]

Click Create New Theme. The Create a New Theme dialog box opens (see Figure 6.16). Select the Copy an Existing Theme option button.

Figure 6.16. Create a new theme based on the current theme.

Type a name for your theme in the Choose a Name for Your New Theme box. Then click OK.

Now your new theme contains a visual style and a background selection. You probably are wondering why I didn't have you select a new icon set (on the Style XP Icons screen) and then apply it so it could be saved as part of the theme. Well, Icons settings, Explorer Bar settings, and Logons settings don't become an integral part of the theme. After following the steps we have discussed for creating the theme, you have to also apply new icon and Explorer Bar settings for the theme. This means that each time you apply the theme you have to also go through the process of applying an icon set and Explorer bar icons if you want special settings other than the XP default to be part of your overall skin.

The only way around the desktop icon situation is to create a theme in the manner discussed in Chapter 4. Then at least desktop icons are included as part of the theme information file.

After you have created the theme and then selected any custom icon or Explorer bar sets, you have, in effect, created a custom skin. If you also want to select a custom screensaver, you need to do this on the Screensaver tab of the Display Properties dialog box. You can open the Display Properties dialog box from Style XP by clicking Display Properties on the Theme screen. You can download screensavers from a number of websites for your theme/skin.

So, as I have stated (probably more than once), your skin is a combination of theme elements and other settings that customize the Windows interface. The Style XP window makes it easy to quickly select and then test various skin elements until you have all the settings the way you want them.

Note

Your theme/skin can also include a custom logon and boot screen. See Chapter 14, "But It Doesn't Look Like Windows XP," for more about these skin elements.


Downloading Skins for Style XP

Downloading skins for Style XP requires downloading all the elements that make up a skin, such as theme elements, visual styles, and logon and boot screens. In Style XP all these elements can be applied under a new theme name, letting you easily apply all these elements at once by selecting that theme in Style XP.

Numerous skin elements are available for download, so even if you don't want to create your own backgrounds, icon sets, or visual styles, you can mix and match elements from existing skins (those you have downloaded) and then apply them to your computer. You are, in essence, creating a unique skin in this manner.

Note

As you download skin elements from the various skin websites, the download of a background might include other skin elements. So, sometimes you get more elements than you were expecting. This is great in terms of increasing the elements you have saved in your skin library.


What Is RocketDivision StarSkin?

StarSkin is a popular skinning software package from RocketDivision Corporation. StarSkin uses the native uxtheme.dll skinning engine to apply visual styles to the Windows interface. It provides an interface window similar to the Windows Display Properties dialog box (see Figure 6.17).

Figure 6.17. The StarSkin window.

StarSkin is similar to Style XP in that theme elements and a visual style are applied to the Windows interface to create a skin. StarSkin also provides support for custom logon and book screens (discussed in Chapter 14). You can also download themes, visual styles, logon screens, and boot screens directly from the StarSkin window.

You can download a 15-day trial version of StarSkin from www.rocketdivision.com. You can also purchase two versions of the StarSkin software from the RocketDivision website: StarkSkin and StarSkin Premium. The Premium version of StarSkin comes with an extra premium pack of skins (not themes, but full-blown skins).

Let's take a closer look at the StarSkin window. We can then discuss how you can download themes and visual styles and apply them to the Windows interface.


Becoming Familiar with the StarSkin Interface

StarSkin provides a tabbed window that allows you to quickly access the elements that make up a skin. The tabs on the StarSkin window include Themes, Styles, Desktop, Boot Screens, Logon Screens, and Setup. Let's take a look at each tab.

Tip

A Help button is available on each tab of the StarSkin window and enables you to quickly access the StarSkin Help system.

The Themes Tab

The Themes tab, which is similar to the Themes tab of the Display Properties dialog box, minus the Save As button, enables you to select any themes that are installed on your computer (refer to Figure 6.17). This includes themes that come with StarSkin, themes you download, and themes you have created (see Chapter 4 for more about creating your own themes).

Tip

If you don't see any downloaded themes in the list, you need to go to the StarSkin Setup tab and select Enable All Themes. This shows themes that are not digitally signed (meaning by Microsoft).

To select a new theme, click the Theme drop-down list and select a theme from the list. To apply the selected theme, click the Apply button. The custom themes and many of the themes you download from www.belchfire.net (the default site for downloading StarSkin themes, visual styles, and other interface elements) are in reality skins and include a theme (including desktop icons), a visual style, and a background. Figure 6.18 shows a StarSkin theme that has been applied to the Windows GUI. Note that it includes a visual style and custom background.

Figure 6.18. StarSkin themes are, in effect, skins.

[View full size image]

The Theme tab also includes a Restore button and a Restore Defaults button. The Restore button restores the XP theme, visual style, and desktop wallpaper, whereas the Restore Defaults button restores the XP theme, visual style, desktop background, and logon and boot screens. So, in both cases, these buttons provide a sort of reset scenario that returns the interface to the XP default.

When you have made your theme selection, you can close the StarSkin window by clicking Close. A message box appears asking whether you want to minimize StarSkin to the system tray or close the application window. Click Yes to place StarSkin in the system tray; click No to close StarSkin.

The Themes tab includes a Get More Themes link (the Styles, Boot Screens, and Logon Screens tabs also include links for additional downloads) that enables you to download themes from www.belchfire.net. We discuss downloading themes and other skin elements for StarSkin later in this chapter.

The Styles Tab

The Styles tab (see Figure 6.19) enables you to apply styles from the style list, choose color schemes, and change the font size (Normal, Large Fonts, or Extra Large Fonts, which are the same choices found on the Appearance tab of the Display Properties dialog box). Click the Visual Style drop-down list to select a new style. If the style has more than one color scheme, you can select the color scheme you want to use by selecting it in the Color drop-down list.

Figure 6.19. The StarSkin Styles tab.

After you have made your selections on this tab, click Apply to apply the visual style (and other tab settings) to the Windows interface. As with the Themes tab, you can restore the Windows XP theme, visual style, and background by clicking the Restore button.

The Desktop Tab

The StarSkin Desktop tab provides access to the settings related to the theme background (see Figure 6.20). You can select a background from the Background scroll box or use the Browse button to locate additional background files.

Figure 6.20. The StarSkin Desktop tab.

Tip

The Desktop tab also includes a Restore button that allows you to restore the theme, visual style, and background to the Windows default.

You can also select how the background is shown on the desktop using the Position drop-down list. You can stretch (Stretch) the background image (to cover the desktop), center (Center) the image on the desktop, or tile (Tile) the image (repeat the image as a tile to cover the desktop).

The Boot Screens and Logon Screens Tabs

The next two tabs on the StarSkin window relate to the changing of boot and logon screens. Boot screens can be a little tricky, so we discuss using them later in the book in Chapter 13, which also includes a look at logon screens.

It is important to note at this point, however, that StarSkin does let you easily change your Windows logon and boot screens. Also, both of these skin elements can be downloaded directly from the StarSkin window (using the appropriate tab).

For example, on the Logon Screens tab, you can click the Get More Logon Screens link. This opens Internet Explorer and takes you to the www.belchfire.net website. After downloading a logon screen, you have to unzip itthey come as executable files with a .exe extension. Returning to the StarSkin window, you can browse for the logon screen and select it. It appears in the StarSkin window on the Logon Screens tab (see Figure 6.21). This is now the selected logon screen and will be shown when you log on to Windows at startup. It will also be shown when you log off or exit Windows.

Figure 6.21. Logon screens can be loaded on the Logon Screens tab.

The Setup Tab

The StarSkin Setup tab provides several settings you should be familiar with. These options are set using a series of check boxes (see Figure 6.22).

Figure 6.22. The StarSkin Setup tab.

All the options are enabled by default (as shown in Figure 6.22). They are as follows:

  • Run at Startup This setting loads StarSkin at startup and places it in the system tray.

  • Enable All Themes This setting allows you to view and apply all themes and visual styles. If this check box is not enabled, only the Microsoft digitally signed themes and visual styles appear on the theme or visual style list.

  • Emulate Theme Support This option enables you to skin older applications that do not normally allow the application of themes or visual styles. Not all older applications will skin correctly, however, even with this option selected. So, you need to test any legacy applications you are running on your system (meaning pre-Windows XP-compatible applications).

  • Transparency in System Menu When this check box is selected, all the applications running in Windows are provided a Transparency command on their system menu (accessed by clicking the System icon in the upper-left of any application window). You can then use the Transparency menu choice to set the transparency for that particular application window. For example, Figure 6.23 shows the Paint window and the transparency settings provided by the Control menu's Transparency command.

    Figure 6.23. Set the transparency level for any Windows application window.

    [View full size image]

It is probably best to use the default settings on the Setup tab. In most cases, you want the Enable All Themes and the Emulate Theme Support options enabled.


Downloading and Using StarSkin Themes

Because StarSkin themes can include visual styles, you really are downloading a skin when you download a theme that has been built for StarSkin. The default website for StarSkin downloadswww.belchfire.netprovides a large library of ready-made skins.

Let's look at downloading themes/skins for StarSkin and then applying the theme. Select the Themes tab and then select Get More Themes. Internet Explorer opens and you are taken to the main theme page at www.belchfire.net.

Tip

You can also set the transparency of any window by dragging the Transparency icon (the square with the circle in it) from the StarSkin Setup tab onto the window, such as an application window. A Specify Level dialog box opens on the window on which you dropped the Transparency icon. Use the drop-down list to set the transparency level for that window, and then click OK.

You can browse the themes by page or use the Search box to search for particular themes by keyword. After you have located a theme you want to download, click the Click to View/Download link for that theme.

Note

You can download additional themes for StarSkin from www.lightstar.com. There are a few free themes on this site, but you can also pay for a package of themes.

You will be provided a larger image of the theme; click the Click Here to Download link to download the theme. The File Download dialog box opens. Click Save and specify a location for the file download. You might want to create a folder for your themes so they are easy to locate after downloading.

Tip

Make sure you are downloading a theme that has been designed for StarSkin; it will be noted as such. Themes/skins for other products are also available on the Belchfire website.

After the download, locate the Zip file and use the Extraction Wizard to extract the contents to the C:\windows\resources\themes folder. When you return to the StarSkin window use the Themes list to locate the newly installed theme (see Figure 6.24).

Figure 6.24. Select the newly downloaded and installed theme from the Themes list.

After selecting the theme, you can apply it by clicking the Apply button. A large number of themes/skins is available for StarSkin. You can mix and match theme elements such as visual styles and backgrounds to create your own custom environment.


What Is WindowBlinds?

WindowBlinds from Stardock Corp. is a skinning engine that enables you to customize the Windows GUI by loading visual styles. Remember that Microsoft developed the uxtheme.dll skinning engine so that only digitally signed visual styles (.msstyles files) could be loaded. WindowBlinds uses its own custom skinning engine and visual style format, but it is still tightly integrated with Windows XP (and the interface APIs) and certified by Microsoft.

Note

WindowBlinds 1.0 was released in 1999, so it has been around the longest in terms of skinning software. WindowBlinds uses its own file format for visual styles. However, you can import .msstyles visual styles into WindowBlinds by double-clicking any .msstyles file. We talk more about the skinning language and file type used by WindowBlinds when we discuss SkinStudio, WindowBlinds' companion visual style editor, in Chapter 9, "Creating Windows XP Skins with Stardock SkinStudio."

Because it doesn't really deal with the internal Windows skinning engine, WindowBlinds is considered a safe and stable way to skin Windows (through visual styles). It does require some RAM, however, and can slow marginal systems such as computers that really don't have that much RAM or a relatively new video adapter.

WindowBlinds is compatible with Windows XP and is unique among the skinning software we have discussed because it is also compatible with Windows 98, Windows Me, and Windows 2000. Figure 6.25 shows the WindowBlinds interface.

Figure 6.25. The WindowBlinds interface.

[View full size image]

WindowBlinds is available as a demo download from www.stardock.com, but it can also be purchased and downloaded from the same URL. Not all the features we discuss in this chapter are available in the demo version, though.

Discussing WindowBlinds in a vacuum would really be a disservice. WindowBlinds controls the visual style that is applied to Windows. And we already know from our discussion of skinning in this chapter that being able to control theme elements and other interface items such as logon screens is important in realizing a true Windows skin.

WindowBlinds is tightly wrapped with other products from Stardock that come in a software suite named Object Desktop. Installing other members of the Object Desktop suite gives you greater control of the Windows GUI and provides the ability to create your own visual styles and edit these styles on-the-fly (with Stardock's SkinStudio).


Using WindowBlinds

Now let's take a quick look at using WindowBlinds. Then we can dive into the possibilities the Object Desktop components provide for a more complete skinning of the Windows Interface in the next section.

You start WindowBlinds from the Start menu: Click Start and select All Programs Object Desktop, WindowBlinds. WindowBlinds provides a simple, single window interface (refer to Figure 6.25). It also includes several visual styles.

To load one of the available visual styles, make sure that My Skins is selected in the Settings list on the left side of the WindowBlinds window. A horizontal list of the available visual styles appears along the bottom of the WindowBlinds window. Select any visual style. If the visual style provides more than one color scheme, a drop-down list appears on the right of the window and allows you to select one of the available color schemes.

Tip

You can also launch WindowBlinds from the Appearance tab of the Display Properties dialog box. An icon is provided on this tab when WindowBlinds is installed. If WindowBlinds is available in the Windows system tray (already running), double-click the icon to open WindowBlinds.

After selecting a visual style (and color scheme if available), click Apply This Skin Now. The visual style is applied to the Windows interface. Figure 6.26 shows an applied skin created by Pixtudio. Note the changes that have been applied to the Windows taskbar and the WindowBlinds window itself.

Figure 6.26. You can apply any of the skins included with WindowBlinds.

[View full size image]

Although you can choose to have any background supplied with a skin to be applied when the skin is applied (this is discussed later in this chapter), other elements of the interface such as the icons available are not really within the realm of what WindowBlinds can do by itself. Therefore, you need additional software form Stardock. For example, Stardock Icon Packager can be used to apply icon sets to the Windows interface. We discuss Icon Packager later in this chapter in the section "Understanding Object Desktop."

Installing Additional Skins

You can also install additional skins and visual styles from the WindowBlinds window. To download a new skin, click Install Skin from Web. Internet Explorer opens and takes you to www.stardock.com. On the left side of the Stardock window, click the Skins link. This opens the winCustomize.com Skins page (see Figure 6.27).

Figure 6.27. winCustomize.com provides skins and other theme and skin items.

[View full size image]

You can download any of the available skins by clicking the Download link for that skin. A File Download box appears; click Save and then specify a location for the download.

WindowBlinds can install new skins directly from Zip files. So you don't have to unzip your downloaded skins before installing them. After the skin has been downloaded, you can add it to WindowBlinds by clicking Install Skin from Disk. In the Install Skin from Disk window that appears, locate the Zip file (the skin) you downloaded from winCustomize.com. Select the Zip file and then click Open. The skin is added to the WindowBlinds skin list, and you can then apply the skin to the Windows interface.

Note

Each skin description also includes information on the support provided by the skin. For example, skins/visual styles provide shell-style support in that they change the visual style for the interface as a .msstyle file would. Skins can also include support for toolbar icons and animations, both of which can be enabled by WindowBlinds. Skins also can have associated downloads, such as backgrounds and other GUI elements.

WindowBlinds Toolbars and Animations

WindowBlinds is not limited to the changing of the current skin/visual style. It also provides the ability to change the current toolbar icons used and the animations applied to the Windows interface.

In the WindowBlinds window, click My Toolbars. This screen allows you to change the icon set used by the various window toolbars (see Figure 6.28). You can select any of the sets available and then click Apply Changes to apply the toolbar icons to the Windows interface.

Figure 6.28. You can select from different sets of toolbar icons.

[View full size image]

Other settings on this screen enable you to have toolbar icons associated with the current skin to always be applied to Windows or to have the selected toolbar icon set applied instead. A check box is also provided that enables you to assign the current WindowBlinds colors to the icon set that is applied.

Another group of settings you can apply to Windows via WindowBlinds is related to screen animations. Click the My Animations selection on the left side of the WindowBlinds window (see Figure 6.29).

Figure 6.29. Select a set of custom screen animations.

[View full size image]

You can use this screen to change the Windows progress animationsfor example, the animation used when a file is copied from a folder to another folder. Click an animation set and a preview is provided in the WindowBlinds window. To view the animations in a set, select an animation, such as File Copy Animation, File Move Animation, or File Delete Animation, from the drop-down list.

By default, the animation associated with the current skin is used by Windows. To select a different set of animations, click the Always Use the Animations Selected Below option. To apply the changes to Windows, click Apply Changes.

Other WindowBlinds Settings

WindowBlinds also provides other settings related to which GUI elements should be skinned by WindowBlinds, provides for user override settings, and allows for a selection of settings on a per-application basis. To view the WindowBlinds basic settings, select Basic Settings on the left side of the program window (see Figure 6.30).

Figure 6.30. WindowBlinds' basic settings.

[View full size image]

Each check box either controls the skinning of a particular interface element or determines whether skin backgrounds or icon packages are also applied with the skin. By default, all options are selected. To disable any selection, clear that check box.

You can also set user overrides for WindowBlinds by clicking User Overrides. On this screen you can set advanced options such as the flattening of toolbar buttons and the size of the taskbar (when skinned). A set of overrides is also provided for fonts related to the font size and font type used; you can actually override the fonts used by a particular skin.

Finally, if you determine that a particular application requires custom settings related to skinning, you can refine the settings by application. Click Per Application on the left side of the WindowBlinds window.

Open the application to which you want to assign custom settings. Position the application window and the WindowBlinds window on the desktop so you can access both.

In WindowBlinds, click the Add per Application Setting button. In the Add per Application dialog box, drag the Setting icon onto the application window for which you want to create custom settings. The Per Application Settings dialog box opens (see Figure 6.31).

Figure 6.31. You can select the skin settings for a particular application.

[View full size image]

You can choose not to skin the application, or you can select settings that disable skinning attributes, such as flat toolbars or the skinning of window elements such as scrollbars and the title bar. When you have completed making your selections, click OK to return to the WindowBlinds window. An icon for the application (that has custom settings) appears in the Per Application screen. You can edit the custom settings for the application by selecting the icon for the application and then clicking the Modify per Application Setting button.

Tip

You can purchase WindowBlinds as a standalone application. But considering the small price differential, it makes sense to purchase the entire Object Desktop. This provides all the tools you can possibly need in terms of skinning Windows. It includes SkinStudio Professional, which allows you to create your own visual styles. SkinStudio is discussed in Chapter 9.


Understanding Object Desktop

As you can see from the previous sections, WindowBlinds can do a lot in terms of customizing the Windows interface. But if you want to go further, Stardock provides a suite of programs that supplies you with complete and advanced control of the look and feel of the Windows GUI. This set of tools is called Object Desktop, and WindowBlinds is one application within the suite.

Some of the other member applications of Object Desktop are

  • Theme Manager Theme Manager provides a single interface for applying themes and skins. It enables you to change settings that are related to other Object Desktop members, such as WindowBlinds. We discuss Theme Manager later in this chapter.

  • Icon Packager This application gives you complete control over the Windows interface icons. We discuss Icon Packager in Chapter 10.

  • Icon Developer This application enables you to create icons for the Windows GUI. We discuss Icon Developer in Chapter 10.

  • SkinStudio This skin editor enables you to create and edit your own skins. SkinStudio is discussed in Chapter 9.

  • DesktopX DesktopX is really a desktop extender and provides for the complete customization of Windows, including the addition of custom program interfaces. We discuss DesktopX in Chapter 14.

Other applications are included in the Object Desktop that make it easier to manipulate GUI elements, work with Zip files, and even monitor the use of your computer's disk space. Considering all the tools you get in Object Desktop, it makes sense to consider purchasing it rather than one or two of the skinning-related products provided by Stardock.


Using the Stardock Theme Manager

Theme Manager is a free application but doesn't really do anything if you don't have other Stardock Object Desktop programs installed. Theme Manager provides a single and simple interface for changing theme elements, visual styles, and other interface items (see Figure 6.32). Theme Manager can save all the GUI elements in a suite that can then be applied to Windows. This means you can apply a theme, icons, a desktop background, and visual styles easily to the interface and even save these element settings together in a suite file.

Figure 6.32. The Theme Manager interface.

[View full size image]

On the left side of Theme Manager is a list of the applications it provides. You can use these to quickly change the current suite (again, a suite is a collection of a theme, icon settings, and a visual style; it is the easiest way to change all the elements of the interface), visual style, or icon set.

Note

Theme Manager is a free download and can be downloaded with the other Object Desktop programs from Stardock.com. If you choose to download or buy the demo Object Desktop, Theme Manager is one of the member applications.

Let's take a look at applying a new suite. Click the Suites icon and then select a new suite from the list provided. Click the Apply button. You are asked whether you want to apply the selected suite; click Yes. The suite is applied to the Windows interface (see Figure 6.33).

Figure 6.33. You can quickly skin the Windows interface with a suite.

[View full size image]

Theme Manager also lets you change other interface elements. To change the visual style, click the Visual Styles icon and then select a new visual from the list. Click Apply to apply the visual style. This also changes the visual style provided by WindowBlinds.

You can also use Theme manager to change the current icon set, screensavers, and wallpapers. Just select Icon Packages, select the appropriate icon in the Applications list, and apply the selected item.

If you like to mix and match elements, you can create your own suite, which allows you to quickly apply all the interface elements at once. Click the Theme Manager File menu and then select New Suite. The Create New Suite dialog box opens (see Figure 6.34).

Figure 6.34. You can create your own suites.

[View full size image]

You can enter the credits for your suite and select an icon to represent the suite. Any icon file will do (more about icons in Chapter 10). You can then use the application icons provided in the dialog box to select the icon set, visual style, logon screen, screensaver, and so on for the new suite. After selecting the skin elements that will be part of the suite, click the Save button, provide a name for your theme, and specify a location if you want to use one other than the default in the Save Theme dialog box. You can then apply the suite from the list provided by Theme Manager.

Theme Manager enables you to easily and quickly select a new look for any and all of the interface elements, including logons and boot screens. Because it provides a single interface for the various Object Desktop skin-related applications, you don't have to know all the ins and outs of each of the applications.

Tip

You can also create your new suite from the current desktop. If you apply the various skin elements using Theme Manager, you can then click the Use Current Desktop button in the Create New Suite dialog box. You also have to create a suite preview for your suite before you can create it. So, working from a skinned desktop, press Print Screen and then open a graphics program, such as Microsoft Paint. Paste the screen capture of the desktop into Paint and then save it. You can then specify this bitmap picture as the suite preview (when creating the theme in the Create a New Suite dialog box).

Theme Manager also provides a link to winCustomize.com, which provides a library of visual styles, icon sets, and other interface elements you can download. You can then apply these interface elements to Windows from the Theme Manager window.


Part III: Creating Your Own Skins

7 The Basics of Creating Your Own Skins

155

8 Creating Windows XP Skins with TGTSoft StyleBuilder

171

9 Creating Windows XP Skins with Stardock SkinStudio

191

10 Creating Icons and Mouse Pointers

209

11 Creating a Background Library

227

12 Adding Screensavers to Your Skins

241

13 Changing XP Logon Screens and Boot Screens

257

14 But It Doesn't Look Like Windows XP

283


Chapter 7. The Basics of Creating Your Own Skins

In this chapter

  • The possibilities for skin creation

  • Selecting a skin editor

  • Assembling the software needed for skin creation

  • Skin elements and states

  • Creating simple and complex skins

Now that we've covered skinning software such as Style XP and WindowBlinds, we can move on to the next step and discuss skin editors. These software utilities provide the ability to create a skin (visual style). You then can apply these skins using skinning software such as WindowBlinds or Style XP. Downloading and applying skins with skinning software such as WindowBlinds is something any Windows user can do. But if you want to take command of how the Windows interface is customized and personalized, you have to create your own skins. This chapter provides an overview of skin editors such as Stardock's SkinStudio. The skin editor enables you to edit every element of a Windows visual style. And to create skins, additional drawing software and image editor software are also required.

Let's begin our discussion of skin creation by examining the difference between simple and complex visual styles. We can then sort out the different types of software tools you will need to actually create your own skins.


The Possibilities for Skin Creation

You have seen from Chapter 6, "A Closer Look at Skinning Software," that a large number of premade themes, visual styles, and skins are available for download from the Web. Some of the visual styles and skins are more creative than others, but in most cases, the one thing that all these visual styles and skins share in common is that the creator took a lot of time and effort to create them.

Creating your own themes, visual styles, and skins does require effort and time. When you think about all the elements and objects that make up the Windows interface, a complete makeover in the form of a skin is certainly labor intensive. The energy that you expend to create your own visual styles and skins will depend in large part on your artistic abilities and command of various software packages, such as graphic creation software (Photoshop, for instance), and skin editors.

Note

Don't be confused by the similar names used by skinning engines and skin editors from the same software company. For example, TGTSoft's skinning software is Style XP; its skin editor is StyleBuildersimilar names but very different functions.

Your approach to creating visual style and skins also depends on how dramatically you want to change the Windows interface. If you look back at some of the skin examples from Chapter 6, some skin authors create fairly simple skins, while others modify each and every item of the interface to create a truly unique look.

For example, Figure 7.1 shows a skin that provides a very dramatic background and some modifications to the taskbar and other Windows elements. This skin gives Windows a new look, but most of the changes are relatively straightforward to make (in terms of editing the interface components). Most of the effect provided by the skin is really the result of an interesting (and well-designed) desktop background.

Figure 7.1. A simple skin can still provide a dramatic change to the GUI.

Contrast Figures 7.2 with 7.1. The skin shown in Figure 7.2 doesn't provide quite the dramatic change to the GUI that Figure 7.1 does (although the skin in Figure 7.1 would be easy to create). The skin in Figure 7.2 is actually much more complex than the skin in Figure 7.1.

Figure 7.2. Skins don't have to be complicated to be complex. This skin even provides custom widgets.

[View full size image]

Looking more closely at the skin in Figure 7.2, you will see that the icon has been changed for the Start button and the Start menu has been redesigned. This skin also provides custom applications called widgets (which are discussed in more detail in Chapter 14, "But It Doesn't Look Like Windows XP"); note the weather and calendar widgets on the desktop.

The skin shown in Figure 7.2 also provides a number of other enhancements to the Windows GUI, such as custom toolbar buttons, changes to Windows elements, and several other modifications that can't be shown in a single figure. So, although this skin does not immediately provide the visual impact that the simpler skin in Figure 7.1 provides, the skin in Figure 7.2 is a great deal more complex. But the author of the skin (the skinner's nickname is brewman and the skin is a WindowBlinds skin available on the www.wincustomize.com site) used the blue and other standard colors for the GUI that we readily associate with Windows XP, so we immediately feel comfortable with the new interface even though it is quite different from the Windows standard interface.

Note

Skinning Windows doesn't really end with the creation of a skin (and all its various elements) or custom boot or logon screens. You can go beyond interface modifications and create truly unique environments with custom widgets and other elements. We discuss the idea of extending the Windows desktop in Chapter 14.

Again, as I said at the outset of this section, the time you want to put into creating a skin is really up to you. And it depends on whether you are looking for a dramatic and entertaining look (such as that provided in Figure 7.1) or want to redesign the Windows GUI based on usability or productivity (such as the modifications shown in Figure 7.2). One word of advice I can provide is to spend time downloading and applying the many skins that are available for download (which will depend on the skinning software you are using). You can learn a lot about basic design and also see some of the clever modifications various authors have made to the Windows interface in their skins.


Selecting a Skin Editor

If you are going to create your own skins, you will need some software tools (we cover other tools you'll need in the next section). One of the most important is a skin editor. A skin editor is software that enables you to alter the various objects that make up the GUI, such as the taskbar, window elements (borders, title bars, and so on), and buttons and controls.

The skin editor is the core application for skin creation and is a requirement for creating custom skins. The other applications we discuss in the next section, such as drawing or graphics manipulation software, serve only as support applications for the skin editor.

Selecting a skin editor isn't as difficult as you might think; this is mainly due to the fact that there aren't many skin editors available. I recommend either Stardock's SkinStudio or TGTSoft's StyleBuilder. These two skin creation applications are similar in many ways. Figure 7.3 shows the SkinStudio interface, and Figure 7.4 shows the StyleBuilder interface.Selecting a skin editor isn't as difficult as you might think; this is mainly due to the fact that there aren't many skin editors available. I recommend either Stardock's SkinStudio or TGTSoft's StyleBuilder. These two skin creation applications are similar in many ways. Figure 7.3 shows the SkinStudio interface, and Figure 7.4 shows the StyleBuilder interface.

Figure 7.3. SkinStudio provides several panels that provide tools and information for creating skins.

[View full size image]

Figure 7.4. StyleBuilder breaks the Windows GUI down into skin elements.

[View full size image]

The two skin editors pictured in Figures 7.3 and 7.4 (SkinStudio and StyleBuilder, respectively) appear to be similar in terms of the general layout of the application window, but they do have differences. We explore each of these skin editors in more detail: StyleBuilder is covered in Chapter 8, "Creating Windows XP Skins with TGTSoft StyleBuilder," and SkinStudio is covered in Chapter 9, "Creating Windows XP Skins with Stardock SkinStudio."

Because subsequent chapters will help you decide on the skin editor that most suits your needs, there is probably one overriding factor that can help you make the selection of a skin editor. If you are using Stardock WindowBlinds as your skinning software, it makes sense to use SkinStudio (also from Stardock) as your skin editor because these applications have been built to work together. Likewise, if you are using TGTSoft's Style XP as your skinning software, you should use StyleBuilder as your skin editor.

So, the bottom line is that your decision is really related to your selection of skinning software. It is to your advantage (because Stardock and TGTSoft has each built a suite of applications) to use a skinning engine and skin editor from the same software developer.

You will find that, to really create unique skins, you need other software in addition to the skin editor. The skin editor is actually only one of the software tools you will need to create your own skins (although you could make very simple skins just using the skin editor). In the next section, we examine some of the other programs you might want to acquire before you begin the process of creating your own skins.


Other Programs You Will Need

The other programs you'll need for skin creation depends on how far you plan to take your skinning. Are you going to be satisfied with editing existing skins (those you download), or do you want to build skins from the ground up?

Each of the skin editors provides tools that enable you to edit different elements of the GUI. For example, Figure 7.5 shows the selection of the Windows title bar bitmap. This bitmap can then be edited, in terms of colors and margins, directly in the skin editor.

Figure 7.5. SkinStudio provides some capabilities related to editing a GUI bitmap, such as the Windows title bar.

[View full size image]

A skin editor provides easy access to the various bitmap pictures that make up the elements of the Windows GUI. To edit (to any great degree) or replace these bitmap images, you need additional software.

Two categories of software necessary for creating more advanced skins are drawing software and image/graphics editors. Let's take a look at each of these categories and some examples of each software type.

Drawing Software

You can choose from a variety of software drawing programs. Microsoft Paint, which ships with Windows, provides a simple tool for drawing and modifying existing images. Although this painting program doesn't offer a ton of options for drawing (in terms of fine-tuning or altering), it can be used as a way to draw the various 3D objects that make up the Windows visual style elements, and it can be used to modify existing objects.

For example, in SkinStudio, you can right-click the title bar shown in the sample window and then edit that bitmap in a drawing or image editing software package. Figure 7.6 shows the MS Paint program window and the classic_top.bmp, which is the default for the visual style I am working on in SkinStudio.

Figure 7.6. Bitmap pictures of each element of the Windows interface can be edited.

[View full size image]

Notice that the bitmap that represents the title bar, or the top of the window, is shown twice in the bitmap I opened in Paint. Most elements of the interface exist in a number of different states. For example, in the case of a window, the title bar can be active or inactive. So, the bitmaps that make up the visualizations of the various elements in a visual style consist of individual images of an object in all its states. We will talk more about object states later in this chapter.

In Paint, the active title bar and the inactive title bar are showing in the open bitmap. Now I can edit this bitmap and save it. The edited and saved version will be used by the visual style I am creating in SkinStudio (or other skin editor). My choices are somewhat limited in Paint: I can select the images and then invert the colors, or I can use the fill, airbrush, or other tools to edit the bitmap (basically by drawing on it).

You will find that Paint is fairly limited, particularly if you want to create your own bitmap pictures to use in your visual styles and skins. A higher-level drawing tool such as Macromedia FreeHand might be needed if you plan on radically redesigning the interface objects. Figure 7.7 shows the normal Start button bitmap (only one of the possible states of the Start button; we discuss object states later in the chapter) and an alternative Start menu button that I am creating.

Figure 7.7. Visual style objects can be created in a drawing application such as FreeHand.

[View full size image]

In terms of cost and functionality, Microsoft Paint and Macromedia FreeHand are pretty much at opposite ends of the spectrum. However, there are a number of other drawing software packages with a range of functionality (and cost). Examples are Adobe Illustrator, Paint Shop Pro, and even some freeware products such as Jans Painter 25 (check out www.jansfreeware.com for more information).

Note

Using the default objects (the bitmap that represents the object) as a starting place for designing a new skin is a good idea. It provides you with some guidelines related to shape, size, color usage, and the other design elements that make up a particular object. You don't have to create a copy of the original; you can be as creative as you like. But understanding how the default objects, such as the Start button, have been designed is a good first step as you design your own unique objects.

If you are going to create skins, it is really worth your while to play around with some of the available drawing programs. You will find that most offer trial or shareware versions.

Image Editing Software

Another software tool you will need if you are going to create skins is image editing software. As with drawing software, products vary in terms of both cost and functionality.

Probably the best of the image editors is Adobe Photoshop (see Figure 7.8). Photoshop allows you to select areas by color and provides an array of tools for editing bitmaps, photos, and pretty much any graphics file.

Figure 7.8. Photoshop is the heavyweight in the image editor class.

[View full size image]

Note

Drawing software such as Adobe Illustrator provides specific tools for actually drawing and rendering items from scratch. This contrasts with image editing software such as Photoshop, which is designed to take existing images and enhance them.

However, the full-blown version of Photoshop can be a little pricey. You might find that you can get by with one of the other image editors. For example, Microsoft Picture It! is often bundled with other software on a new PC. So, you might already have access to an image editor that is adequate to the task.

Again, take a look at the demo and shareware versions of some of the image and photo editors and use them in conjunction with StyleBuilder or SkinStudio. This is the best way to determine whether the image editor has the features you like to use as you customize the various objects in a particular visual style.


What Makes Up a Skin?

In Chapter 1, "Understanding the Windows XP Graphical User Interface," we defined a skin as a combination of a Windows theme and a visual style. And though theme elements such as desktop icons and the desktop background can give the Windows GUI quite a facelift, it is the visual style that really controls the overall look of the interface.

Note

A good image editor that allows you to control colors, gradients, and other image attributes is probably more important than the drawing software you select. High-end image editors like Photoshop can be expensive, but try to find image editing software that has a broad range of capabilities. It will make taking default visual style objects and modifying them according to your own skin specifications much easier.

I think you are probably getting a feel for the fact that a visual style actually references the bitmaps that make up the GUI. For example, there is a bitmap for each of the various parts of a window, including the various buttons and controls, and there is a bitmap for the Start button and for the taskbar.

But if you think about how you interact with the various parts of the Windows interface, you know that each object, such as a button or window title bar, can look different depending on what you have been doing. For example, a selected button or control looks different from one that is not selected. The same is true about a window's title barit is active when the window is selected and is inactive when it is not selected. Active and inactive are actually states. So, each object found in the GUI exists in different states, which means that a bitmap has to exist that shows each state of that object.

The different states for an object are tiled together into one bitmap image. So, you don't have a separate image for each bitmapyou have a tiled set of states for that object that are part of the single bitmap file.

For example, if you look back at Figure 7.8, you see the bitmap FrameCaption.bmp open in Photoshop. I opened this bitmap from StyleBuilder; a right-click on the object in StyleBuilder (see Figure 7.9) allowed me to open the bitmap in Photoshop. If I'm going to edit the active state of the title bar, I also have to edit the inactive state of the tile bar. Typically, these two states are different because they are different shades (of a color such as blue) but are still in the same color family (again, blue).

Figure 7.9. You can open your image editor from within your skin editor.

[View full size image]

Now, you might be thinking that trying to remember how many states a particular GUI object can go through is a disadvantage of trying to build a unique visual style. However, when you work in StyleBuilder or SkinStudio, you can easily view the bitmaps that represent a particular object and view the different states an object goes through as you actually interact with it (when using the interface). For example, Figure 7.10 shows the SkinStudio work area. I selected the Combo box in the Preview panel; this opened the normal state of the Combo box in the Editing panel. Note that the drop-down box shown in the lower-left corner of the application window (within the editing panel) allows me to quickly view the different states of the Combo box (such as Normal, Pressed, and so on). Changing the look or style of the Combo box requires that you edit or replace the graphic that represents each of the object's states.

Figure 7.10. The skin editor (SkinStudio) makes viewing the different states of a visual style object easy.

[View full size image]

Note

We look more closely at StyleBuilder in Chapter 8 and SkinStudio in Chapter 9.

The fact that there are a number of states for every interface object means that creating a truly unique visual style (and the theme elements to go with it) can be time consuming. And since you will have to use more than one software package to actually accomplish the editing and customization for your unique visual style, you will also need to practice patience. You will find that, once you become familiar with your skin editor and other graphic tools, you will be able to let your creativity take over and get some enjoyment out of working with skins and skin elements.


Creating Simple and Complex Skins

You can create simple skins with either of the skin editors discussed in the last section (StyleBuilder and SkinStudio). Because the visual style dictates the graphics and colors used for the 3D objects in the skin, you can make simple changes to a particular object (and its various states) from within the skin editor itself.

For example, I can make color changes and some margin changes (I have changed the shape of the Start button and removed the start text; more about color and margin changes to bitmaps in the next two chapters) to the visual style and apply the visual style to a theme that contains a custom background and icons. I have, in effect, made a very simple skin by modifying all the elements of the GUI, including the visual style (see Figure 7.11). This skin also uses a custom skin on the Windows Media Player (more about skinning applications and other ways to extend the Windows desktop in Chapter 14).

Figure 7.11. Simple skins can be created using the skin editor and modifying theme elements.

[View full size image]

Even a simple skin can include a new logon screen or Windows boot screen. This addition can be accomplished using skinning software such as Style XP and WindowBlinds. Because my simple skin is an homage to classic monster films, I can quickly download and configure a new logon screen that complements my skin (see Figure 7.12; logon screen created by Sandi Barik and downloaded from www.themexp.org).

Figure 7.12. Skinning software such as Style XP makes changing the logon screen to match the theme of your interface skin easy.

[View full size image]

And even though I have had some fun playing with the visual style and other skin items (such as theme elements), I haven't really achieved any effect to the GUI that goes much further than what you can do designing a fairly comprehensive theme, such as discussed in Chapter 4, "Creating Windows XP Themes from Scratch."

Any additional modifications to the skin (to give it more visual impact and a highly customized look), particularly in terms of the various bitmaps that make up the applied visual style, would require additional software and constitute what I would call a complex skin, such as the skin shown in Figure 7.13 (skin created by Nikos Adamamas; downloaded from winCustomize.com).

Figure 7.13. Complex skins require more modifications to interface objects and can radically change the look of the Windows interface.

[View full size image]

Note

We cover how to create both simple and more complex skins when we discuss StyleBuilder and SkinStudio in Chapters 8 and 9, respectively.

If you are going to create complex skins and skin Windows applications, you will need more software toolsmeaning drawing and image editing software. A good way to get a feel for the amount of work it takes to dramatically change the GUI with a skin is to download skins that have been made available for your skinning software (again, such as WindowBlinds or Style XP). You can then open the visual styles associated with these skins and take a look at the degree of modification that has taken place in terms of the bitmaps that represent the various interface elements (such as the taskbar, Start menu, window parts, and so forth).

You can also edit visual styles you download from the Web and then apply the modified version to your Windows skin. However, because every skin author deserves credit for his work, don't upload a modified visual style (to the various websites that allow skin artists to share their works) and claim it as your own.

How much time and money you invest in creating your own skins is really up to you. Take advantage of demo and shareware versions of the various skin editors (such as StyleBuilder). Also, as mentioned earlier in the chapter, most drawing/design software and image editors are available in trial versions. This allows you to test all the software as you determine the packages you will eventually purchase to build your Windows skins.


Chapter 8. Creating Windows XP Skins with TGTSoft StyleBuilder

In this chapter

  • Downloading and installing StyleBuilder

  • Exploring the StyleBuilder window

  • Creating simple skins

  • Creating complex skins

  • Applying StyleBuilder visual styles

In this chapter we take a look at TGTSoft's StyleBuilder, a skinning utility that allows you to create your own Windows visual styles.

In Windows the visual style controls not only the color scheme of key GUI elements such as the taskbar, taskbar menu, and window elements such as the title bar and control buttons, but it also dictates the graphic files that are used to represent each of these GUI elements. Moving beyond themes and into skins requires a skinning utility and StyleBuilder provides an easy-to-use interface that allows quick access to the various interface elements that you will want to customize.

Let's begin with a quick look at how you can acquire StyleBuilder. We can then explore its various tools and discuss how you modify interface elements using StyleBuilder to create your own skins.


Downloading and Installing StyleBuilder

StyleBuilder provides you with the ability to create a Windows visual style. This includes the color scheme and the graphics used to represent GUI elements. StyleBuilder is really companion software to TGTSoft's skinning software Style XP.

Note

If you are going to download the trial version of StyleBuilder or purchase StyleBuilder, you also need to download Style XP (or purchase Style XP) so you can apply the visual styles you create with StyleBuilder. For more about using Style XP, see Chapter 6, "A Closer Look at Skinning Software."

The visual styles you create using StyleBuilder are in the same format as those provided by Microsoft, which are then used by the Windows uxtheme.dll skinning engine. Style XP must also be installed on your computer (it provides the uxtheme.dll hack) so you can apply the visual styles you create in StyleBuilder.

You can download the trial version (30 days) of StyleBuilder from TGTSoft's website at http://www.tgtsoft.com/. The download file is a zipped archive file. After downloading the file to a folder of your choice, use the Windows Extraction Wizard to extract the StyleBuilder executable file (see Figure 8.1).

Figure 8.1. Extract the StyleBuilder installation file.

[View full size image]

Double-click the StyleBuilder installation file to begin the software installation. An installation wizard opens; work through the wizard screens to install StyleBuilder on your computer.


The StyleBuilder Window

After the installation is complete, you can open the StyleBuilder application window. Select the Start menu, point at All Programs, point at the TGTSoft icon, and then select StyleBuilder.

The StyleBuilder window is designed to provide easy access to all the elements that make up the Windows interface. The StyleBuilder window is divided into several panes, as shown in Figure 8.2.

Figure 8.2. The StyleBuilder window consists of several panes.

[View full size image]

Each of the StyleBuilder panes is designed to let you quickly access and view different visual style elements; meaning individual parts or pieces of the interface. A brief description of each pane follows:

  • Shortcut bar This bar provides quick access to interface elements such as the windows, toolbars, taskbar, and user pane. Click one of the thumbnail images on the bar to go to that category of interface elements. There are also group buttons for each of the default color schemes: Blue, Homestead, and Metallic (more about the color schemes in the section "Creating a Simple Windows XP Visual Style"). To view the interface elements associated with a color scheme, click that color scheme group button.

  • Part tree This tree lists every major element and subelement that makes up the interface. When you select an interface category, such as Task Bar (using the Shortcut bar), the Task Bar element is selected in the Part tree. To drill down to specific parts or items (graphic images) associated with the taskbar, select them in the Part tree.

  • Preview window The Preview window shows the currently selected interface element (the element you selected on the Shortcut bar). You can select individual items of the currently shown element by clicking that item.

  • Part window This window shows the current item that is selected in the Part tree (and was clicked in the Preview window). Many items have multiple states, such as mouse-over, selected, and so on. Use the mouse to interact with the item shown in the Part window to determine the bitmap used for each state of the item.

  • Properties/Zoom/Colorize window This pane shows the properties associated with the currently selected interface element. The pane also has a Zoom tab that provides a zoomed-in view of the element you mouse over. The Colorize tab of this pane allows you to control the color hue, brightness, and saturation of the current element (color changes can also be applied to all interface elements).

Tip

You can change the size of any of the StyleBuilder panes by dragging the border of that pane. The size of the panes and the amount of information shown in a pane depend on your screen resolution. If you are using the 800 ¥ 600 resolution, you might have to expand a particular pane to see all the options.

Using the different panes to drill down to a particular interface element and its properties provides you with complete control over the visual attributes of that element. Before working through the process of building a visual style, let's pause for a moment and discuss what StyleBuilder is designed to do in terms of skinning the Windows interface.


What StyleBuilder Can and Cannot Do for You

As I mentioned at the beginning of this chapter, StyleBuilder is used to create visual styles. This means you can manipulate the color scheme and each individual bitmap that makes up a particular graphical element of the interface.

StyleBuilder can't build background or icon files which, as you already know, can be built using drawing software or other image software. These interface elements are not restricted by Windows XP (meaning you can change them at will) as the visual style is. Remember that Windows XP's skinning engine, uxtheme.dll, is designed to allow only Microsoft digitally signed visual styles (such as Luna) to be applied to the interface. StyleBuilder builds files with the extension .sb (for StyleBuilder), which can then be compiled as .msstyles files, which are in the same file format as Luna. By default, StyleBuilder loads the attributes of the Luna visual style as your starting point when you choose to create a new visual style. You then modify the Luna elements (the bitmaps and colors) to create your own visual style.

So, StyleBuilder doesn't allow you to create all the skin elements, but it allows you to create the most important skin elementthe visual style. The visual style is normally restricted by Microsoft Windows XP, meaning you have to have software that gets around the digital signature issue. You probably noticed from our discussion of skinning software in Chapter 6 that it is really the visual style that controls most of the visual elements of a skin because it is made up of a library of bitmap files that depict each window part, the taskbar, and other interface items. Building your own visual styles and then adding other theme and skin elements such as custom icons, backgrounds, screensavers, and so on completes a skin, and assembling all these skin elements and then applying them to Windows is really what skinning is all about.

So, StyleBuilder is your artist's tool for creating the visual style. A skinning engine, such as Style XP, is then used to apply the visual style and other skin elements to the Windows interface.

Let's see how you can create visual styles using StyleBuilder. We can then review how you apply your custom visual styles created in StyleBuilder to Windows using Style XP.


Creating a Simple Windows XP Visual Style

As we discussed in Chapter 7, "The Basics of Creating Your Own Skins," a visual style editor such as StyleBuilder is only one of the software packages you need to customize a visual style. You also need image editing software and maybe even drawing software.

But let's look at the type of visual style modifications you can make inside StyleBuilder. You can create simple visual styles (meaning slightly modified) with StyleBuilder itself.

First, open StyleBuilder by selecting Start, All Programs, TGTSoft, StyleBuilder. To create a new style, click the New button on the StyleBuilder toolbar. The Browse for Folder dialog box opens (see Figure 8.3).

Figure 8.3. Specify or create a folder for the new visual style.

Use the dialog box to locate or create a specific folder for the new style. It is important that each style reside in its own folder because the uncompiled style consists of a number of files and folders. Then click OK to continue.

Note

A shellstyle.dll provides the layout and visuals for the various panes found in Windows Explorer.

A message box opens stating that StyleBuilder now supports shellstyle.dlls and that a shellstyle.dll needs to be applied to each of the default Luna color schemes beginning with Blue. The three default color schemes are Blue (Blue), Homestead (Olive Green), and Metallic (Silver).

Note

StyleBuilder has a built-in resource editor named ResBuild that can be used to modify and save shell styles. You can also modify the shell style in StyleBuilder as you would any other interface element. We discuss editing resource files (such as shell styles) in Appendix A, "Using ResHacker."

Rather than attempt to load a shell style for each color scheme (at this point), it is really best to let StyleBuilder load the default Luna shell styles. Click OK. A second dialog box opens, allowing you to browse for a shell style file. Because we are using Luna (the default), just click OK again.

The same two dialog boxes (referenced in the previous paragraph) open for the Homestead color. Click OK and then click OK again. With one more color scheme to go, the same two dialog boxes open, requesting that you select a shell style to load for the Metallic color scheme. Click OK twice and you are returned to the StyleBuilder application window.

Modifying Visual Style Colors

Now you are ready to edit some of the visual style settings to create your own simple visual style. First, you'll work with some color changes and then modify the Blue color scheme (Blue is selected on the Shortcut bar).

To work on a particular part of the interface, click one of the choices provided on the Shortcut bar. For example, if you want to modify the taskbar, click Task Bar. This displays a mock-up of the taskbar and its various elements in the Preview window (see Figure 8.4).

Figure 8.4. Select the interface item you want to modify.

[View full size image]

StyleBuilder allows you to modify the color settings of a particular item (the item currently displayed in the Part window) or all the parts of the interface. So, let's say you want to change the color settings for one item, such as the taskbar. Click TaskBarBackground.bmp (the solid rectangle) in the Preview window. This provides a sample of the image in the Part window (some items exist in different states, so the sample in the Part window might consist of more than one graphic element).

In the Properties/Zoom/Colorize window, click the Colorize tab. This gives you access to a set of slider bars that allow you to control the various color settings such as hue, brightness, and saturation (see Figure 8.5).

Figure 8.5. The Colorize tab enables you to modify visual style color settings.

[View full size image]

You can modify the color settings for all the interface elements (the default setting) or only the item that is currently displayed in the Part window (in our example, we are using the TaskBarBackground.bmp). To accomplish the latter, select the To Current Part View Only check box. Now you can change the color settings using the slider bars for that particular item; the choices are as follows:

  • Hue The position of a particular color on the color spectrum. Each color hue is based on the percent of red, green, and blue (RGB) that makes up the particular hue or color. Slide the Hue bar to change the color.

  • Brightness This is the amount of light received from an object. You use the various brightness toolbars to brighten or lighten the colors (to the left darkens; to the right brightens).

  • Saturation This relates to the purity of a color in terms of mixing black or white with the color. Slide the Saturation bar to the left to add more black and to the right to add more white.

Adjust each of the sliders to create your new color for the item displayed in the Part window. You can also choose from a selection of preset colors by using the Pick Preset Color spinner box to the right of the colorization sliders.

Tip

The color matrix on the Colorization tab shows the percent of red/green/blue for the currently selected hue. As you move the slider, the different hues are the product of a mixing of red, green, and blue. You can change the numbers in the matrix. For example, if you wanted red as the hue, you would type 100 in each of the red matrix blocks and then change all the other blocks to 0. This gives you a pure red hue.

After you have selected a color for an item, a preview appears in the Part window. The color isn't actually changed on the bitmap file for the item (or all the bitmaps in the visual style if you choose to change all the colors using the new color) until you click the Apply Colorization button.

A warning box opens when you click the Apply Colorization button, letting you know that all bitmaps, glyph files, and color entries will be changed. Click Yes to make the color change. The changes you have made appear on the items in the Preview window.

Note

When you apply a color to all the bitmaps in the visual style (when the To Current Part View Only check box is not selected), the color is applied at different levels depending on the saturation and brightness of a particular item. For example, if you assigned red to everything, red would be applied in different saturation levels to match what is currently used on that bitmap. This means that the different states of an item (such as the Start button) will be different intensities of the new color.

If you applied your color changes to all the interface items, you have, in effect, created a new visual style. If you are working through each of the interface items as we have discussed (changing the colors on each item), you need to select each item and then choose a new color as required.

Because you see a preview of how the selected item looks in comparison to the other items in the Preview window (after you have applied the new colorization), you can use a system of trial and error to put together a complete color scheme. Color changes can be applied to an item as often as needed.

Obviously, this process can be time-consuming, but you should work through all the items in the Parts tree until you have a consistent color scheme for all the interface items. If you change all the colors for the Blue color scheme (and apply them), you should rename that color scheme on the Shortcut bar. Right-click the color group button (on the Shortcut bar) and select Rename. Then type a new name for the color group and click OK.

Obviously, if you don't want to redo all the colors that are available in one of the default color schemes (Blue, Homestead, and Metallic), you should create a new color scheme and then modify the colors it contains. This negates you overriding colors in one of the existing color schemes.

On the Colorize tab, click the New Colorized Scheme button. Type a new name for the color scheme and then click OK. The color scheme now appears as a group button on the Shortcut bar. You can select it and then change the colors for the various interface elements as you see fit.

Note

You might wonder why every new style you create is called style. The name applied to the visual style you use when selecting that visual style (using your skinning software) isn't specified until you compile the new .msstyle file. The style is compiled the first time you click the Apply button.

You should apply your changes to Windows to get a good idea of how your changes look. Click the Apply button on the StyleBuilder toolbar. The Style Name dialog box opens. You must provide a name for your style (using 10 alphanumeric characters and no spaces). Type the name for your style and then click OK. The style is compiled and the changes you have made are applied to the Windows interface.

As you make further changes to the style, you need to click the Apply button each time you make changes. Be sure to save these changes to the style by clicking the Save button on the StyleBuilder toolbar.

So, modifying colors in StyleBuilder is one way to create some simple changes that create a custom visual style. Another possibility in terms of simple changes to a visual style is to manipulate some of the properties of the bitmap that represent a particular interface item. The next section discusses item properties.

Changing Interface Item Properties

Another way to make simple modifications to visual style elements within StyleBuilder is to work with some of the properties related to a particular element. Font settings, margin settings, and other settings can change the look of an interface element, such as the Start button or taskbar.

You can modify these settings by selecting an item in the Preview pane. Make sure that the Properties tab is selected in the Properties/Zoom/Colorize window. For example, say you want to adjust some of the Start button properties. You would select Task Bar on the Shortcut bar and then click the Start button in the Preview window. This places the Start button in the Part window. Now you can look at the properties related to the Start button and see whether modifying any of these will change the look of the Start button (see Figure 8.6).

Figure 8.6. You can view and modify the properties of a visual style element.

[View full size image]

One property that you can change for the Start button is the font used. Click the Font property line in the Properties box (refer to Figure 8.6). The Font dialog box opens (see Figure 8.7). You can now click the Change button on the right side of the Properties box and select a new font, font attributes such as bold, and a new font size.

Figure 8.7. Change the font of visual style elements.

After making your font changes, click the OK button. To view the change in either the Preview window or the Part window, click the appropriate Reset button (in the window). The font changes you have chosen are now shown on the part you are currently working with.

In most cases, the visual style elements are made up of .bmp files. If you look at the BGType property in the Properties box for a particular item and see ImageFile, this means that a bitmap file exists for the item. To make any dramatic changes to a bitmap, you need to go outside StyleBuilder and edit the image in image editing software (a topic we cover in "Creating Complex Visual Styles").

A few items, however, are simple rectangles containing a fill color. For example, the listview item (found by selecting the Buttons and Controls subgroup) is the item that provides the background color for list boxes, combo boxes, and spinner boxes. You can change the fill color for this item by selecting the FillColor property (see Figure 8.8).

Figure 8.8. Some objects are simple rectangles, and you can change their fill colors.

[View full size image]

Now you can change the fill color for the item. Click the Pick button to open the Color dialog box. Click a color provided in the Basic colors area to change the color. Or click a color on the color palette and add it to the custom colors. You can then select this color as the new color to use.

Click OK to close the Color dialog box. You can then click the Reset button in the Preview window to get a preview of how your new color will look on the affected visual style elements.

Other properties you can tweak as far as color goes are the AccentColorHint and the FillColorHint. In some cases, this makes a change to the item. However, in some cases, depending on the degree that the property is used by the item, you will see little or no change when you edit these properties.

Changing item properties is a trial-and-error process. As you change items, click the Apply button to see how these changes look when applied to Windows XP. If you don't like a particular change, change it back to the original settings. When you make changes you want to keep, click the Save button to save the changes as part of your visual style.

Modifying Visual Style Fonts

You can also change the font size used by your visual style. In Chapter 2, "Basic Windows XP Interface Modifications," we discussed how easily you can change the default font size for the Windows XP interface on the Appearance tab of the Display Properties dialog box.

You can apply these font sizes directly to your StyleBuilder visual style, click the Font drop-down box on the far right of the StyleBuilder toolbar, and select from one of the three font size choices: normal fonts (the default), large fonts, and extra large fonts.

Creating new styles by making basic modifications to visual style elements in StyleBuilder can produce some interesting results. However, if you want to create dramatic changes to the interface, you need additional software. The next section discusses creating more complex visual styles.


Creating Complex Visual Styles

Creating more complex visual styles requires the ability to make more intensive changes to the various interface bitmaps. To manipulate these bitmaps, you need a good image editor. We discussed image editors and other software you might need for creating skins and visual styles in Chapter 7.

Because StyleBuilder is the core program for creating a new visual style, you should be able to jump from StyleBuilder directly to your image editor and have the interface item you want to edit open automatically. This enables you to edit a particular item, save the changes, and then return to StyleBuilder to continue the process of creating a unique visual style.

You can set up StyleBuilder so that your favorite image editor is opened when you select to edit a particular visual style element. Select the Tools menu and then select Options. The Options dialog box opens (see Figure 8.9)

Figure 8.9. Add your image editing software to the Options dialog box.

To add image editing software to the Options dialog box, click the New button. Type a name for the image editing softwareuse the name of your software such as Photoshop.

To locate the executable file that starts the software, click the Browse button to the right of the Program text box. The Browse window opens. Use the Browse window to locate the executable file that starts your image editing software; look in the Program Files folder for a specific folder for your software. After you select the executable file for the software, click the Open button.

Tip

You can also right-click an item in the Preview or Part window and then select Edit from the shortcut menu. This opens the image editor that is first on the list you created in the Options dialog box.

After you have a name and the executable file specified for your software, you can close the Options dialog box (or add other image editing software to the list). Click OK.

Now you are ready to edit the individual elements that are part of the visual style. This means editing bitmap pictures of each element you want to change.

Select an element, such as the taskbar, in the Preview window. You can then click Edit in the Part window and select your image editor.

The image editing software opens, and the bitmap of the object you selected opens (see Figure 8.10). For example, say you want to edit the taskbar and are using Photoshop. You would select it, click Edit in the Part window, and select Photoshop.

Figure 8.10. You can edit each visual style bitmap.

[View full size image]

After you have the item's bitmap open in your image editing software, you can change the color of the image, change the size and shape of the image, and even replace the bitmap with a new file entirely (using the same name).

In Photoshop, you can add any number of effects to the bitmap, including color changes and filters. You can also resize some elements, but you must make sure that you test them in StyleBuilder to see whether the revised size will work correctly (more about testing in a moment).

Caution

Be sure you save your edited bitmaps as RGB files so that they work in Windows.

Some visual style elements have areas that appear dark pink in Photoshop (or your image editing software). These areas, which are primarily borders and edges, are dark pink because that is the color used by StyleBuilder as the transparent color (the dark pink color settings are Red 255, Green 0, and Blue 255).

You can use this color to your advantage to do an inverse color selection in Photoshop. Click Select, Color Range; select the transparent color; and then click OK. To reverse the selection (meaning select everything but the transparent color), select the Select menu and then click Inverse. Having everything but the transparent color selected allows you to modify the opaque areas of the bitmap.

Tip

After you create your visual style, you can use your skinning software or the Windows Display Properties dialog box to save the visual style and other theme elements, such as backgrounds and icons, you have created as part of a theme.

Obviously, the degree of changes you make to the visual style items will depend on the abilities of your image editing software. You need to work through each item in the Parts tree (or only the items you want to edit for your visual style) and modify each element to fit in with the overall look you want to create with your visual style.

After you have made changes to the various bitmap files, it is important to test the items, particularly if you have modified bitmaps for interactive items such as buttons. Apply the style by clicking Apply, and then click the Test button on the StyleBuilder toolbar. A message appears reminding you that the test is only for the active visual style (remember to apply the style before testing it); click OK and the Test Active Style dialog box opens (see Figure 8.11).

Figure 8.11. Test the visual style you have applied to Windows.

[View full size image]

Use the list on the left of the Test Active Style dialog box to check each interactive element of the new visual style, such as buttons, check boxes, radio controls, and so on. This dialog box allows you to look at each of the listed elements and see whether it is functioning normally. If a particular item is too large or doesn't seem to operate correctly, you need to edit that particular element of the visual style.

So, let's say you have worked through all the various elements in terms of editing and completing your visual style. How do you make it readily available when you would like to switch to it? This is where Style XP comes in, and using your visual style is discussed in the next section.


Using Your Visual Style

We have already discussed that you can apply your visual style from StyleBuilder. But it makes sense to add the new visual style to Style XP (the skinning engine companion to StyleBuilder) so you can apply it at your whim.

Open Style XP by selecting Start, All Programs, TGTSoft, Style XP. Make sure that Visual Styles is selected on the Style XP choice list (see Figure 8.12).

Figure 8.12. Add the new visual style to Style XP.

[View full size image]

Click Add a New Style. The Choose a Style to Add dialog box opens. Use it to browse for the style you want to add; look in the folder you created in StyleBuilder when you began the new style. Select the visual style and then click Open. The visual style is added to the list of visual styles in Style XP. You can apply it by selecting it and then clicking Apply Style to Current Theme.


A Final Word on Visual Styles and StyleBuilder

I think you can see from this chapter that creating truly unique visual styles is a fairly monumental task. A large number of bitmaps and other objects make up the Windows interface. To edit each and every one takes a lot of time, creative energy, and (most of all) patience.

Note

All skin authors are known on the Web by their chosen nicknames. So, if you plan on becoming a skinning guru, you need to come up with a nickname. There is a large skinning community on the Web. A number of the skinning websites provide newsgroups and other methods for communicating with other skin authors.

If you go to the www.themexp.org website (which is associated with Style XP and StyleBuilder), you will find several original and creative themes and visual styles. I suggest you download some of these and examine the design elements, layout, and interface modifications they contain.

Tip

You can import an existing visual style into StyleBuilder. Click the Import button on the StyleBuilder toolbar. Consider importing an educational opportunity to examine how other visual style authors have modified visual style elements. Do not modify these visual styles and then claim them as your own, however.

Figures 8.13 (Oldskool created by Navigatsio) and 8.14 (Spirits created by Izagaia) show two visual styles and other theme elements that were downloaded from www.themexp.org and added to Style XP. Note that each skin author has made a number of modifications to the Start panel and other interface elements. Have fun creating your own visual styles and skins.

Figure 8.13. The Oldskool theme and visual style.

[View full size image]

Figure 8.14. The Spirits theme and visual style.

[View full size image]


Chapter 9. Creating Windows XP Skins with Stardock SkinStudio

In this chapter

  • Downloading and installing SkinStudio

  • Exploring the SkinStudio application window

  • Using SkinStudio wizards and templates to create a skin

  • Cutting visual style elements from image templates

  • Editing visual style elements with an image editor

  • Applying Your SkinStudio skins

Skin editors make manipulating the elements that make up a visual style easy. This chapter examines Stardock SkinStudio. SkinStudio is one of the software tools available in Stardock's Object Desktop. SkinStudio provides some unique features in terms of creating visual styles, and it embraces a different strategy for skinning windows (when compared to TGTSoft's StyleBuilder).

Let's begin our discussion with how SkinStudio and its companion skinning engine, WindowBlinds, approach skinning the Windows interface. We can then cover information on how to download and install SkinStudio and explore its application interface and the tools it provides for creating and editing visual styles.


Introducing Stardock SkinStudio

SkinStudio is a versatile skin editor that can be used to create visual styles and custom skins for the Windows Media Player. To understand the file formats SkinStudio uses for the visual styles you create, we need to briefly discuss Stardock's approach to skinning Windows XP.

Note

I am working with SkinStudio Professional in this chapter. SkinStudio comes in three versions: free, standard, and professional. The free version lacks features such as the capability to import parts of existing visual styles. Only the professional version provides the capability to create skins for Windows Media Player. You can purchase SkinStudio as a standalone product or as part of Stardock's Object Desktop. Considering the pricing options and the fact that you also need WindowBlinds if you are using SkinStudio, the Object Desktop provides the best cost savings (and provides several other useful skinning-related tools).

The companion skinning engine to SkinStudio is Stardock's WindowBlinds. It provides its own skinning engine and does not use the default uxtheme.dll skinning engine. However, because Stardock worked closely with Microsoft in the development of the WindowBlinds skinning engine, there is little or no perceptible performance hit experienced in Windows when skinning with WindowBlinds.

WindowBlinds has evolved over time, so different file formats exist for WindowBlinds visual styles, including UIS1, UIS1+, and UIS2. The UIS1 format is no longer in use, and the UIS1+ format is considered a basic visual style format. The UIS2 format, considered an advanced format, has fewer limitations than UIS1+ and enables greater flexibility in terms of button placement, the skinning of menu bars, and animation support.

When you create a new visual style in SkinStudio, you can save the file in the UIS1+ or the UIS2 file format. You can use SkinStudio to modify existing visual styles, create new visual styles using a wizard or a template, or create a new visual style from scratch.

Let's take a quick look at how to download and install SkinStudio. We can then explore the SkinStudio application window and create some visual styles.


Downloading and Installing SkinStudio

You can download the free version of SkinStudio from http://www.skinstudio.net/. This site also provides links to acquire SkinStudio Standard and SkinStudio Professional.

Note

The WindowBlinds skinning language uses an .ini file format. Many .ini files are used by Windows. These are text files that are divided into different subsections and provide a list of directives to the operating system. You can edit .ini files in a text editor.

The free version downloads as an executable file named skinstudio_free.exe. To install the software on your computer, double-click the file and follow the screen prompts.

After you have installed SkinStudio, you can start the software. Select Start, All Programs, Object Desktop, SkinStudio. The initial SkinStudio screen (see Figure 9.1) asks whether you want to create a new visual style, open a visual style, or import an existing msstyle file (the professional version of SkinStudio also provides an option for creating a Windows Media Player skin).

Figure 9.1. SkinStudio's opening screen.

[View full size image]

Tip

Download and install WindowBlinds (the trial or play version, or the entire Object Desktop). You need WindowBlinds to test your SkinStudio visual styles.

Because you want to see the SkinStudio interface, select Visual Style. The Enter a New Name dialog box opens. Type a new name for the new style. You also have the option of selecting the file format for the new visual style, such as Universal Skin Format (USF), UIS1+, or UIS2. The USF file format provides the most flexibility in terms of creating a single skin that can be applied across several applications. So, let's use the default.

Click OK. The SkinStudio application window opens.


Navigating the SkinStudio Interface

SkinStudio's application window is divided into several panels (see Figure 9.2). Each panel provides ways for navigating the parts that make up the visual style and enable you to easily get help and view the properties of an individual element.

Figure 9.2. SkinStudio's application window.

[View full size image]

Each panel has a specific purpose. The SkinStudio interface panels are as follows:

  • Control Selection The Explorer tab provides a tree view of all the elements within the current visual style. If you select an item in the tree, it is displayed in the other panels. The Control Selection panel also has a Buttons tab that enables you to see all the window buttons available in the current skin (buttons can also be accessed via the Explorer tab).

  • Preview This panel provides thumbnails (on the left) of all the visual style elements, grouped as they are seen in Windows. Select a thumbnail such as XP Taskbar to view the elements of the taskbar in the Preview panel. Use the Preview panel to view the changes you make to the visual style elements.

  • Parameters This panel provides a list of the attributes for the currently selected visual style part (such as the Start button). When you select an attribute in the Parameters panel, the settings for that attribute appear in the Editing panel.

  • Help This panel provides context-sensitive help on the item attribute currently selected in the Parameters panel; the information will be useful as you edit individual visual style elements.

  • Editing This panel is used to make changes to the attributes of the currently selected item.

The Preview panel does much more than just showing you what your editing changes look likeit also provides some additional tabs. The Analyze tab analyzes the code for your visual style to ensure that there are no errors, whereas the Code tab enables you to see the visual style file entries that are being created as you create your visual style. The Template tab enables you to cut elements from a picture file that can then be used to create the various parts of the visual style you are editing and is discussed later in the chapter.

But how do the different panels we have discussed relate? In a nutshell, the Control Selection, Preview, and Parameter panels are used to drill down to a particular attribute for a particular visual style (interface) element. You can then edit the attributes in the Editing panel.

Let's look at some ways you can dive in and create some simple skins. We can then discuss how you can create more advanced visual styles.


Creating a Simple SkinStudio Skin

The easiest way to create a new visual style in SkinStudio is to use the Skin Wizard. The wizard walks you through the steps of creating your visual style.

In SkinStudio, select File, New, Skin from Template. The New Skin dialog box opens (see Figure 9.3).

Figure 9.3. The New Skin dialog box.

[View full size image]

On the General tab, double-click the New Skin Wizard to open it. Click Next to move past the introductory wizard screen.

On the next screen, you can select from two styles for your new skin: Gradient Style or Standard Style (see Figure 9.4). The Gradient Style uses a color gradient on interface elements.

Figure 9.4. Select a style for the new skin.

[View full size image]

Select a style, and then click Next to continue. The next wizard screen enables you to add three optional buttons to your window title bars: Help (a help button), On Top (places the window on top of other windows), and Rollup (this rolls up the window). These buttons are selected by default. Clear the check boxes for the special buttons you do not want. Then click Next to continue.

On the next wizard screen, you have the option to add a drive bar to your visual style (see Figure 9.5). The drive bar provides easy access to your computer's drives.

Figure 9.5. Add a drive bar to the skin.

[View full size image]

Click the check box to include the drive bar (or not); then click Next. On the next wizard screen you are provided the option of including an application bar with the visual style. The application bar includes a list of your most frequently used applications and provides easy access to these applications. To include the application bar, click the Add Application Bar check box. Then click Next.

The next screen provides control over the font style used on Windows title bars. You can select from normal text, text with drop shadow, and outlined text. Select your choice using the appropriate option button, and then click Next.

The next screen details the fact that you have to supply a name for your personalization style (this screen is only a disclaimer on how you should create the name). Use alphanumeric characters (do not use characters such as @, #, and so on) and provide a descriptive name. The name is used to name the visual style file and a new directory that is created. The visual style is automatically listed in WindowBlinds so you can easily apply it. Click Next, and this screen is where you fill in the personality name, the filename, and other information such as the author's name (your name) and your website address and email.

After filling in the information on this screen (the personality name and filename are required), click Next. You are taken to the final wizard screen. Click Finish and you are returned to SkinStudio. You can now use the panels to see how the various elements look in your new visual style.

The wizard primarily reworks the elements used for windows (click Windows in the Preview panel to take a look). At this point, you could make more changes to other visual style elements to increase the customization provided by the new skin. We discuss these customization possibilities in the next section.

After you create a new skin (visual style), you should test the various controls (buttons, track bars, and so on) it contains. Select Tools, WindowBlinds, and Test the Skin. If WindowBlinds is not currently running, a box opens, asking whether you want it to be started; click Yes.

The SkinStudio Button Visibility Test dialog box opens (see Figure 9.6). This dialog box provides a series of tabs where you can view (and test) trackbars, buttons, and editing controls used by the visual style.

Figure 9.6. Test the various controls used by the visual style.

[View full size image]

This test dialog box is provided to check the size, visibility, and functionality of visual style control elements. If everything looks okay, you can close the dialog box. The next step is to apply the style.

Select Tools, WindowBlinds, Apply the Skin. The skin is applied to Windows, and you will immediately notice that changes are made to the SkinStudio window (based on the new visual style). You can open other windows and the Start menu to view other changes that have been made to the interface. Figure 9.7 shows the changes made to the taskbar and Task panel and shows the changes that have been made to a window such as Windows Explorer.

Figure 9.7. Apply the skin to Windows.

[View full size image]

The wizard-created visual style provides some basic modifications to the Windows interface. As already mentioned, you can revise this visual style as you see fit. The next section discusses other strategies for modifying a visual style and creating more advanced skins.

Tip

Before you get too far into the skin creation process with SkinStudio, you might want to enter your default author's parameters so you don't have to reenter them with each skin. Select the Tools menu, and then select Preferences. In the Program Preferences dialog box, enter your name, website URL, and other author information. Then click OK.


Creating Advanced Skins

SkinStudio provides two approaches to creating advanced skins. You can cut items from a predrawn template (you draw the template in your drawing software), or you can edit the default bitmap files using your image editor. First, we'll examine cutting items from a predrawn template.

You need to design a window frame, taskbar, Start button, and any other visual style elements you want to include in your skin. For example, you can use a graphics package such as Macromedia FreeHand and draw the various parts of a window (see Figure 9.8).

Figure 9.8. Create a template for your skin.

[View full size image]

When you create your templates, you should make the canvas on which you are drawing transparent so you can easily work with the elements on the canvas or page. You do this by using magenta (in RGB colors it is Red: 255, Green: 0, Blue: 255). So, in this case I made the entire page fill color magenta. Then I began the process of creating the various parts of a typical window. You can also use magenta to cut out or mask parts of a drawing (because the color is read by WindowBlinds as transparent).

Tip

A good way to explore changes that have been made to the standard Windows visual style is to open an existing WindowBlinds skin and preview the various elements in SkinStudio. Select File, Open. In the Skin Navigator window, expand the WindowBlinds Skins node, select an existing skin, and click Edit. The skin is opened in SkinStudio. Remember that you can edit existing skins but should not claim the final product as your own because you started with another skin author's material.

You need to create different versions of your drawings for interface elements that exist in different states. For example, a window frame exists in an active and an inactive state. So, you must create both versions. Also, make sure you save your files as JPEGs (.jpg).

You don't need to create the template files so the various visual style elements are the exact size they will be in the actual skin. Just use your creative talents and your drawing software to create the parts. SkinStudio handles the sizing for you when you cut a particular image and paste it into your visual style.

After you create your template files, you are ready to create your visual style. Start a new style in SkinStudio by clicking the New button on the SkinStudio toolbar. Select one of the visual style element sets, such as Windows, in the Preview panel.

Now you can load the template image that will be the source for replacement images you use for the visual style. Click the Template tab in the Preview panel. Next, click the Open File button on the Template tab. Use the Open dialog box to locate your template image, and then click Open to open the file. The image is loaded into the Template tab.

Click the Preview tab to return to the current preview. Select the visual style element you want to replace in the Preview panel (for example, the window frame top). Return to the Template tab and use the mouse to select the part of the template image that will serve as the replacement for the currently selected visual style element (the element appears in the Editing Panel, shown in Figure 9.9). If you created the image to include the multiple states of the element, you can use Select All to select the entire drawing.

Figure 9.9. Select your replacement from the image template.

[View full size image]

Click Cut Image to open the Import Image dialog box. You are provided with three choices in the Import Image dialog box:

  • All Frames Already in It-Ready to Use in the Skin Use this choice if you have drawn the image and want to include the entire element and its various states.

  • Single Frame-Create the Proper Image by Multiplying It Use this choice if you are cutting a portion of a drawing and you want it to be rendered as the complete object you are replacing (refer to Figure 9.9 for an example of a situation in which you want to multiply the image).

  • Single Frame-Import It to Frame Use this choice if you have selected the entire replacement image in your template but have not included multiple states for the object. A drop-down box next to this choice enables you to select the state (such as active or inactive) you are importing.

Make your selection in the Import Image dialog box and click OK. Repeat this process to replace other elements in the visual style. As you work, you might want to test the visual style (select Tools, WindowBlinds, Test This Skin). You also might want to apply the skin to see how it looks; select Tools, WindowBlinds, Apply This Skin.

You can also globally change the color mix for your skin if you want to use some of the default visual style elements, such as buttons and controls. Select any item in the Preview panel and then select the Coloring tab in the Parameters panel (see Figure 9.10).

Figure 9.10. You can modify the skin color scheme using the Coloring tab.

[View full size image]

Use the slider bars to select a new color for the skin; then click Apply. This color scheme is applied in different shade values of the selected color to the various visual style elements, depending on their original color.

Caution

Applying a color change globally to the skin affects any replacement elements you have cut and pasted into the skin. So, if you want to preserve the colors of the elements you paste into the skin, make any global color changes before you cut and paste specific skin elements.

After you have made some changes to your skin, apply it to Windows. You might want to change icons or other theme elements, such as the background, as you build a complete makeover for Windows. Figure 9.11 shows a skin in progress that will result in a Windows theme called froggy.

Figure 9.11. Apply your visual style and change theme elements to build a complete skin.

[View full size image]

The alternative to cutting elements from a template is to edit individual elements using your favorite image editor. Editing visual style elements in an image editor such as Photoshop enables you to change and fine-tune visual style elements as needed.

The first thing you should do is specify the image editor you will use to edit the visual style elements. Select the Tools menu and then select Preferences. The Program Preferences dialog box opens. In the Program Preferences dialog box list, click the image editors you want to use (see Figure 9.12).

Figure 9.12. Add your image editors to the SkinStudio properties.

[View full size image]

Click the Add button in the Program Preferences dialog box. The Open dialog box appears. Browse for the executable file that starts your image editing softwaretypically, it's in a subfolder of the Program Files folder. Select the executable file and then click Open. The image editor is added to the list. Repeat these steps to add other image editors.

After selecting an editor in the list, you can use the Move Up and Move Down buttons to arrange the image editors in the order you want. When you have finished adding and arranging the image editors, click OK to close the dialog box.

Now you are ready to use your image editor to edit individual elements of the visual style. Select a visual style item in the Preview panel. The bitmap for that item appears in the Editing panel.

Click the Edit button in the Editing panel and the bitmap for the currently selected item is opened in the image editor that was at the top of the image editor list you created in the Program Preferences dialog box.

In this case, the Start button has been loaded into Photoshop (my default editor). Note that the loaded image includes all the states of the Start button (see Figure 9.13).

Figure 9.13. Edit visual style elements in your image editor.

[View full size image]

After you have a particular item in your image editing software, you can edit it. Make sure you save the changes that you make to the item. When you close your image editor, you are returned to the SkinStudio window and the changes you've made appear in the Editing and Preview panels.

Tip

If you want to select an image editor from the list you created, in the Editing panel click the drop-down arrow next to the Edit button.

You can also make changes to visual style elements in the Editing panel itself. Click the Margins button to view the sizing margins for the current item (see Figure 9.14).

Figure 9.14. The sizing margins for the currently selected element.

[View full size image]

You can adjust the sizing margins to change the size and shape of certain visual style elements. Be sure you test and apply these changes to see how they look when applied to the Windows interface.

You can also paste images from the Clipboard to replace the current item by clicking the Import drop-down arrow and then selecting From Clipboard. This drop-down command list also enables you to quickly load a new image template using the Open Image to Cut from command.

Creating a complex visual style in SkinStudio requires the use of image templates you create in your drawing software. You can then fine-tune individual elements using your favorite image editor.

After you have created a new skin and saved that skin in SkinStudio, it is added to the WindowBlinds list of visual styles. You can use WindowBlinds as the launch pad to load and change your skins as necessary. For more about WindowBlinds, see Chapter 6, "A Closer Look at Skinning Software."


A Final Word on SkinStudio Skins

Creating a skin takes time and patience. Downloading and then applying some of the skins provided on www.customize.com (the skin library site for WindowBlinds) enables you to see what other skin authors have created. It is a great way to get ideas and see that creating a new, complex skin is a lot of work.

WinCustomize.com also provides profiles of some of its skin author members. You can learn about each author and also view the author's personal page (see Figure 9.15). It provides a list of skins the author has created and any skinning awards she has received.

Figure 9.15. Learn about other skin authors on winCustomize.com.

[View full size image]

More importantly, you can view the skins that they have created. Figure 9.16 shows a custom skin created by I. R. Braniac (the author's winCustomize nickname).

Figure 9.16. Download skins, such as this subzero skin, from winCustomize.com.

[View full size image]

Creating skins is supposed to be fun, so don't overthink the process. The more you use SkinStudio, the more comfortable you will become with its interface and tools. Just let your creativity take hold, and skin away!


Chapter 10. Creating Icons and Mouse Pointers

In this chapter

  • How desktop icons are stored

  • Downloading desktop icon sets

  • Creating icons the Microsoft way

  • Working with icon-making software

  • Creating a mouse pointer collection

Desktop icons are important representations of Windows programs, utilities, and files and provide quick access to Windows resources and programs. Creating custom icons enables you to match the icons with the concept you have thought through for a particular theme or skin. Mouse pointers are also an important visual aspect of working in Windows. This chapter covers some of the ways you can create your own icons and mouse pointers.

Creating icons and mouse pointers is a lot of fun, and you can take several different approaches, all of which are satisfying in terms of the results. Although icons and mouse pointers play only a small part in creating an overall theme or skin, they do allow you to add detail and the finishing touch to your themes and skins. Let's begin our discussion with how icons are stored in Windows XP; then we can look at some of the options for building an icon and mouse pointer library by either downloading or creating these elements from scratch.


How Icons Are Stored in Windows XP

The Windows desktop icons (the defaults and alternatives provided by Microsoft) are stored in several Windows resource files. A listing of the desktop icons and their associated resource files follows:

  • My Computer C:\Windows\explorer.exe

  • My Documents C:\Windows\System32\mydocs.dll

  • My Network Places C:\Windows\System32\shell32.dll

  • Recycle Bin (full and empty) C:\Windows\System32\shell32.dll

These icons don't exist as separate icon files or in an actual icon set, which is solely a grouping of icons. They are extracted from a system resource file (see Figure 10.1).

Figure 10.1. The default desktop icons are held in resource files.

When you take a look at the alternative icons made available in these resource files, there are few choices. So, the big question revolves around how you put together a collection of alternative icons.

Fortunately, you don't have to hack these resource files or replace the resource files to select alternative icons. You can use other icons that come in the form of a single icon file (.ico), are held in a program file (.dll, .exe, and .ocx, such as the default desktop icons are), or are part of an icon library file (.icl and .acl).

The possibilities for creating a collection of alternative icons include downloading premade icons and icon sets, and creating your own icons. In the following sections we cover some of the possibilities for downloads; we then look at ways to create icons.

Note

Although it is a tricky and risky endeavor, you can change the icons in a resource file. This subject is beyond the scope of this book, but we do discuss one of the tools that can be used to hack resource files. See Appendix A, "Using ResHacker," which discusses Resource Hacker, a utility that enables you to modify Windows resource files.


Downloading Icons and Icon Sets

As with theme and skin downloads, many websites provide alternatives for the Windows desktop icons. If you do a web search for "Windows icons" (using Google, MSN Search, or your favorite web search engine), you will get a number of results. You will find fewer possibilities, however, than you would if you were searching for "desktop wallpaper" or "screensavers." Icons are not as easy to make as some of the other theme/skin elements, so fewer collections are available for download.

Tip

Many of the themes and skins you download from the Web include alternative desktop icons. You can mix and match the icons between themes and skins to create your own original combinations.

Here are three of the best sites for desktop icon collections:

  • IconPlus (http://www.iconsplus.com/) A collection of drawn icons listed by categories.

  • Leo's Icon Archive (http://www.iconarchive.com/) An extensive collection of icons divided into categories.

  • Icon Library (http://www.iconlibrary.com/) This site provides a software download that contains an icon library. The shareware version of the icon library contains more than 1,000 icons. The full version of the icon library can also be downloaded, and pricing information is provided on the site. Both the shareware and full versions of the icon library provide an icon viewer, with icons divided into categories.

The icon files you find on the icon websites will vary in format. Some sites, such as Leo's Icon Archive, provide the icons as individual files that are available in both GIF and ICO file formats. You download the file by right-clicking the icon and then using the Save Picture As command on the shortcut menu. In effect, to build an entire collection of icons, you need to download each file separately.

Other sites, such as IconPlus, provide icon sets, so all the icons are wrapped together in a single file with a file extension of .icl. The icon set file is also often contained in a compressed Zip file (see Figure 10.2). This means you have to use the Extraction Wizard to extract the icon library file from the zipped archive.

Figure 10.2. Desktop icon library downloads are often contained in zipped files.

[View full size image]

After you have downloaded individual icons or icon sets, you can substitute them for the default desktop icons. You can also save your desktop icon selections as part of a Windows theme (see Chapter 4, "Creating Windows XP Themes from Scratch").

Note

Many icon artists and creators bundle their icons in library files (such as .icl files) so you can't extract or edit the individual icons and then claim them as your own. It's a way of providing icons to users while also maintaining the intellectual property of the icon set's original artist.

Skinning software packages can also provide the ability to select substitutes for the desktop icons and other Windows icons. For example, Style XP provides the ability to select new icons for the desktop (the shell icons) and other Windows default icons such as folder icons (see Figure 10.3).

Figure 10.3. Skinning software such as Style XP also provides options for replacing icons.

[View full size image]

Each of the skinning software packages provides the ability to download additional icon sets that work with that particular skinning package. So, if you use one of the skinning packages discussed in Chapter 6, "A Closer Look at Skinning Software," you might find that the software and its associated download site provide you with all the icon sets you could ever need. For example, Style XP provides www.themexp.org.

However, the alternative to using icons that come with themes and skins, in icon sets, and as individual icon files is to create your own icons. The next section begins a discussion of some of the ways you can create your own individual icons and icon sets.


Creating Your Own Icons

Various approaches are available for creating your own icons. The path you choose for icon creation will probably depend on how serious you are in terms of creating your own icons. For example, if you just want to quickly create a couple of custom icons for your own use, you can create a new icon with a software package as simple as Microsoft Paint.

Windows icons exist in different sizesmeasured in pixelssuch as 48¥48 and 32¥32. You can create each of the icon sizes, or you can create your icons in a particular size and let Windows render that size as needed.

Note

Think about how icons are used in the Windows environment. A specific icon can appear on the Windows desktop, and it can also appear on the Windows Start menu, in the taskbar's Quick Launch bar, or in other locations. So, an icon can appear in different sizes depending on where it is located. Windows can size an icon to the appropriate size as needed, but this can cause distortion of the icon itself. Microsoft advises that you create icons in all the required sizes, such as 64¥64, 32¥32, and so on. However, Microsoft is mainly concerned with the creation of professional icons for use by developers. For your own use, you can create an icon in one size (32¥32 is recommended) and then use it as needed, letting Windows render it in the appropriate size.

Many of the icons you download from the Web are 32¥32. This middle-of-the-road size can then be expanded or shrunk as necessary by Windows without grossly distorting the icon.

If you wanted to quickly create a desktop icon in Microsoft Paint, all you'd need to do is set the canvas size to 32¥32 using the Attributes command on the Image menu. You also might want to zoom way in so you can work within the canvas. You do this via the View menu: Zoom to 800% and turn on the grid.

You can create your icon using the drawing tools as necessary. Using the grid system makes drawing the icon easier (see Figure 10.4).

Figure 10.4. You can draw your own simple icons using Microsoft Paint.

[View full size image]

After you have completed your drawing, save the file as a 24-bit .bmp file to an appropriate folder. You can then use the bitmap file as an alternative for any of the desktop icons, making your selection via the desktop Item dialog box. See Chapter 4 for more information.

Tip

Because you saved your icon as a bitmap, be sure that, when you are browsing for the icon to use it as a desktop alternative that you change the File of Type to All Files in the Change Icon dialog box.

Even if you are an accomplished artist, you will probably find that creating icons using Microsoft Paint is rather limiting. However, you can cut and paste photographs into Paint to create your own custom photo icons.

The alternatives to using Paint, which is a raster graphics program (see more about raster images in the next section), require additional software. Let's take a look at some of the techniques Microsoft recommends related to icon creation.


The Basics of Icon Creation the Microsoft Way

Microsoft provides a comprehensive look at creating Windows icons on its Microsoft Developer's Network (MSDN) Library website. The links to articles on this site can change over time, but at the time of the writing of this book a step-by-step article on creating Windows icons was available at the following URL: http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnwxp/html/winxpicons.asp.

Note

A vector drawing tool is a tool that can create vector graphics, meaning the graphic is saved as a geometrical formula rather than a pattern of dots (such as raster graphic programs use). Vector graphics do better than raster graphics when they are resized or stretched. Microsoft Paint creates raster graphics.

Note

Adobe Illustrator, Adobe Photoshop (www.adobe.com), and Gif Movie Gear (www.gamani.com/foricons/) are all available as free 30-day trial software and can be downloaded from the sites noted here. Play around with the free versions and see whether creating icons in this manner is for you.

Note

Microsoft provides a suggested RGB color palette and other specifications at http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dnwxp/html/winxpicons.asp. These are, again, suggestions for professional-looking icons that will be consistent with Windows default icons. If you are creating your icons for yourself or for fun, you should use your own colors and settings. Trial and error is always the best way to develop your own standards for icon creation.

First of all, you need a vector or 3D drawing tool such as Macromedia FreeHand or Adobe Illustrator. Both are suggested by Microsoft in the icon guidelines provided.

Vector drawing tools can be expensive, but if you have access to Illustrator or FreeHand, they can also be used to create Windows backgrounds (see Chapter 11, "Creating a Background Library") and other skin elements. You also need Adobe Photoshop and a program called Gif Movie Gear (GMG), which is used to create the icon files.

Drawing the Icon

The first step in creating an icon is to draw the icon. Microsoft suggests that the icon be created in three sizes: 46¥46, 30¥30, and 14¥14. The reason the icon sizes are not 48¥48, 32¥32, and 16¥16, which is the final icon size, is that a drop shadow is then added to the icon in Photoshop to provide the icon with a 3D look.

So you draw an icon, such as the icon shown in Figure 10.5, which was drawn using Illustrator. After you have the icon, you need to select it and paste it into Photoshop. Again, Photoshop is a fairly pricey software package, but you can do a lot with photos and other images in Photoshop, so it's a great program to have (especially if you need to touch up a digital photo).

Figure 10.5. Draw the icon.

[View full size image]

Before pasting, you must create a new Photoshop file that is 48¥48, assuming you started with a 46¥46 drawing in your vector graphics program. You can then stretch the pasted icon to fill the canvas in Photoshop. Also be sure you set the color scheme for Photoshop to RGByou set this on the Photoshop Image menu. Gif Movie Gear, the program you will use to convert the images to icons, can't handle CMYK.

Note

RGB is a color scheme that creates colors by mixing red, green, and blue (hence, the acronym RGB). It is the scheme used by computer display monitors. CMYK is a color scheme that creates all colors as a mixture of cyan, magenta, yellow, and black.

Applying the Drop Shadow

In Photoshop you can apply the drop shadow. On the right side of the Photoshop window is a box called the Layers Palette. It provides a list of each layer in the current image. Because you pasted a drawing into Photoshop, there are currently only two layers: Layer 1 (the drawing) and the background. If you double-click Layer 1 in the Layers Palette, the Layer Style dialog box opens (see Figure 10.6).

Figure 10.6. Add the drop shadow to the icon in Photoshop.

[View full size image]

To add a drop shadow to the image, just click the Drop Shadow option in the dialog box. Then click OK to close the dialog box.

There is still one more step to ensure that the drop shadow is not lostyou must merge the drop shadow with the actual image. In the Layers Palette, click Layer 1 (the image layer) to select it. Then select the Layer menu and click the Merge Down command. This merges the image layer with the background layer, preserving the drop shadow.

You need to repeat the copy and paste outlined here to create each of the icon sizes: 48¥48, 32¥32, and so on. The good thing is that you need to draw the icon only once. And if you only need 32¥32 icons for your particular screen resolution, you can just create the size you need because you are really creating the icons for your own use.

Converting Images to Icons

After you have the Photoshop version of your icon and have saved the files as .psd files, which is the default in Photoshop, you are ready to convert the images to icons using Gif Movie Gear.

Note

Gif Movie Gear can do more than just create icons. It can also save image files as cursors (.cur). It is designed to be a tool to create animated GIF files.

When you start Gif Movie Gear, the Start screen appears. You need to add frames (your icon images) to Gif Movie Gear. So, on the Start screen, click Insert Frames. This opens the Insert Frames into Animation dialog box. To, select the Photoshop icon files you created, click the first one and then hold the Ctrl key down as you select others.

Next, click Open. The Handling of PSD Layers box opens. Make sure the One Composite Frame option is selected, and then click OK. If you are opening multiple images, you have to repeat the process (the Handling of PSD Layers box opens for each image).

The images are then pasted as frames into the Gif Movie Gear application window (see Figure 10.7). I placed 48¥48 and 32¥32 icons into the application.

Figure 10.7. Open the Photoshop icon files in Gif Movie Gear.

[View full size image]

You need to do two things in Gif Movie Gear: You must make the icon backgrounds transparent, and you must then save the icons in an icon file (.ico). Select one of the icon frames and then click the Pick Transparency Color button on the toolbar (it is the button with eyedropper tool on it).

This opens the Pick Transparency Index dialog box (see Figure 10.8). Use the Zoom button in the dialog box to zoom in on your icon. Use the eyedropper tool to click the background of the icon and make this area transparent.

Figure 10.8. Make the icon background transparent using the Pick Transparency Index.

[View full size image]

Click OK when you have made the background transparent. Repeat the process using the Pick Transparency Index dialog box for each icon you placed in Gif Movie Gearmeaning each frame that you inserted.

When you have completed the process, you are ready to save the icon in an icon file. Click the Save button on the Gif Move Gear toolbar. The Save As dialog box opens. Type a name for your new icon file and then change the Save As Type to Windows Icon (.ico). Save the icon file to an appropriate folder.

Now you can open the new icon file using the Desktop Items dialog box via the Desktop tab of the Display Properties dialog box. You can also apply the icons using skinning software you have installed on your computer.

Creating icons in this manner can produce icons of excellent quality, particularly if you have any artistic abilities. However, it is a rather pricey and time-intensive way to create icons for your Windows themes and skins. Each software package involved requires its own learning curve. Another possibility is using a dedicated icon-maker software packagea subject we discuss in the next section.


Exploring Third-Party Icon Makers

Several icon-creation utilities are available on the Web as freeware, as shareware, and for purchase. These software packages enable you to draw an icon and then save it in the appropriate file format. Most icon-creation software also lets you create Windows mouse pointers (discussed later in this chapter).

Icon makers are useful because they provide a single tool that allows you to draw your icon and then save it as an icon file. Most icon makers also let you easily save a set of icons (different sizes or different icons) in a single file. Using an icon maker makes icon creation simple, particularly if you take a look at all the steps we went through creating icons as Microsoft suggests (refer to the section "The Basics of Icon Creation the Microsoft Way").

Many icon editors are available on the Web, and you can use your favorite search engine to locate icon editor downloads. A good place to start is http://www.simtel.net, which is a large repository of software downloads. It provides links for the download of both freeware and shareware Windows utilities.

Examples of icon editors include IconCool Editor (http://www.icon-creator.net/index.html), IconForge (http://www.cursorarts.com/ca_if.html), IconEdit (http://www.iconedit2.com/), and Icon Developer (Icon Developer is part of the Stardock Object Desktop, which is covered Chapter 6). These icon creators vary in the features they provide, such as the number of drawing tools and the ability to save files in different file formats.

For example, IconEdit provides a simple interface where you can create icons of varying sizes and then save them as .ico files (see Figure 10.9). Icons are created by filling in the grid that is provided using the drawing tools.

Figure 10.9. IconEdit provides a simple interface for icon creation.

Another icon editor is IconCool Editor. This editor provides a greater breadth of tools and lets you easily save multiple icons in a single .ico file (see Figure 10.10).

Figure 10.10. IconCool provides more tools and the ability to save multiple icons in a single file.

[View full size image]

You can use these various editors to create icons by drawing them, or you can create icons from photos or other images. All the icon editors enable you to copy and paste from other software packages such as image editors (Photoshop, for example) and then size the copied image on the icon grid.

Stardock's IconDeveloper is designed to import drawings and images from other programs, as shown by the software's opening screen (see Figure 10.11). It doesn't provide any drawing tools of its own, but it enables you to quickly edit the current icon by opening your drawing or image editing software and loading the icon file.

Figure 10.11. IconDeveloper is designed to create icons from existing images.

[View full size image]

IconDeveloper is a great way to import an existing image and then quickly create different icon sizes using the image (see Figure 10.12). These different icons can then be saved in a single .ico file.

Figure 10.12. Quickly create icons from existing images.

[View full size image]

Because most icon editors provide their own drawing tools and let you easily import existing images, these utilities might be a more straightforward and inexpensive way to create your own custom icons when compared with the approach discussed in the previous section, "The Basics of Icon Creation the Microsoft Way."

Most of these icon editors also provide a number of sample icons, which is another way to increase your collection of icons. You can then apply these icons to your themes and skins as needed.


Creating a Mouse Pointer Collection

Mouse pointers or cursors are also theme/skin elements. As discussed in Chapter 4, mouse pointers are selected on the Pointers tab of the Mouse Properties dialog box (opened via the Control Panel). Because mouse pointers can be saved as a theme, they can quickly be applied when you apply a particular theme.

Mouse pointers are saved in the .cur file format. Some of the icon editors discussed in the previous section, such as IconCool Editor, enable you to easily save a drawn or modified image as a mouse cursor.

Tip

As with any of the theme elements, mouse pointers are available as downloads from the Web. Most theme/skin software also includes alternative mouse pointer sets for your use. Most themes and skins you download also include their own theme-related cursors.

Note

You can also draw mouse cursors in your favorite drawing tool and then save them as a cursor using Gif Movie Gear. Refer to the section "The Basics of Icon Creation the Microsoft Way" for more about using drawing software and Gif Movie Gear.

If you would like a tool geared specifically toward cursor creation, you should consider Axialis AX-Cursors (http://www.axialis.com). This cursor editor enables you to draw cursors of different sizes (such as 48¥48 or 32¥32) and then save them as .cur files. Axialis AX-Cursors also makes importing images and then saving them as cursor files easy (see Figure 10.13).

Figure 10.13. Import images as mouse cursors in Axialis AX-Cursors.

[View full size image]

Axialis AX-Cursors also provides the ability to save multiple cursors in a cursor library file (.acl), which makes applying a complete set of mouse pointers to a particular theme or skin easier.

One of the features provided by dedicated cursor editing software such as Axialis AX-Cursors is the ability to create animated cursors. For example, you can create a simple blinking or otherwise animated cursor by creating a number of frames that are then played in sequence to animate the cursor.

So, let's say you want to create a simple animated mouse pointer. First, you go to the File menu and select New, New Animated Cursor. The new cursor canvas appears in the AX-Cursors window. The first frame you draw (or import an image) will serve as the resting state of the cursor.

Then you click the Insert Frames button on the toolbar. The new frame contains a copy of the original frame (frame 1). You can then modify the image in frame 2. As the image changes from frame 1 to frame 2, the mouse pointer is, in effect, animated. Figure 10.14 shows a three-frame animated mouse pointer that rotates slightly when it is played.

Figure 10.14. Create animated mouse pointers using multiple frames.

[View full size image]

You can add as many frames as necessary to provide the mouse pointer with a smoother animated effect. As with regular mouse cursors, the animated cursors can be applied to Windows as individual files; animated cursors have the extension .ani. You can also save them as part of a cursor library that contains other animated cursors and regular cursors you have created.


A Final Word on Icons and Cursors

Creating your own icons and cursors can be as satisfying as creating some of the higher-profile theme/skin elements, such as backgrounds and visual styles. Because all the software we previewed in this chapter is available as shareware or demos, you can try them to determine what works best for you.

Because a large part of skinning is about personalizing the Windows desktop, being able to take digital photos or scanned images and use them as the starting material for icons and cursors enables you to create any number of skin elements without actually drawing them from scratch. As with all the elements involved in creating a skin, you want to have fun but also experience good results. Take a look at the icon and mouse pointer sets included with themes and skins you download for your skinning software. This should give you an idea of the artistic energy that went into their creation. These examples will also provide you with some food for thought as you create your own icons and mouse pointers.


Chapter 11. Creating a Background Library

In this chapter

  • Where are Windows backgrounds stored?

  • Storing your background files

  • Downloading backgrounds for Windows

  • Creating your own backgrounds

  • Using backgrounds with your themes and skins

One of the most pronounced or obvious parts of a Windows theme or skin is the background. This single image covers the entire desktop and provides the backdrop for the desktop icons and taskbar. In this chapter we take a look at building a background library for your skins.

Often referred to as wallpaper, background images can be downloaded and created. Let's take a look at how background image files are stored in Windows; then we can discuss how you can acquire and create backgrounds for your various themes and skins.


How Backgrounds are Stored in Windows

The background you use with a theme or a full-blown skin makes or breaks the overall effect you are trying to achieve. If you look in the C:\Windows\Web\Wallpaper folder, you will find several image files, such as Stonehenge and Tulips. These files are included with Windows and can be used as backgrounds. Most of these files are in the .jpg or .jpeg file format. The .jpeg format provides good compression of the image file without any obvious image degradation. The default background, Bliss, is a .bmp (bitmap) file. Bitmap files can be large in terms of file size (when compared to the .jpeg format) because they do not use any compression strategy. Bitmaps can also become ragged looking when you enlarge them too much. Windows allows you to apply image files as the desktop background in a number of file formats, such as .gif, .png, .jpg, .bmp, and .dib. Figure 11.1 shows the contents of the C:\Windows\Web\Wallpaper folder.

Figure 11.1. A number of background files are included with Windows.

[View full size image]

Note

The Joint Photographic Experts Group (JPEG) file format uses a compression strategy called lossy compression. It can compress the image file to a much smaller size (in terms of bytes), so JPEGs are great for websites and for Windows backgrounds (you will save space on your hard drive). However, lossy compression does mean that some image information is lost, so JPEGs can lose some image detail.

The backgrounds (or wallpapers) are 800 ¥ 600 pixels (the file sizes vary). The 800 ¥ 600 has become the standard (and low end) of the resolution used on the monitors and LCD panels now available. Depending on the size of your monitor, you might be using 1024 ¥ 768 as your resolution (or an even greater resolution such, as 1152 ¥ 864).

Because the background files are 800 ¥ 600 pixels, you don't have to stretch them if you are using the 800 ¥ 600 resolution. When using higher settings such as 1024 ¥ 768, you should select Stretch on the Position list that resides on the Desktop tab of the Display Properties dialog box (see Figure 11.2). Most skinning software, such as StarSkin and Stardock's ThemesManager, also provides you with a choice of positioning settings.

Figure 11.2. You can center, stretch, or tile your background image.

The background files you create and download do not have to be 800 ¥ 600 pixels. For example, some wallpaper websites provide a particular background in different sizes. Thus, you might be able to download a background that is 1024 ¥ 768 pixels, making it a better fit if you are using 1024 ¥ 768 as your screen resolution. Smaller images (in terms of pixels) can also be stretched to cover the desktop, or you can center a small image and then frame it with a particular background color. Stretching a fairly small picture or image, however, can distort the image.

Note

The resolutions (and number of colors) you can achieve on your monitor depend on the graphics adapter installed on your computer.

In terms of themes and skins, you can take two approaches to backgrounds: You can acquire or create backgrounds for specific themes or skins (as you create the theme or skin), or you can build a library of background files and then use them as you see fit (you never know when you might want to use a new background).

One other issue we should discuss before we discuss the storage and maintenance of your background files is the relationship between the use of a background and its effect on system performance. Windows speed purists would advise that you not use a desktop background or even apply themes to Windows (in fact, many Windows speed tweaking websites suggest you turn off the theme service completely). Obviously, high-resolution background images (which are also large in terms of file size) require system resources to be rendered and refreshed by the Windows video subsystems. And it is true that a 256-color background does not require the system resources that a 32-bit color image (containing over 16 million colors) does.

So, theoretically, using lower-resolution (8-bit) wallpaper images would require less system resources. However, these 256-color images don't look very good. And you only see a degradation of system performances when using background images (and other theme elements) if you are running a very marginal system (a computer with less than 128MB of RAM and a processor that runs at less than 600MHz). So, the bottom line is that applying backgrounds, themes, and skins to Windows does require system resources. You won't, however, see any performance degradation, unless you are using an older, slower computer.


Storing Background Files

Where you store your background images is really up to you. You can save them to the C:\Windows\Web\Wallpaper folder, which allows you to keep all the background files together. Or you can play it safer (I don't advocate saving anything to the Windows folder or its subfolders if you can help it) and save the background images to the My Pictures folder, which is a subfolder of My Documents. This location actually makes a lot of sense because Windows defaults to this folder when you click the Browse button on the Desktop tab of the Display Properties dialog box.

Obviously, another alternative is to create your own folder for your backgrounds or save backgrounds with a particular theme or other theme elements in a folder created for that theme. Whichever choice you make in terms of a home for your background files (and all the other theme/skin elements you download and create), try to stay organized. It isn't much fun spending a lot of time searching all over your computer for a background you've downloaded when it really takes only a few seconds and a couple of quick clicks to actually apply that background to the desktop.

So, the bottom line is that you should put together some sort of system for storing your background and other skin files. Now that you know where you will store your background files, let's take a look at some web sources for Windows backgrounds. We'll then discuss some of the options for creating your own backgrounds.

Tip

If your computer is equipped with a CD burner, you can always offload any background (or other skin-related) files by burning them to a CD. This is particularly useful if you have accumulated a large number of backgrounds (or other files) and want to free up disk space. Just make sure you label the CD so you know what you have stored on it.


Downloading Backgrounds and Wallpaper Files

Many websites provide background and wallpaper files for Windows. If you do an MSN or Google search for "Windows wallpaper" (this search provides more results than searching for backgrounds), you get a huge list of possibilities (see Figure 11.3).

Figure 11.3. A search for "Windows wallpaper" provides a large number of results.

[View full size image]

It's a lot of fun to explore the various possibilities in terms of websites that provide wallpaper downloads. You can quickly build a large library of desktop backgrounds you can use with your themes and skins.

However, you need to be careful in terms of spyware, Trojan horses, and viruses when you are exploring unknown websites. Make sure you are using the Windows Firewall, which is installed when you install Windows SP2, or a firewall of your choice and have your virus signature up-to-date. You can then deflect some of the malware (malicious code) you might encounter when browsing the various sites.

The best places to get backgrounds are sites associated with the skinning software you are using. For instance, if you are using WindowBlinds, it is hooked into wincustomize.com, which makes quickly navigating to that website easy. Style XP and StarSkin also have associated sites that contain themes, skins, backgrounds, and so on. Refer to Chapter 6, "A Closer Look at Skinning Software," for more about these skinning packages and the file library websites with which they are associated.

Depending on your background needs, however, you might not find what you need at the site associated with your skinning software. So, here are a few additional websites that seem to be pretty safe in terms of downloading wallpaper files:

Caution

Malware (viruses, spyware, and so on) isn't the only issue when downloading files from the Web. Sometimes files are wrapped with other programs. So, you might download what you think is a wallpaper file and, when you use the installation program provided, end up with a bunch of new toolbars and buying services you didn't really want. Be careful because much of the stowaway software you run across when downloading files can slow and even crash your system.

  • Theme World (www.themeworld.com/) Provides categories of wallpaper files, which are primarily photos

  • TopWalls.com (www.topwalls.com) Provides a huge collection of wallpaper files, including background images related to films, recording artists, games, sports, and television

  • Freewaresaver.com (www.freewaresaver.com/desktop/D32.html) Provides a large number of backgrounds that are listed alphabetically

  • Iconbazaar (www.iconbazaar.com/backgrounds/index.html) Provides a number of abstract wallpaper files arranged by category

As far as downloading and saving the background/wallpaper files from a particular website, you might run across more than one scenario. Some websites zip their background files, so you must download the file and then use the Extraction Wizard to extract the file(s) to a particular folder.

When you download background files, they also might be compressed in an executable file. Download the file and then run it to uncompress or (in some cases) install the background. Remember that executable files pose the most risk in terms of malware finding its way onto your computer.

Tip

Double-click any zipped file in Windows Explorer. A new window opens, showing the contents of the zipped file. The Extract All Files command is available in the left command panel of the Explorer window. Click the command to start the Extraction Wizard. You can then extract the files to a location you choose.

You also might run across websites that don't have the background file set up as an download. In these cases, when you click the background sample (typically in the form of a thumbnail), you are taken to a second web page where the background is shown in its actual sizesome sites provide more than one size of the image, such as 800 ¥ 600 and 1024 ¥ 768. Right-click the image and a shortcut menu appears. You have two choices at this point (see Figure 11.4). You can choose the Set As Background command to apply the picture as the desktop background immediately, or you can click Save Picture As. This option opens the Save As dialog box, where you can save the file to a location of your choice.

Figure 11.4. Set the image as the background, or save the file.

[View full size image]

You probably should save the image because, as soon as you use the Set As Background command on another image, the first image is no longer available. Saving the image enables you to apply the background using the Display Properties dialog box or any of the commands related to applying the background file supplied by skinning software, such as StarSkin.


Creating Your Own Backgrounds

An alternative to downloading background files or using the backgrounds that come standard with Windows (or with add-on skinning software) is to create your own backgrounds. You can create backgrounds from scratch using drawing software or use photos you have taken or scanned (you can scan art you have created, as well).

Let's take a look at creating backgrounds with drawing software. Then we'll discuss how you can use photographs and scans as the desktop background.

Drawing Backgrounds

Drawing your own backgrounds can be a lot of fun. However, the level of sophistication to which you can take these handmade backgrounds depends on your artistic abilities and the features provided by your drawing software.

For example, you can quickly create a background using Microsoft Paint. First, you should set the image size. On the Paint menu select Image, Attributes (see Figure 11.5). Set the appropriate height and width (for example, 800 for the width and 600 for the height).

Figure 11.5. Set the size for the image.

Now you can draw the image. Not being much of an artist myself, I tend to go for the abstract look, and Paint provides various shapes and fill and airbrush tools that allow you to create different shapes and color swatches on the background (see Figure 11.6). In the final analysis, however, Paint is fairly limited in terms of features.

Figure 11.6. Create a background in Paint.

[View full size image]

After creating the background, save it to the folder you have designated for your background files. When you save a file in Paint, you have several choices for the file format (see Figure 11.7).

Figure 11.7. Select the format for your background file.

[View full size image]

You can save the file as a bitmap (at different color levels), JPEG, GIF, TIFF, or PNG. The bitmap gives you the largest file size but theoretically the best look; although, depending on your monitor, I doubt if you will see a difference if you choose JPEG or PNG.

A useful feature Paint provides is the capability to set your drawing as the desktop background while you are working on it. Select the File menu and then select Set As Background (Tiled) or Set As Background (Centered). Just repeat this command when you make changes to the drawing and you get an instant preview of how your work will look on the desktop.

Note

Portable Network Graphics (PNG) is a new patent- and license-free graphics file format approved by the World Wide Web consortium to replace the GIF file format, which poses some licensing issues for use on the Web (GIFs use a compression algorithm owned by UNISYS).

Realistically, if you are going to really get into creating your own backgrounds, you will need a graphics drawing package with a little more muscle than Paint provides. You can choose from numerous possibilities, such as Paint Shop Pro, Adobe Illustrator, and Macromedia FreeHand. Several freeware paint programs also exist that provide a greater set of tools and features than the basic Windows Paint program.

Certainly one of the most feature-rich graphics package is Adobe Illustrator (see Figure 11.8). Although it is certainly more complex than Paint, it provides features that enable you to add special effects and template items to your drawings. This can allow even an extremely mediocre artist (and I'm right there) the ability to create some very interesting desktop backgrounds.

Figure 11.8. Graphics drawing programs like Adobe Illustrator provide a feature-rich environment for creating desktop backgrounds.

[View full size image]

The drawing in Figure 11.8 was created very quickly by setting the image size (800 ¥ 600) and then filling the canvas with a color. A filter was then applied to the canvas to create the textured look, and a custom graphics shape was used to create the shape in the middle of the canvas.

Illustrator lets you to save your drawings in a number of file formats, including BMP and JPEG. The default file format is .ai (Adobe Illustrator file format).

Drawing programs vary in price and some are relatively expensive. So, you should choose a software package that meets your drawing needs but also doesn't break the bank. A good drawing program is essential to creating custom skins for Windows. Take a look at Chapter 7, "The Basics of Creating Your Own Skins," for more about the tools you will need to create skin elements.

Using Photos As Backgrounds

An alternative to drawing your own backgrounds is to use photo files you shoot with a digital camera. If you have a scanner, you can also take advantage of hard copy photos, line art, or any other image you can fit on the scanner bed.

Because many digital cameras save their photos as JPEG files, you can apply a photo as the desktop background without any additional work. For example, I can take a picture of my cats right off the camera and apply it the desktop. Because of the size of the picture, I do have to stretch it to cover the desktop (see Figure 11.9).

Figure 11.9. Use any digital photo as your desktop background.

[View full size image]

Depending on the resolution you had set on your camera, you might get mixed results when you use a photo as your desktop background. Stretching can sometimes distort the picture, and low-resolution pictures can look choppy or pixilated.

A way to ensure that your photo will look good as a desktop background is to shoot it at a high resolution. You can then use a graphics software package to either crop the photo or change the size of it so it fits the desktop.

A wide range of graphics programs exists, both in terms of features and price. Many new computers come with some sort of graphics programs, such as Microsoft Picture It (see Figure 11.10).

Figure 11.10. Picture It provides image editing capabilities.

[View full size image]

You can use Picture It to crop or resize images (for example, I could change the size of my image to 800 ¥ 600). Picture It also provides special effects you can apply to the photo to make the background more interesting. After I get the picture the way that I want it, I can then save it and use it as a background.

In terms of high-end graphics software, Photoshop is one of the best. It is also expensive, however. But if you already own it or have decided to become a serious skinner, it provides a full-featured graphics editing program that is well-suited for photo manipulation.

Tip

Photo editors such as Picture It and Photoshop also supply the capability to touch up photos and cut, copy, and paste images to create photo collages that can serve as desktop backgrounds.


Using Backgrounds with Your Themes and Skins

You can quickly change the desktop background using the Display Properties dialog box or a specific command provided by your skinning software. You can change the background at a whim, but in most cases, you will probably want to change other elements of the Windows interface when you desire a new look.

So, it makes sense to incorporate the backgrounds you draw and create into your themes or skins. We discussed how to specify a background for a Windows theme when we discussed theme creation in Chapter 4, "Creating Windows XP Themes from Scratch."

Each of the skinning packages discussed in Chapter 6 lets you easily change the desktop background and incorporate a background into a skin.

Tip

TopThemes Manager also lets you to save the current desktop as a theme. Select File, Save Desktop, and then specify a name. A new theme is created based on the current settings of the desktop.

For example, Stardock Object Desktop rolls all the various theme and skin elements into a suite that can then be controlled by the Stardock TopThemes Manager. TopThemes Manager allows the background file to be saved as one of the items in the suite (see Figure 11.11).

Figure 11.11. TopThemes Manager allows you to save the background as part of the suite file.

[View full size image]


A Final Word on Desktop Backgrounds

One thing to keep in mind when you design your desktop backgrounds is that it is your desktop. So, have fun with it and don't limit your possibilities. But also keep in mind that the desktop is the launching area and workspace for the applications you run in Windows. You need to have a background that does not obscure the icons on the desktop.

You might also think about choosing background colors and designs that are not hard on your eyes. The desktop is the biggest and most pronounced part of the Windows interface. So, you need one that is easy on your eyes but also blends well with the rest of your interface skin.


Chapter 12. Adding Screensavers to Your Skins

In this chapter

  • What are screensavers?

  • Creating your own screensavers

  • Making a slideshow screensaver

  • Downloading and installing additional screensavers

Screensavers are an often unseen element of themes and skinsunseen in the sense that you don't often see them because they aren't activated until you have been away from your computer for a specified amount of time. However, to create a "complete" skin, you need to include a screensaver that fits your skin's overall concept. This chapter covers what a screensaver is and how you can download and then select screensavers from the Web. We also discuss how you can enable your own slideshow screensaver.

Let's begin our discussion with sorting out what a screensaver actually is. Then we can take a look at acquiring and applying screensavers.


What are Screensavers Really?

Screensavers are program files that are saved with a .scr extension. When the computer is idle for a specified period of time, meaning no keyboard or mouse input, the screensaver is activated.

Screensavers were originally developed to protect computer screens (think about those old amber and gray monitors) from having a static image burned into the screen during long periods of inactivity. Because burn-in isn't an issue with today's monitors, screensavers are really just another way to personalize or add interest to your desktop. Screensavers are really like vanity license plates: We don't see them, but others do and it's really these other folks who get to try to figure out what we were thinking when we chose a particular screensaver (much like a vanity license plate).

Note

Screensavers are also useful in that they can be used to password-protect your computer. Because the screensaver starts itself, it provides a measure of security that you don't have to remember to enable before you walk away from your computer. For more about setting up the screensaver's password protection see Chapter 3, "Applying and Downloading Windows Themes."

Screensavers are actually programs, and that makes them very different from the other theme elements we have discussed such as icons and backgrounds. Icons and backgrounds are just images in a particular file format that reside on the desktop, but screensavers are applications that run on top of the desktop, keeping the screen active (during periods of user inactivity). The screensavers included with Windows XP are stored in the C:\Windows\System32 folder (as shown in Figure 12.1).

Figure 12.1. The screensavers reside in the C:\Windows\System32 folder.

[View full size image]

Integrating a screensaver with a particular Windows theme only requires that you select the screensaver on the Screen Saver tab of the Display Properties dialog box (see Figure 12.2) before you save the theme (using the Save As command on the Themes tab). After the screensaver is included as part of a particular theme, you can easily include the theme with other skin elements such as a visual style, thus making the screensaver part of the overall skin you have applied to the Windows GUI.

Figure 12.2. Select the screensaver that will be part of a particular Windows theme.

Tip

You can quickly test any screensaver listed in the Search dialog box or Windows Explorer. Right-click the screensaver's icon and then select Test from the shortcut menu. The screensaver is tested. Move the mouse to stop the test and you are returned to the Search dialog box or the Windows Explorer window.

Depending on the skinning software you are using, you can also make a screensaver part of a particular skin or change the screensaver on-the-fly as you see fit. For example, the Theme Manager (part of Stardock's Object Desktop) enables you to save a screensaver as part of a suite or change the screensaver from the Theme Manager window (see Figure 12.3).

Figure 12.3. Skinning tools such as Theme Manager also provide control over the current screensaver.

[View full size image]

Although the screensaver probably isn't as important to the experience you receive using a Windows skin you have designed or downloaded, screensavers do add interest to the Windows environment and can be a lot of fun. You will probably become tired of the screensavers provided with Windows XP and want to build a screensaver library of your own. You have a couple of alternatives: You can either create your own or download existing screensavers.

Let's take a look at two strategies for creating your own screensavers. We will then discuss downloading and installing screensavers from the Web.


Creating Screensavers

If you have the inclination (and the time), you can create your own screensavers. One method requires that you create your screensaver in a programming tool such as Microsoft Visual Basic .Net.

Microsoft provides a great deal of help in terms of programming projects and offers a number of step-by-step articles on its Help and Support web pages. For example, an article on how to create a screensaver using Microsoft Visual Basic is available at http://support.microsoft.com/default.aspx?scid=kb;en-us;818359 (see Figure 12.4).

Figure 12.4. Microsoft provides help on writing the code for your own screensavers.

[View full size image]

This article provides all the code for a basic screensaver. In many cases, you can also download trial versions and betas of Microsoft programming software. This enables you to decide if you really have the desire to spend the time programming your own screensavers. For example, at the time of the writing of this book, the latest version of Microsoft Visual Studio (which includes Visual Basic) was available for download at http://lab.msdn.microsoft.com/vs2005/.

If programming your own screensavers seems a little too daunting, there are ways to create screensavers without any programming. Several screensaver creation software packages are available on the Web.

The screensaver creators have their own particular takes on creating screensavers and of course vary in price. For example, ScreensaverMaker from 21hua.com (check out http://www.21hua.com) provides an easy-to-use screensaver creator that enables you to incorporate Shockwave Flash animations, different video formats (such as MPG or AVI), photo images, and web pages into your own screensavers.

Tip

Microsoft provides a lot of product information and programming tips for Visual Basic on the Visual Basic website at http://msdn.microsoft.com/vbasic/.

Note

If you do a search on the Web for screensaver makers or editors (search for "create screensavers"), you will find many possibilities. I am using ScreensaverMaker as an example of this type of software package, but I'm not making a recommendation for ScreensaverMaker over other products available. Because most of these products come in demo or shareware versions, you can try them and decide on the one that works best for you before buying.

So, let's say you want to create a screensaver in ScreensaverMaker that uses a video you've shot. After you open Screensaver, it walks you through the steps of adding your media files to the screensaver and then compiles the screensaver into a .scr file for you. Figure 12.5 shows the opening ScreensaverMaker screen where you name your new project.

Figure 12.5. ScreensaverMaker walks you through the steps of creating a new screensaver.

[View full size image]

After you name the new screensaver project, you can then add media content to the screensaver, such as video or image files. After you add the media content, you can preview the new screensaver. I added a hockey video that I shot on my video camera as content. The screensaver plays the video over and over (most screensavers repeat the same content). Figure 12.6 shows a preview of the screensaver I put together in ScreensaverMaker.

Figure 12.6. You can preview the screensaver you are creating.

[View full size image]

After you've added your content, you have the option of choosing a still image to represent your screensaver. You also have the option of selecting the icon that represents your screensaver file. After following the steps provided by ScreensaverMaker, you can then choose to build the screensaver as a .scr file or build it as part of an installation file (.exe) that allows you to install the screensaver on any computer (see Figure 12.7).

Figure 12.7. ScreensaverMaker enables you to build the screensaver as a .scr file or in an installation file.

[View full size image]

After you have created your new screensaver, you can open the Display Properties dialog box and select it from the list on the Screen Saver tab. Obviously, using a programming tool such as Visual Basic or a screensaver application such as ScreensaverMaker adds another dimension to the screensaver possibilities you can run on your computer. Creating your own screensavers also lets you incorporate another custom element into the themes and skins you create for Windows XP.

Tip

When you create a .scr file, make sure that you save it to the C:\Windows\System32 folder so it appears in the Screen Saver list on the Screen Saver tab of the Display Properties dialog box.

If you don't want to mess around with programming or screensaver creators, you can still create low-tech screensavers using images from your digital camera or scanner or items you have downloaded from the Web. Let's take a look at how you can create a slideshow screensaver without the use of any additional software (all you need are some pictures).


Creating a Slideshow Screensaver

Windows XP lists the My Pictures Slideshow screensaver (along with the other bundled screensavers) in the Screen Saver list on the Screen Saver tab (of the Display Properties dialog box, as shown in Figure 12.8). This screensaver cycles through the pictures you place in the My Pictures folder, which is one of the subfolders of the My Documents folder.

Figure 12.8. You can quickly create your own slideshow screensaver.

The possibilities provided by the My Pictures Slideshow Screen saver are limited only by your imagination (and the image files you have available). You can use personal photos, drawings you create, or any other images that are in an image file format (BMP, JPEG, and so on).

To create the image library for the My Picture Slideshow screensaver, save the images you want to use to the My Pictures folder. If you don't want to use the My Pictures folder, you can create your own folder and then specify the folder name when you set up the screensaver on the Screen Saver tab.

After you have your images in the appropriate folder (My Pictures or your particular folder choice), go to the Screen Saver tab of the Display Properties dialog box and select My Pictures Slideshow in the Screen Saver drop-down list.

Now you can set the various options for the slideshow screensaver by clicking Settings. The My Pictures Screen Saver Options dialog box opens (see Figure 12.9).

Figure 12.9. You can set the options for the slideshow screensaver.

The options for the slideshow are

  • How Often Should Pictures Change? Use this slide bar to set the time a picture should remain on the screen before changing to the next image.

  • How Big Should Pictures Be? Use this slide bar to set the percentage of the screen that should be covered by the pictures in the slideshow.

  • Use Pictures in This Folder Set the folder that the slide will use as the picture library. Clicking the Browse button allows you to browse for the folder to be used.

  • Stretch Small Pictures This option stretches small pictures so they cover the amount of screen specified.

  • Show File Names Select this option to show the filename of the picture currently displayed by the slideshow.

  • Use Transition Effects Between Pictures This option uses various transition effects, such as fades and slides, to transition from one picture to another.

  • Allow Scrolling Through Pictures with the Keyboard If this option is selected, you can scroll through the pictures in the slideshow using the arrow keys on the keyboard.

After you have set the various options for the slideshow, click OK. This returns you to the Screen Saver tab. You can then set the timing for the screensaver by setting a time in the Wait box. You can also choose to password-protect the computer by requiring a password when you resume activity on the computer (the password is the same as your Windows password).

To test the slideshow screensaver, click the Preview button. To complete the process, click Apply or OK. If you click Apply, you can then go to the Themes tab and click the Save As button to save the modified theme. This assigns the slideshow screensaver to the theme, making it easy to retrieve the theme and your screensaver settings by selecting the Theme from the Themes list.

Note

For more about including a screensaver in a saved theme, see Chapter 4, "Creating Windows XP Themes from Scratch."


Downloading and Installing Screensavers

The alternative to creating your own screensavers is to download screensavers from the Web. There are an incredible number of possibilities in terms of screensaver downloads.

Windows XP runs only 32-bit screensavers. Many of the screensavers available are 16-bit screensavers that were designed for earlier versions of Windows. When selecting a screensaver for download, read the description and make sure it has been designed for Windows XP.

As we discussed in previous chapters related to downloading skin elements (such as Chapter 11, "Creating a Background Library"), you can do a web search for a theme/skin element such as a screensaver and you will get a huge number of results. As with any of the other elements we have discussed, such as icons and desktop backgrounds, some websites are good sources of downloads and others have a tendency to mess up your computer with spyware and downloads that contain software installations you really don't want on your computer.

Note

Add-on software is available that enables you to run 16-bit screensavers in Windows XP. An example is Galt Screen Control, which is a 32-bit utility (for Windows XP) that not only allows you to easily change the current screensaver, but also has the capability to load older, 16-bit screensavers. Check it out at http://www.galttech.com/screenshots/screencontrol.htm/.

Websites associated with skinning software such as Style XP, WindowBlinds, and StarSkin typically provide a fairly safe environment for downloads (see Chapter 5, "A Primer on Third-Party Theme and Skins Software," for more information). Some other sites you might find useful in terms of downloading screensavers are the following:

  • EZ Skins (http://www.ezskins.com) This website provides more than 13,000 screensavers. Downloads of screensaver creation software are also available. The site also provides Windows themes, visual styles, and other skin elements.

  • Goldfiles.com (http://www.goldfiles.com/) This website provides access to a number of interesting 3D screensavers. Other theme/skin items such as mouse cursors and desktop backgrounds are also available for download.

  • Screen Saver Heaven (http://www.galttech.com/ssheaven.shtml) A collection of over 2,500 screensavers, this website also provides links to other skin elements, such as themes and desktop backgrounds.

  • Screen Saver World (http://www.screensaverworld.com/) Another huge collection of screensavers, this is a site sponsored by Top Themes.com. It offers links to other websites that are dedicated to themes, desktop backgrounds, and software for theme management.

Tip

Although I have mentioned this in previous chapters, I think the following is worth repeating: Make sure you have Windows XP SP2 installed on your computer and have your virus software up-to-date. Also, be sure to have the Windows Firewall enabled (or some other software or hardware firewall). These security strategies are very important if you are going to do a lot of downloading from the Web. Make sure that your computer is protected. Believe it or not, my exploration of theme/skin element download sites has resulted in some Trojan horse and virus issues that were caught by my antivirus software. The bottom line is that there is a lot of bad stuff out there and you don't want your computer to catch it.

The steps required to download screensavers from the sites listed previously (and other screensaver sites you locate doing a web search) vary depending on the site. Most of these websites either provide a Download link or counsel you to click the thumbnail picture of the screensaver to begin the download. For example, Screen Saver World provides a download link for a particular screensaver. In many cases, this website also provides multiple links (meaning multiple sources) for downloading the screensaver (see Figure 12.10).

Figure 12.10. Click a link to download the screensaver.

[View full size image]

Downloading the Screensaver

After you begin the download of a screensaver file, the File Download dialog box opens. Click Save to save the screensaver. The Save As dialog box appears. Provide a location for the download (a specific folder) and then click Save. The screensaver file is saved to the selected folder.

As with other skin and theme elements we have discussed in terms of downloads from the Web, screensaver download files can come in two varieties: compressed Zip files and executable files. In the case of Zip files, locate the download in the download folder and then use the Extraction Wizard to extract the executable file contained in the Zip file.

Tip

Many of the websites that provide screensaver downloads also provide ratings of the screensavers. These ratings are feedback from other users who have downloaded and installed a particular screensaver. Some websites also provide links for other theme or skin elements associated with a particular screensaver. This provides you quick links to other skin items. Downloading all the items allows you to quickly assemble all the elements for a particular theme or skin.

Whether the executable for the screensaver was a direct download or contained in a Zip file isn't all that important. After you have access to the executable/installation file, you can install the screensaver. First, locate the screensaver executable using Windows Explorer (see Figure 12.11).

Figure 12.11. Locate the installation file for the downloaded screensaver.

[View full size image]

Installing the Screensaver

Now you can double-click the installation file for the screensaver. If you have SP2 for Windows XP installed, an Open File Security window opens. Select Run.

The next step varies depending on the installation strategy being used to install the screensaver. An installation screen appears that requires that you click either Next or Install. You just need to read the installation screens carefully so the screensaver is installed correctly.

After the screensaver is installed, the new screensaver should appear on the Screen Saver list on the Screen Saver tab of the Display Properties dialog box, as shown in Figure 12.12.

Figure 12.12. The new screensaver is added to the Screen Saver list.

Depending on the screensaver installation program, you might have to open the Display Properties dialog box. However, upon completion of the screensaver installation, the Display Properties dialog box might automatically open to the Screen Saver tab with the new screensaver selected.

After the new screensaver has been selectedeither by you or automaticallyyou can set the various options related to that screensaver by clicking the Settings button. To preview the screensaver, click the Preview button.

Saving the Screensaver in a Theme

If you want to save this new screensaver as part of a theme, select that theme on the Themes tab of the Display Properties dialog box and apply the theme by clicking the Theme button. Now return to the Screen Saver tab and make sure the new screensaver is selected. Then click Apply.

Finally, return to the Themes tab and click the Save As button to save the theme under the original theme filename; when you change the screensaver, the theme is listed under the original filename but with the (modified) label included. Saving the screensaver with the original theme name ensures that when you apply that theme, you get all the theme elements (icons, background, and so on) and the new screensaver.


A Final Word About Screensavers

Screensavers really get relegated to being an afterthought in many cases when you are building themes and skins for Windows XP. This is probably because we interact with many of the elements a theme or skin applies to the Windows interface (such as the taskbar, window elements, control buttons, and so on), but we don't typically interface with the screensaver. It runs when we aren't at the computer.

Many screensavers are available for download, however, so it isn't difficult to find and install a screensaver that fits the overall idea or theme you had in mind when you developed a particular Windows skin. Plus, you can always make your own. Screensavers do play an important part in the overall personalization of the Windows GUI that themes and skins provide.


Chapter 13. Changing XP Logon Screens and Boot Screens

In this chapter

  • What are logon and boot skins?

  • Skinning the Windows logon screen

  • Creating your own logon screens

  • Skinning the Windows boot screen

  • Creating your own boot skins

Our discussion of skin creation thus far has concentrated on Windows XP themes and visual styles. Two additional elements that are part of a complete Windows XP theme are the logon and Windows boot screens.

This chapter explains how you can change the default boot and logon screens using skinning software such as StarSkin and Style XP. We also discuss how each skinning engine provides control over these skin elements.

Let's begin our discussion with a look at logon and boot screens, which will provide some insight into what these elements are. We can then discuss how to download and apply logon and boot screens. We will conclude our discussion with a look at how you can create your own boot and logon screens.


Understanding Logon and Boot Screens

Logon and boot screens provide the finishing touches to a Windows XP skin. But what are these interface elements, and how do they work?

A logon screen appears when you log on to Windows. The same logon image also appears when you log off Windows. The logon screen is a bitmap image that is displayed by an executable file named logonui.exe. So, the logon program uses a background file in much the same way that you can place a background image on the Windows desktop.

The logonui.exe file is a Windows resource file. Thus, changing the background image file requires that you either hack this resource file (using something like ResHacker, which is discussed in Appendix A, "Using ResHacker") or use add-on software that allows you to select a new logon image and then takes care of modifying the logon resource file for you. Examples of such software are StarSkin and Style XP. Style XP, a software add-on utility, is the safest bet because you aren't trying to modify an important Windows resource file on your own.

Tip

You should back up your entire PC before playing around with the logon and boot screens. Because both skin elements involve important Windows resource files, having a backup of your system can help you restore your Windows environment if you run into trouble.

If you install a skinning program such as StarSkin, you can change your logon screen without too much risk. Boot screens are a little trickier, though. Changing the boot screen requires manipulating the ntoskrnl.exe file and another file, the boot.ini file. The OS kernel file is certainly one of the most important Windows resource files. You can try to hack ntoskrnl.exe, but this can result in boot problems. If you really want to change the boot screen, you should use software that can change the boot screen for you. Even products like StarSkin, Style XP, and the Object Desktop Theme Manager (part of the WindowBlinds suite) that allow you to change the boot screen provide warnings related to the changing of the default Windows boot screen.

For example, when you select the Boot Screens option in Style XP, a warning message appears related to the modification of the boot.ini file (see Figure 13.1). The message lets you know that your computer might not boot correctly after modifying the boot screen.

Figure 13.1. Changing the boot screen can be a risky proposition.

[View full size image]

Note

Using skinning software such as StarSkin to control your logon screens is just one option for working with logon screens. As I already mentioned, you can also attempt to hack the logonui.exe file. Another software-based solution is the use of a dedicated logon management utility. A number of these are available on the Web, such as Logon Loader (http://logonloader.danielmilner.com/), which enables you to change and manage your logon screens.

You have to decide for yourself whether changing the boot screen is worth the risk. When you consider the amount of time the boot screen is viewable on the computer (typically only several seconds), you might not want to mess with this particular skin element.

Let's take a look at the less risky possibilities for modifying the Windows logon screen. We can then finish the chapter with a discussion of working with boot screens.

Caution

Remember that Microsoft does not recommend the modification of any of the core operating system files (and ntoskrnl.exe and boot.ini both certainly qualify as important OS files). However, some software utilities (other than the skinning software previously mentioned) do exist that can be used to change and control the Windows XP boot screen. Examples are Screen Bootyyes, that's its namewhich is available at http://www.startupscreen.net/, and BootXP, available at http://www.bootxp.net/.


Basic Modifications to the Windows Logon Screen

There are some basics changes you can make to the logon screen without the use of any additional software or hacks. In fact, you can decide whether the Welcome screen, the default logon screen for Windows XP Home Edition, is used. To make these changes, you need to log on using a Windows account that has administrative rights.

Click the Start button and then select the Control Panel. In the Control Panel, click the User Accounts icon. The User Accounts window opens. Click the Change the Way Users Log On or Off link. The logon and logoff options appear (see Figure 13.2).

Figure 13.2. Decide whether to use the Welcome screen.

[View full size image]

Note

The Welcome screen provides an icon for each user on the computer. Click the icon and provide a password, if required, to log on as that user.

To disable the Welcome screen, clear the Use the Welcome Screen check box and click Apply Options. The next time you boot the computer and log on, the classic logon screen will be provided. This logon requires that a username and password be entered. Figure 13.3 shows the classic logon screen.

Figure 13.3. The classic logon makes your computer more secure.

Although the classic logon provides more security for your system because it requires a username and password, you will obviously want to use the Welcome screen if you plan on skinning the logon screen. If you are already using the classic logon screen, be sure to enable the Welcome screen before you use your skinning software to modify the logon screen.

Another simple modification you can make to the Welcome/logon screen is the picture that is shown for each computer user. This picture is not only used on the Welcome screen, but is also applied to the top of the Start panel, which is accessed when you click the Start button. So, modifying the picture helps dress up the logon screen and Start panel.

Click the Start button and then select the Control Panel. In the Control Panel, click the User Accounts icon. The User Accounts window opens. Select the account you want to modify, using the icon for that particular account. The account information for that account appears (see Figure 13.4).

Figure 13.4. Access the settings for a user account.

[View full size image]

Note

You can add a background graphic to the classic logon by changing some system Registry entries. Messing with the Registry is another thing Microsoft doesn't recommendnor do I, if you haven't really worked with the Registry before. See http://www.updatexp.com/, which provides information on Windows error codes and a variety of other information related to Windows XP.

Click the Change My Picture link. A number of picture options provided by Windows appears. It makes sense to use your own pictures. Click the Browse for More Pictures link. Use the Open dialog box to locate your picture, and then click Open. The picture is assigned to the account. You can now close the User Accounts window and the Control Panel.

Then next time you log on to the system, the picture is used. Figure 13.5 shows a custom picture that is used for the user account; this picture also appears at the top of the Start panel.

Figure 13.5. Customize the user account picture.

[View full size image]

Obviously, changing the user picture is a pretty small modification to the Welcome screen. Let's take a look at how various skinning software handles modifications to the logon screen.


Skinning Software and Logon Screens

Skinning software, such as Style XP and StarSkin, let you easily change the default Windows logon screen to a logon screen of your choice. You can also select new logon screens using Stardock's Theme Manager. Stardock also provides a free, although unsupported, utility for creating logon screens called LogonStudio (we discuss creating logon screens later in this chapter).

Let's take a look at how each of the skinning software packages provides the ability to change the default logon skin. We can then discuss how you can download and add logon screens to each of these skinning software packages.

Note

For more about the skinning software discussed in this chapter, refer to Chapter 6, "A Closer Look at Skinning Software."

Customizing the Logon Screen with Style XP

Style XP provides the ability to change the default logon screen and add logon screens you have downloaded from the Web. All Style XP logon screens come as individual logonui.exe files, meaning they have the same filename and format as the default logonui.exe used by Windows.

Style XP skins the logon screen by providing an alternative logonui.exe file. Open Style XP by selecting Start, All Programs, TGTSoft, Style XP. In the Style XP choice list, select Logons (see Figure 13.6).

Figure 13.6. Style XP provides quick access to alternative logon screens.

[View full size image]

To select a logon screen, click one of the logon schemes listed in the Style XP window. To apply the new logon scheme, click Apply Logon. The new logon screen is now available when you log on to (and log off) Windows (see Figure 13.7).

Figure 13.7. A logon screen applied to Windows using Style XP.

[View full size image]

Figure 13.7 shows a logon scheme that was downloaded from the ThemeXP website (www.themexp.org); this is the default download site for Style XP. We explain how to download and install logon schemes for Style XP later in the chapter.

Caution

Style XP logon files are in the format logonui.exe. Leave any of these logon files that you download in their original zipped archive files. Style XP can extract them from the compressed archive when you are ready to use them. You do not want to take the chance of inadvertently overwriting the default logonui.exe file that resides in the C:\WINDOWS\System32 folder.

Customizing the Logon Screen with StarSkin

StarSkin also changes the logon screen by applying a modified version of the logonui.exe file. Each logon skin is a separate executable file, as is the case with Style XP.

To open StarSkin, select Start, All Programs, Rocket Division Software, StarSkin, StarSkin (there is a StarSkin folder that holds the StarSkin executable file). In the StarSkin window, click the Logon Screens tab (see Figure 13.8).

Figure 13.8. Logon screens are applied from the StarSkin Logon Screens tab.

StarSkin doesn't provide a list of available logon files as Style XP does, but it does allow you to browse for them. Click the Browse button and then use the Open dialog box to find a logon file. If you are browsing for logon files that you downloaded, look in the folder you used as the destination for the logon files' extraction (they come as zipped files).

When you have located a logon file (StarSkin browses only for the .exe logon file type), select the file. Then click Open. You are returned to the StarSkin window and a preview of the logon skin appears on the Logon Screens tab (see Figure 13.9).

Figure 13.9. A preview of the new logon screen is provided.

To apply the logon screen to Windows, click either the Apply or Close button. Either choice applies the new logon skin. If, at any time, you want to return to the default Windows logon screen, return to the Logon Screens tab and click the Restore Defaults button.

Customizing the Logon Screen with Stardock Theme Manager

Stardock Theme Manager also provides the capability to change the default logon screen. Theme Manager uses logon screens that are in the file format .logonxp. So, Stardock's approach to skinning the logon screen is the same as the strategy it uses for skinning Windows with its visual styles and other skin elements. It provides its own skinning engine and file formats for all the skin elements. This makes modifying the logon screen with Theme Manager a fairly safe proposition (when compared to Style XP and StarSkin, which both use modified logonui.exe files).

To start Theme Manager, select Start, All Programs, Object Desktop, Theme Manager. To change the current logon screen, click the Logons button in the Theme Manager Applications list (see Figure 13.10).

Figure 13.10. Theme Manager allows you to change the logon screen.

[View full size image]

Theme Manager provides only three sample logon screens, but you can apply these to Windows. Additional logon screens can be downloaded, or you can create them using LogonStudio. We discuss LogonStudio in the section "Creating Logon Screens," later in this chapter.

To change the current logon screen, select a logon screen from the list provided and then click Apply. Figure 13.11 shows one of the sample logon screens provided by Theme Manager as it appears during the Windows logon process.

Figure 13.11. The new logon screen appears the next time you log on.

[View full size image]

The next time you log on to Windows, the new logon screen is used. As you log off or shut down the system, the selected logon screen appears then as well.


Downloading and Adding Logon Screens

You can download and then add logon screens to skinning software such as StarSkin, Style XP, and the Object Desktop Theme Manager. This provides a readily available library of alternative logon screens.

For example, in Style XP, select the Logons link in the Choice list. To download a logon screen, click Download a New Logon.

The ThemeXP (www.themexp.org) website opens and displays the newest logon screens available (see Figure 13.12). You can select and download the logon screens provided on this page, or you can click Logins in the ThemeXP link list and browse all the logins available on the site.

Figure 13.12. Style XP takes you to the ThemeXP login screen page.

[View full size image]

After you download a new logon screen, you can add it to the Style XP login screen list by clicking Add a New Logon. In the Choose a Logon to Add dialog box, locate the logon screen file you downloaded. It will be a zipped file, but you don't have to extract the logon to add it to Style XP.

When you locate the file, select it and then click Open. You are returned to the Style XP window and the logon screen appears in the logon screen list provided. Select the new logon screen to view a preview of it. To apply the logon to Windows, click Apply Logon.

The process for the other skinning software packages, in terms of downloading logon screens, is very similar. Logon screens you download are, in most cases, held in a zipped archive file. As already mentioned, Style XP reads the zipped file directly when you add the logon screen to Style XP. If you are using StarSkin or Theme Manager, you must use the Extraction Wizard to extract the logon screen before you can apply it. In either case, you browse for the file to open and apply it.

Tip

You can also do a search for Windows logon screens using your favorite web search engine. Many websites provide Windows logon screens. Remember that logon screens are typically hacked Windows resource files and come in the form of an executable file. This is an excellent vector for virus makers, so don't download logon screens from suspicious websites. And check the downloaded files for viruses with your virus software.

Numerous logon screens are available on the Web. They embrace a variety of themes and ideas and will probably provide you with logon screens you can match to a particular Windows theme or skin you have created. In cases where you just can't seem to find that ideal logon screen, you can create your own. Creating logon screens is the subject of the next section.


Creating Logon Screens

Many of the logon screens available on the Web are hacked versions of the logonui.exe file. A copy is made and then a tool like Resource Hacker (discussed in Appendix A) is used to point to an alternative graphic file. If hacking files makes you a little squeamish, there are alternatives for creating logon screens.

Software utilities do exist that can be used to create logon screens. Examples are ChameleonXP (do a search for "ChameleonXP" using your favorite web search engine to locate a download site for the software) and Stardock's LogonStudio (which is freeware and can be downloaded from www.stardock.com). Because we have discussed a number of the utilities that make up the Stardock Object Desktop, let's focus our discussion on LogonStudio, which creates logon skins in a special format that can then be applied by the Object Desktop's Theme Manager utility.

LogonStudio creates logon skins in the file format .logonxp. As already mentioned in the chapter, all the Stardock products use their own unique skinning engine and strategy for changing Windows XP interface elements. Using a skinning engine that sits on top of the Windows default skinning engine (uxtheme.dll) can provide some added protection from system failure because you aren't editing or hacking actual system resource files. The downside is that, in some cases, you will experience a slight performance degradation within Windows.

LogonStudio provides a simple interface that allows you to create, load, and manage your logon screens (see Figure 13.13). You can create a new logon screen from scratch or edit existing logon screens.

Figure 13.13. LogonStudio allows you to create and manage your logon screens.

[View full size image]

To create a new logon screen, click the New button. The Create New logon dialog box opens. Enter a name for the logon screen and other information, such as the author (your name), author email, and any notes related to the logon screen. You don't have to enter all the information if you don't anticipate uploading the logon to the winCustomize.com website to make it available to other users.

After you have entered the information in the Create New Logon dialog box, click the Create button. A message appears letting you know that a new folder was created for the logon using the logon name you entered. Click OK to close the message box. The LogonStudio Editor opens, containing the default Windows logon screen (see Figure 13.14).

Figure 13.14. The LogonStudio Editor provides the tools for creating a new logon screen.

[View full size image]

The strategy for creating a new logon in the LogonStudio Editor is similar to the strategy we used to create Windows visual styles in Stardock's SkinStudio (see Chapter 9). SkinStudio provides an interface that makes accessing a particular element of the Windows interface, making changes, and then previewing those changes easy. In LogonStudio Editor you have access to each element that makes up the current logon screen, and these elements are listed in the Elements panel. You can access a particular element by selecting it in the Elements panel. The main panel of LogonStudio Editor also provides a preview of the logon screen; you can click part of the screen in the Preview panel to select that particular element.

When you select an element in the Preview panel, the properties for that element appear in the Properties panel. For example, if you select the Center panel of the logon screen, which is the large blue area you see in the default Windows logon, the element is selected and its properties (such as the bitmap for the element and color attributes) are listed in the Properties panel (see Figure 13.15).

Figure 13.15. The LogonStudio Editor enables you to change the properties of each element in the logon screen.

[View full size image]

So, you can change the various properties of the logon screen elements to create a new logon screen. The first thing you might do is change the bitmap picture for the Center panel (again, this is the largest area of the logon screen). With the Center panel selected (click it in the Preview panel), go to the Properties panel and click the Browse button to the right of the Picture property listing.

The Edit Picture dialog box opens. You can edit the current picture in your favorite image editor by clicking Edit, or you can replace the picture with a bitmap picture of your own.

To replace the current bitmap for the Center panel, click the Browse button. Use the Select a Bitmap dialog box that opens to locate the bitmap you will use as the replacement. Click Open to return to the Edit Picture dialog box. Click OK to return to the LogonStudio Editor.

Tip

To select the default image editor for LogonStudio, click the Options button on the main screen. The LogonStudio options appear. Click the Select Bitmap Editor button and browse to locate the executable file that starts your software.

Your replacement bitmap picture is applied to the Center panel. To see this in the Preview panel, click the Refresh Preview button on the editor's toolbar.

You can change how the bitmap is placed on the logon screen by clicking in the Style box of the Properties panel. A drop-down list appears that enables you to change the placement of the bitmap; the options are Tiled, Fixed Size, and Stretched.

After you have the new bitmap for the Center panel, you can change the other elements in the current logon screen. Select each element in turn and then modify the bitmap or the properties of that element until you achieve the desired effect.

Tip

You can delete the divider lines that show on the default logon screen by selecting the divider line in the Elements panel. Then click the Browse button for that divider in the Properties panel and remove the check mark from the Use Picture check box on the Edit Picture dialog box. This, in effect, deletes the divider line from your custom logon screen.

Save the changes you make to your new logon screen by clicking the Save button on the editor toolbar. Figure 13.16 shows a logon screen I have created. I changed the center panel bitmap, removed the center divider line, changed the position of the User Account box, and played with some of the fonts.

Figure 13.16. A new logon screen can be created with a few simple modifications to the default Windows logon.

[View full size image]

When you have completed your logon screen, you can save it, apply it, and test it by clicking the Save and Apply button on the LogonStudio Editor toolbar. You are taken to the logon screen. Click your logon name to return to Windows and the LogonStudio Editor.

You can close the LogonStudio Editor window to return to the main LogonStudio window. Your new logon screen is now listed in the logon list.

LogonStudio also lets you download additional logons from www.wincustomize.com, the default skin element site for the various Object Desktop products. More importantly, it also allows you to quickly restore the default Windows logonparticularly nice if you are having trouble with a downloaded or edited logon. Click the Restore Default XP Logon button to return to the default XP logon screen.

Creating logon screens can be as much fun as creating visual styles and the other elements, such as icons and backgrounds, that make up your Windows skins. As with the other skin elements, the possibilities are really limitless, so let your creativity and imagination take over as you create your own logon screens.


Changing the Windows Boot Screen

If you want to skin every aspect of the Windows interface, the last step is to apply an alternative boot screen. As I've already mentioned, this skinning operation is the riskiest in terms of making your system unstable. Style XP, StarSkin, and Stardock's Theme Manager all provide the ability to change the default Windows boot screen.

Caution

If you have only one computer and it serves purposes other than just entertainment, you might want to limit your skinning of Windows to the GUI using skinning software such as StarSkin or WindowBlinds. Don't mess with the boot screen if your computer is something you can't live without.

StarSkin uses boot screen files that are executable files (.exe). They are hacked versions of the ntoskrnl.exe file, which is an extremely important core operating system file. So, to change from the Windows XP default boot screen, you must install a modified or hacked version of the ntoskrnl.exe file.

Style XP uses a strategy for changing the default boot screen that uses a modified version of the ntoskrnl.exe, named kernel.exe. A modified version of the Windows boot.ini file is also created so you can use alternative boot screens. Again, this can be risky because you are working with modified versions of important Windows resource files.

Theme Manager from Stardock provides a different approach to skinning the boot screen and uses an add-on program called Bootskin to skin the boot screen. As with the other Object Desktop utilities such as WindowBlinds and LogonStudio, Bootskin uses its own file format and strategy for skinning the boot screen so it doesn't mess with the boot.ini file. This makes skinning the boot screen with Bootskin the safest method.

Using Style XP to Change the Boot Screen

After you assume the risk of changing the boot screen, the various skinning software packages make picking a new boot screen easy. For example, in Style XP, you click Boot Screens in the Choice list. A message appears letting you know that your boot.ini file will be backed up and that boot screens can be dangerous. It recommends that you have a repair disk handy or have your Windows bootable OS CD available.

Click OK, and then click Yes to back up the boot.ini file. It is backed up as boot.bkk in the C: drive root. A message appears that a new line must be added to the modified boot.ini file. Click Yes to proceed.

Now you can select an alternative boot screen from the list provided by Style XP. Click one of the boot screens listed in the Boot Screens list (see Figure 13.17).

Figure 13.17. Select an alternative boot screen.

[View full size image]

To apply the screen, click Apply Boot Screen. The next time you boot the computer, the alternative boot screen is used.

Here are a couple of other things you should be aware of related to boot screens and Style XP. First, if there is a problem with the boot screen, the Windows boot menu appears and you can use the arrow keys and Enter key to select the original Windows boot option to bypass the modified boot screen.

In addition, boot tools are provided by Style XP below the Boot Screens list. You can reset the kernel file using the Reset Kernel file button. You can also reset the boot.ini file to the original by clicking the Reset boot.ini File button. Resetting these files should fix any problems related to boot screens. However, resetting these files also negates your ability to use alternative boot screens.

Stardock Theme Manager and Boot Screens

As I already mentioned, Stardock Theme Manager changes your boot screen using an add-on program named Bootskin. Bootskin skins the boot screen using a bootskin.ini file and two image files, which we discuss in the section "Creating Boot Screens." So, you aren't messing with the boot.ini or OS kernel file when using Theme Manager.

To change the boot screen using Theme Manager, click Boot Skins in the Application list. If you do not have Bootskin installed, a link appears in the upper right of the Theme Manager window telling you to install Bootskin, which is freeware. Click the link and go through the installation process. After Bootskin is installed, Theme Manager displays a list of the boot screens that are available by default (see Figure 13.18).

Figure 13.18. Select an alternative boot screen from the Theme Manager list.

[View full size image]

Select a boot screen from the list to see a preview. To switch to that boot skin, click Apply. Then, the next time you boot the system, the alternative boot screen is used.

Downloading Boot Screen Skins

As with the other GUI elements, StarSkin, Style XP, and Theme Manager enable you to easily download boot screens from the Web and then apply them to your computer. In the case of StarSkin and Style XP, it is important that you download boot screens that are compatible with the version of Windows you are using. If you have updated your Windows XP installation to SP2, you need to download those boot screens that have been specifically designed for Windows XP SP2.

For example, when you download a new boot screen for StarSkin, a web page is opened that provides a list of boot screen categories that depend on your OS and the Windows updates you have downloaded and installed, such as SP1, SP2 (see Figure 13.19).

Figure 13.19. Make sure you download the appropriate boot skin for your version of Windows.

[View full size image]

Numerous boot skins are available for StarSkin, Style XP, and Theme Manager. Each of these skinning software utilities provides a link that takes you to a specific library of boot screensfor example, StarSkin uses www.belchfire.net.

As with the other skin elements, you can download as many boot screens as you want. In cases where you can't find an appropriate boot screen for your overall Windows skin, you can create your own boot screen. We discuss how you create a boot skin for Stardock Theme Manager and Bootskin in the next section.


Creating Boot Screens

You can modify the default boot screen by hacking Windows resource files such as boot.ini. However, there are software options for creating and managing your own boot screens. For example, LogonUI Boot Randomizer, available at http://www.belchfire.net/~userxp/indexlbr.htm, is a logon and boot skin manager and provides the ability to create your own boot skins.

Boot screens consist of three things: two image files and the hacked boot.ini file. In the case of Bootskin, you have the two image files, the same as you do if you are creating a boot screen hack. However, Bootskin uses its own .ini file, bootskin.ini, to skin the boot screen.

So, how do you create a boot skin for use by Bootskin, which can be managed using the Object Desktop Theme Manager? You need to create the image files and then create a custom bootskin.ini file for your particular boot screen. First, let's see how you prepare the image files.

Caution

As I've said more than once, boot skin creation and use is a risky proposition. I prefer the use of Bootskin for skinning the default Windows boot skin because I don't have to mess with system resource files. How you approach boot skinning is up to you, and many resources and discussion groups are available on the Web that are related to skinning and boot screens. I am covering Bootskin in this section because it is the least problematic of the possibilities.

Preparing Boot Skin Images

Two image files are required for a boot screen: the background image and the progress bar. These images must be 16-color bitmap pictures. You can look at existing boot screen files provided with Bootskin and then use these to reverse-engineer your own boot screens. Each boot skin is installed in its own folder in a Skins folder that is a subfolder of the Bootskin folder. You should open some of these folders and look at the images used and the bootskin.ini file that is used by each boot skin. You have to edit a bootskin.ini file for your boot skin, so scrolling through some of the bootskin.ini files associated with each boot skin can be helpful.

To prepare the image files you will use for your boot skin, you should use a utility provided by Stardock's SkinStudio. We discussed SkinStudio's ability to create Windows skins in Chapter 9.

So, let's look at how you would prepare your boot skin images in SkinStudio. First, open SkinStudio by selecting Start, All Programs, Object Desktop, SkinStudio. You can bypass the SkinStudio opening screen by clicking Close.

Select the Tools menu, point at Bootskin, and then select Prepare Image. The Boot Screen Image Prepare window opens. Click the Browse button to locate the file you want to prepare. In the Open dialog box, locate your file and click Open to open the image (see Figure 13.20). You typically start with the background image.

Figure 13.20. Select the image you want to prepare for the boot screen.

[View full size image]

You can adjust the resampling and dithering settings for the image using the appropriate drop-down lists. Try different combinations to achieve the best effect. Remember that you are creating a 16-color image, so it will not look as good as the original if you started with an image that uses a more complex color palette.

When you are ready to save the image, click the Save button. In the Save As dialog box, navigate to the C:\Program Files\Stardock\wincustomize\Bootskin\skins folderthis is a folder that is created when Bootskin is installed. Create a subfolder in the Skins folder, using the name you will use for your boot skin (for example, I will call my folder Bigcat). Open the new folder and save your background image to it using a simple filename with no spaces (see Figure 13.21).

Figure 13.21. Save your image file to the folder you created.

[View full size image]

When you save the file, the Boot Screen window closes and returns you to SkinStudio. Now you can prepare the second image you will use for the boot screen. If you have already prepared the background image, you need to prepare the progress bar image.

You don't have to prepare your own progress bar image if you are satisfied with the default progress bar that appears when Windows boots. If you look at the progress bar images included with some of the Bootskin boot screen files, you will find that you are basically dealing with a rectangle that is 22 ¥ 9 pixels. You can create this image in any drawing software and then prepare it using the SkinStudio Boot Screen Image Prepare window. Be sure to save the image to the folder you created for your new boot skin (don't put spaces in the filename).

When you have your files prepared, you need to create the bootskin.ini file. We discuss this file in the next section.

Modifying the bootskin.ini

The last step in the process is accomplished in a text editor, and your best option is Windows Notepad. Open one of the bootskin.ini files that is used by one of the alternative boot skins provided with the Bootskin program and held in the Skins subfolder. If you are using a new boot screen image and a new progress bar image, open the bootskin.ini supplied with the Toon boot skin (look in the Toonboot 1-5 folder and open the bootskin.ini file with Notepad, as shown in Figure 13.22).

Figure 13.22. Open an existing bootskin.ini file that you can edit.

[View full size image]

You need to edit each line of the bootskin.ini file so that they are specific for your boot skin. For example, for my Bigcat boot skin, I would edit the bootskin.ini file as follows:

[bootSkin]
Type=0
Name = "a cat boot screen"
Author = "Joe Habraken"
Description = "A cat boot skin"
ProgressBar=catprogress.bmp
ProgressBarX = 241
ProgressBarY = 420
ProgressBarWidth = 200
Screen=catback.bmp

Note that descriptive text for the boot skin is always placed in quotation marks. The three progress bar settingsProgressBarX, ProgressBarY, and ProgressBarWidthare in pixels and determine the location and width of the progress bar. I suggest that you use the settings provided in the bootskin.ini files of boot skins that work. You can deviate from these settings for experimental purposes and to determine how you want the progress bar to look at bootup.

After you have edited the bootskin.ini file so it points to your image files, you can use Notepad's Save As command to save the file to the folder you created for your boot skin. And that is all there is to it.

Note

ProgressBarX is the horizontal position of the progress bar on the screen, and the ProgressBarY setting is the vertical position of the progress bar on the screen.

Now comes the real test: Open the Stardock Theme Manager and click Boot Skins in the Applications list. Your new boot skin should appear on the list of available boot skins. Select it to preview it (see Figure 13.23).

Figure 13.23. Preview your new boot skin.

[View full size image]

Click Apply to apply your boot skin to Windows. You can close Theme Manager by clicking OK. Now when you reboot the system, your new boot skin should be used. And because this is the last of the Windows elements, you have completely skinned the Windows interface.

Tip

If your boot skin fails to work, Windows will have problems opening and might hang. Restart the computer and the Windows boot menu should appear (or press F8 after a reboot). Start the computer in Safe mode and then change back to the default Windows boot skin. In a worst-case scenario, start the computer in Safe mode and use the Add/Remove Program utility in the Control Panel to remove the Bootskin program. This resets the boot skin to the default Windows boot screen.


Chapter 14. But It Doesn't Look Like Windows XP

In this chapter

  • A look back at skinning Windows

  • Enhancing the Windows GUI

  • Using Stardock ObjectBar

  • Using desktop extenders such as DesktopX

  • Skinning Windows Media Player

  • A final word regarding skinning

In our previous discussions of skinning Windows, we have talked about skinning from a more aesthetic or artistic approach and haven't really examined the practical application of skins to the Windows environment. Although personalizing and modifying the Windows GUI is really a creative experience, there are ways to modify the Windows interface so it is a more practical and user-friendly environment.

In this chapter we discuss the degree to which skinning can be taken in the Windows environment. We also cover some advanced skins that make Windows look like something other than Windows.

We also look at software utilities, which are referred to as desktop extenders. They allow you to change the Windows environment but also provide the ability to build custom Windows utilities and tools of your own.

Let's begin our discussion with a quick look back at the various aspects of skinning; then we can take a look at some advanced skins. We will also discuss issues related to skinning specific Windows applications. And our discussion will conclude with desktop extenders and how you can use them to further customize the Windows environment.


What You Have Learned So Far

You have learned different strategies for replacing and personalizing all the elements that make up a Windows skin, including visual styles, the Windows desktop, program windows, and the Windows XP boot and logon screens. Although each of the skinning software packages we have discussed, such as StarSkin, WindowBlinds, and Style XP, provides its own strategy for modifying the Windows interface, the overall effect they all provide is similar. These programs provide alternative graphics and color schemes for the various GUI elements. For example, Figure 14.1 shows the Airlock skin created by Mike Bryant.

Figure 14.1. Skins can provide a dramatic makeover for the Windows GUI.

[View full size image]

This skin really provides a complete makeover for the Windows environment. So, even though these skinning software packages do modify the overall look of Windows XP, they really don't alter the basic functionality of the interface. So, it might not look like Windows, but it still operates like Windows.

As another example, you can apply a skin that looks like the Apple OS; see Figure 14.2, which shows the MacPC skin created by Brad Wardell for the Stardock Object Desktop. Some Mac-like functionality is available in terms of how windows are manipulated (note the Mac-style close button on the My Computer Window), but you are still basically looking at the Windows desktop (note the standard Start panel).

Figure 14.2. You can skin Windows to look like a Mac.

[View full size image]

Now, I'm not saying that skinning Windows is a futile endeavor. It allows you to create your own, personalized Windows GUI, and that is pretty cool (and fun) in its own respect. However, what if you want to skin Windows and also alter the functionality of the Windows desktop? You can do this, but it requires additional software tools. Let's take a big-picture look at the whole idea of enhanced skins (enhanced in terms of functionality); then we can discuss some specific tools that allow us to play with the interface functions.


The Ins and Outs of Creating Enhanced Skins

A number of software utilities can extend the possibilities for skinning the Windows desktop. These software packages are referred to as desktop extenders. There are also tools that allow you to create custom toolbars and other custom interface components. For example, Stardock's ObjectBar enables you to create custom desktop toolbars for Windows. Figure 14.3 shows the same MacPC skin shown in Figure 14.2. However, a custom Start menu and taskbar have been applied using ObjectBar.

Figure 14.3. ObjectBar greatly enhances the Mac skin.

[View full size image]

Now the Windows GUI looks and operates much more like a Mac than it does without the possibilities provided by ObjectBar. So, the use of ObjectBar is one way to enhance the capabilities of any skin you create.

As already mentioned, another way to enhance the Windows desktop (and your skins) is using a desktop extender program. We discuss these programs in more detail later in the chapter, but here is a good example of a desktop extender. Stardock's DesktopX provides an environment in which you can create custom mini-applications called widgets. So, in a nutshell, desktop extenders not only allow you to change the appearance of the Windows desktop, but also allow you to enhance the functionality of the desktop with widgets. Figure 14.4 shows the default Windows XP desktop, but DesktopX has been enabled and provides several desktop widgets. These include a calendar, a clock, an email widget (for checking email), and a widget that enables you to do a Google search without opening Internet Explorer (Internet Explorer opens automatically when you start the search).

Figure 14.4. DesktopX provides widgets on the Windows desktop.

[View full size image]

Desktop extenders such as ObjectBar and DesktopX enable you to go beyond skinning in terms of how the interface operates. Let's take a closer look at Stardock's ObjectBar. We can then take a more complete look at desktop extender programs such as DesktopX.


Working with the Stardock ObjectBar

ObjectBar provides the ability to modify or extend the Windows Start menu and taskbar. This means you can use ObjectBar to create custom toolbars using the various parts of the Start menu, taskbar, system tray, and clock. This lets you control how the tools on the desktop function and look. Because these ObjectBar toolbars are skinnable, you can create a completely custom look for the Windows desktop. So, ObjectBar provides the tools for making your skins more interactive and functional.

You can download and purchase a shareware version of ObjectBar from Stardock (www.stardock.com). It is also a component of the Stardock Object Desktop Suite.

Note

Using ObjectBar with a skinning package such as WindowBlinds allows you to re-create any OS environment on the PC. This means you can make it look like a Mac, a Linux-based computer, and so on. Not only does it look like a particular environment, but ObjectBar also allows it to operate like that environment. You also can, obviously, create OS environments that don't exist. It's all up to you and your creativity.

After you install ObjectBar, you can open it from the Start menu by selecting Start, All Programs, Object Desktop, ObjectBar. The first time you open ObjectBar, the Theme Browser opens (see Figure 14.5).

Figure 14.5. ObjectBar provides toolbar themes.

[View full size image]

Themes can contain multiple toolbars and dictate the default placement of the custom Start menu/taskbar toolbars provided. Let's take a look at applying an ObjectBar theme to Windows.

Selecting an ObjectBar Theme

Make sure that the Available Themes icon is selected in the ObjectBar Icon panel (on the left of the application window). Scroll through the theme list to view the available themes.

Select a theme from the theme list. To view the toolbars contained in the theme, click the Bars from This Theme icon. A list of the toolbars in the theme is shown in list panel (see Figure 14.6).

Figure 14.6. View the toolbars contained in a theme.

[View full size image]

To load a theme, click the Available Themes icon and then select the theme you want to load. Then click Load. The theme toolbars are placed on the Windows desktop (replacing the default Start menu, taskbar, and so forth).

At this point, you can close the ObjectBar window by clicking Close. An icon for ObjectBar is placed in the Windows system tray. To reopen the ObjectBar Theme Browser window, right-click the ObjectBar icon in the system tray. On the shortcut menu, point at Load and then click Theme Browser.

Tip

You can also load individual toolbars from a theme. Click the Bars from This Theme icon to view the toolbars for the selected theme. Then select a toolbar and click Load.

Downloading an ObjectBar Theme

You can also download additional ObjectBar themes. In the ObjectBar Theme Browser window, select the Themes on the Internet icon. This opens Internet Explorer or your default browser and takes you to the ObjectBar library (at www.wincustomize.com). The library contains a number of themes. When you find a theme you want to download, click the Download button.

Save the ObjectBar theme to an appropriate folder on your computer. The file is downloaded as a Zip file. You don't have to extract the theme; ObjectBar is capable of loading the theme directly from the Zip file.

To load the downloaded theme, click the Browse button in the ObjectBar Theme Browser window. Locate your downloaded theme, select it, and then click Open. The theme is applied to the Windows desktop.

Note

ObjectBar themes are rated by winCustomize.com members using a five-star rating system (with five stars being the best). You can also get additional information on a theme by clicking the More Details button for a particular theme.

Tip

If you want to go back to the Windows XP default Start menu and taskbar, right-click ObjectBar in the system tray and select Unload ObjectBar.

Configuring an ObjectBar Theme

You can also change the configuration settings for an ObjectBar theme. Right-click the ObjectBar icon in the system tray and then select Configure Theme. The Theme Editor window opens (see Figure 14.7).

Figure 14.7. Configure the current theme.

[View full size image]

On the left of the Theme Editor window, the toolbars available in the current theme are displayed. You can select a toolbar by clicking it. The Theme Editor provides five tabs that enable you to alter properties related to the current theme and the toolbars it contains:

  • Display This tab shows the name of the selected toolbar (selected in the toolbar panel on the left of the window). It also shows the current skin that has been applied to the theme. You can click the Change Skin button to select a new skin for the theme. You can choose to assign WindowBlinds skins to a theme allowing you to integrate your custom toolbars into a skin you have created (or downloaded) for WindowBlinds.

  • Sizing & Positioning This tab determines how a selected toolbar is displayed. The bars can be displayed either vertically or horizontally. You can also set the docking options for a toolbar. You can dock the toolbar to the top edge or bottom edge, or you can choose not to dock it.

  • Advanced This tab enables you to set the transparency for the toolbar and set the minimum and maximum sizes for the toolbar. These advanced options are typically unused because the theme skin used includes transparency and sizing information related to the toolbars.

  • Extra Options This tab enables you to set the on top options for the toolbar. You can choose to have it always on top or set a layer setting (1, 2, or 3) that determines where the toolbar appears when multiple windows are open.

  • Hotkey This tab enables you to configure a toolbar to react to a Windows key on the keyboard or a hotkey combination of your choosing.

ObjectBar themes included with ObjectBar or that you have downloaded already have configuration settings that have been determined by the theme author. You can play with the various settings; however, in most cases, the settings have already been fine-tuned for the best functionality and access of the toolbars. Keep these configuration options in mind, though, when you are working with ObjectBar themes and toolbars you have created (which is the subject of our next section).

Tip

You can also access other options related to the ObjectBar theme by right-clicking the ObjectBar icon and selecting General Options. These options allow you to configure such options as having ObjectBar loaded on Windows startup and hiding the desktop icons when the theme is applied.


Creating an ObjectBar Theme

You can also create your own ObjectBar themes and toolbars. Right-click the ObjectBar icon in the system tray and select New, Start New Theme. The Start New Theme dialog box opens (see Figure 14.8).

Figure 14.8. Provide a name for your new theme.

[View full size image]

Provide a name for the new theme and then click OK. Folders for the new theme are created (providing a place for the toolbars you create), and the new theme is applied to Windows. Because the new theme doesn't include any toolbars, your Windows interface is returned to the default XP Start menu and taskbar.

Now you can create new toolbars, including docked and floating toolbars, for the new theme.

Right-click the ObjectBar icon in the system tray; select New, Create Bar. The Create New Bar dialog box opens (see Figure 14.9).

Figure 14.9. Provide a name for the new toolbar and select a toolbar skin.

Provide a name for the new toolbarfor example, Startbar (or another descriptive name). You also need to select a skin for the new toolbar. To make things easy, select a WindowBlinds skin for your new toolbar (make sure that WindowBlinds is running). Select the Use a Skin from Another Theme option button. Then in the Theme drop-down list, select Use WindowBlinds Skin. In the Skin drop-down list, select a skin provided by WindowBlinds. For example, I am going to apply the WinXP Copper taskbar to my new toolbar, which will serve as my Start menu and taskbar). I'm picking a simple skin that really replicates a typical Windows taskbar so you can see how the toolbar is configured.

Tip

You can also apply a skin that is used by another of the ObjectBar themes included with ObjectBar or that you have downloaded from the Web. Select the theme in the Theme list and then select a skin from that theme in the Skin list.

You can also select the orientation of the new toolbar. Use the Bar's Orientation list to select Horizontally or Vertically. Then click OK. This opens the Theme Editor and shows the new toolbar in the Bars list. The new toolbar is a floating toolbar by default (see Figure 14.10).

Figure 14.10. The new toolbar is listed as a floating toolbar.

[View full size image]

Now you can set the configuration settings for the toolbar and then add sections to the toolbar so that it actually does something. First, you must set the toolbar's position; I'm going to dock my horizontal toolbar at the top of the desktop. Click the Sizing & Positioning tab and then click the Docking drop-down list. Select Dock to Top Edge. Your new toolbar will now be listed in the toolbar list as a docked toolbar.

You can also adjust the other configuration settings, such as height and width of the toolbar, as needed. Next, you need to add items to your new toolbar so it can function as your alternative to the default Windows taskbar.


Adding Items to a Toolbar

For a new toolbar to be functional, you need to add items to it. For my toolbar, I want to add a menu to the taskbar that allows me to start my programs because it will function as a substitute for the Start menu and taskbar. This will be a substitute for the Start menu.

Select the new Startbar toolbar or the toolbar you created in the Theme Editor. Then select the Create menu, point at New and then select Container. This is a container in which you place your program or Start menu. Now with the new container selected, click Create, point at New and select Shortcut (to run a program). Type a name for the new Shortcut on the Display tab (such as Start).

You can display the new shortcut using both text and an icon, using text, or using an icon. You can also select any icon or BMP file to use as the icon for the shortcut. In Figure 14.11, I have named the shortcut Start and have chosen to use an icon only. I then browsed for an icon I had created. The icon size was changed to 32 ¥ 32.

Figure 14.11. Set the display properties for the new shortcut.

[View full size image]

Next, you need to configure the shortcut so it actually does something. In this case, we'll make it open the Programs folder and provide a list of available programs. Click the Behavior tab in the Theme Editor window.

Click the Open a Folder option button and then click the Use Special Folder option button. In the Special Folders drop-down list, select Programs (see Figure 14.12).

Figure 14.12. Set the behavior for the shortcut.

[View full size image]

Now you have a Start button with a custom graphic that lists the programs installed on the computer. At this point, you can add other items to the toolbar via the Create menu by selecting Create, New, Select an Item. For example, you can add a taskbar item that enables you to see open programs, a system tray, and a clock. These are all added as new items.

You can also add a new pop-up item that pops up a list that exists as a floating toolbar. Just select Create New list. So, the new Start menu and taskbar provide all the features of the Windows standard taskbar, but it also provides a list of recently used programs (see Figure 14.13; note the taskbar at the top of the desktop).

Figure 14.13. Add items to the custom toolbar.

[View full size image]

Up to this point, we have left the standard Start button and taskbar on the Windows desktop. This has enabled us to access programs while we were creating our new taskbar. After you get the commands you want on your various toolbars that replicate and expand the possibilities provided by the standard taskbar, you can hide the standard taskbar.

In the Theme Editor window, click the Information icon (the i icon) in the lower-left corner. The Theme Options dialog box opens; you can edit information related to your ObjectBar theme in this dialog box. To hide the standard Start button and taskbar, click the Hide Windows Taskbar check box. Then click OK to close the Theme Options dialog box.

Now your toolbar(s) is the command center for the Windows desktop. You can fine-tune your toolbars at any time by right-clicking the ObjectBar icon in the system tray and selecting Configure Theme

Tip

Make sure you save the changes you make to your ObjectBar theme; click File, point at Save, and then select Save Theme.


Using ObjectBar to Create New Desktop Environments

Although we walked through the ObjectBar possibilities by creating a fairly standard Windows taskbar, you can use ObjectBar to create custom desktop environments using any number of toolbars. Remember that you need to at least re-create the basic commands provided by the standard Windows taskbar. You can then figure out how you can make Windows more functional (in terms of what you typically do when working in Windows) and create the appropriate toolbars.

The fact that these custom toolbar environments you create in ObjectBar are skinnable (including WindowBlinds skin) means you can create a Windows desktop with its own look and function. When you begin to create your toolbars, try to brainstorm how your arrangement of commands, folders, and other desktop tools will enhance your use of the Windows desktop.


Understanding Desktop Extenders

Another way to dramatically change how the Windows desktop works is to use a desktop extender. A desktop extender program allows you to extend and modify the basic Windows interface. You aren't necessarily re-creating the basic GUI; you are just customizing and extending it.

Desktop extenders enable you to place custom objects on your desktop that provide access to Windows programs. Desktop extender programs, such as Stardock's DesktopX, also allow you to create custom objects called widgets, which are executable programs that can run on the Windows desktop. Because DesktopX is compatible with the WindowBlinds skinning software, you can create custom tools on the desktop while also skinning the desktop. This enables you to create a truly custom Windows environment.

DesktopX allows you to create themes. These themes can include any number of desktop objects. Let's take a look at how you get DesktopX and then look at some of the things it can do to the Windows desktop.

Note

DesktopX isn't the only desktop extender available. Check out SysMetrix (http://www.xymantix.com/sysmetrix/), which provides desktop widgets and a skinnable desktop environment.


Using DesktopX

You can download DesktopX from http://www.stardock.com/products/desktopx/. A freeware version of DesktopX is available, as are enhanced and pro versions. DesktopX is also a component of the Stardock Object Desktop. So, it can also be purchased as part of this suite of skinning and GUI modification programs, which includes WindowBlinds, ObjectBar, and SkinStudio.

After you have downloaded and installed DesktopX, you can start it from the Windows Start menu; click Start, All Programs, Object Desktop, DesktopX. When you run DesktopX for the first time, you are prompted as to whether you want IconX to control the appearance of the Windows desktop icons. IconX provides a number of enhancements to desktop icons, including drop shadows. So, I suggest you allow IconX control over your icons.

Note

IconX is another program that is part of Stardock's Object Desktop. It can be used to select custom icon sizes within the Windows environment, among other icon enhancements. By default, Windows allows only one icon size.

DesktopX then loads the default DesktopX theme. This desktop modifies the standard Windows desktop only slightly. The standard taskbar is still present, but it does provide a number of custom widgets on the desktop such as a calendar, a clock, a mail access widget, and a widget that allows you to access DesktopX and its manual (see Figure 14.14).

Figure 14.14. Add widgets to the desktop.

[View full size image]

To add a widget to the desktop, click the DesktopX widget. Then click the Widgets icon in the DesktopX object window. The Widgets folder opens. Several widgets are provided, such as a battery meter, calculator, and weather widget. Double-click a widget to add it to the desktop. When you have finished adding widgets, you can close the Widget folder.

You can also add objects to the desktop. Click the Objects icon in the DesktopX Object window.

The Select Object window opens. You can scroll through the list of objects (see Figure 14.15).

Figure 14.15. Add objects to the desktop.

When you find an object you wish to add to the desktop, click the object in the list and click the Load button. The object is added to the desktop. You can also use the Select Object window to browse through the available widgets. Click the Widgets option button at the top of the window.

When you have finished working with the Select Object window, click its Close button. This returns you to the desktop.

Note

Objects typically point to programs installed on your computer. So, an object allows you to quickly open a program such as Microsoft Word. Widgets are objects, but they are special objects that are miniprograms in the form of their own executable files.

Tip

To close the DesktopX object window, click the DesktopX widget a second time.


Using DesktopX Themes

DesktopX includes many themes you can apply to the Windows desktop. Each theme includes a different set of widgets. To open the Select DesktopX Theme window, right-click the DesktopX icon in the system tray and then select Load Theme from the shortcut menu (see Figure 14.16).

Figure 14.16. Load a different DesktopX theme.

[View full size image]

You can load any of the available themes; select the theme and then click Load. You can also download new themes by double-clicking the Download from Internet option (the last icon in the theme list). This takes you to the winCustomize.com website. You can download numerous DesktopX themes from this website. You can then load them from the Select DesktopX Theme window by using the Browse button to locate the downloaded file.

Using a desktop extender such as DesktopX in conjunction with a custom toolbar program like ObjectBar allows you to completely change the Windows desktop. Throw in the capabilities of a skinning program like WindowBlinds, and you can create a totally custom user environment within Windows.

DesktopX also provides the ability to create your own themes, widgets, and objects. Because this involves the creation of miniprograms, it requires some knowledge of scripting (such as a working knowledge of Visual Basic). Creating widgets and objects is beyond the scope of this book. DesktopX does contain a special theme called Developer's Desktop that provides information on creating objects and includes objects you can clone. You will find the DesktopX Resources website at http://www.stardock.com/products/desktopx/resources.asp. This site not only provides links to DesktopX documentation, but also provides access to DesktopX programmer discussion groups.

For more about DesktopX theme, object, and widget creation, you can access the DesktopX Developer's Guide. Right-click the DesktopX icon in the system tray and then select Developer's Guide.

Note

If you do a little search on the Web, you will find that a number of Windows XP applications are skinnable. For example, skins are available for the popular media player Nullsoft's Winamp at http://www.winamp.com/. Another example is the popular Internet chat software ICQ (check out the ICQ skins at http://www.appleblossomart.com/icq.htm).


Skinning Windows XP Applications

In terms of skinning, the icing on the cake is the ability to skin individual applications. These skinned applications can then become an integral part of your overall desktop theme or skin. The types of applications that are most often skinned are applications that reside on the desktop while being usedfor instance, media players such as Real Player and the Windows Media Player that you use on the desktop to play music or view video.

Let's focus on Windows Media Player because it is installed by default on Windows XP. You can open Windows Media Player via the Start button: Select Start, All Programs, Accessories, Entertainment, Windows Media Player.

Note

Windows Media Player 10 is the most recent version of Windows Media Player at the time of this writing.

Windows Media Player comes with a number of skins. Click the Access Applications menu button, which is next to the Minimize button). Point at View and then select Skin Chooser. The Skin Chooser window opens (see Figure 14.17).

Figure 14.17. Choose a new skin for Windows Media Player.

[View full size image]

A large list of skins for the media player is provided. Select a skin to view a preview. When you find a skin you want to use, click the Apply Skin link.

After you apply a skin, you can return to the full mode by clicking the Return to Full Mode icon (the icon placement varies from skin to skin). With the large number of skins available, you will probably find a skin that integrates nicely with any Windows skin you have created.

Sometimes, however, you won't find a skin that works well with a Windows skin you have created. Therefore, you will have to create your own skin for Windows Media Player.

Tip

You can download more Windows Media Player skins by clicking the More Skins link. This takes you to the Microsoft Windows Media Player website. When you download new skins, they are added to the skin list.

One way you can create Windows Media Player skins is to write the code for the skin. Microsoft Windows Media Player 10 uses XML files to skin the application. Microsoft provides a software developer's kit (SDK) that has the resources for creating Media Player skins; do a search on the www.microsoft.com site for "Windows Media Player 10 SDK" to find the current location of this kit.

The alternative to coding a skin is to use a utility that enables you to create a skin from a more graphics-oriented approach. Stardock's SkinStudio Professional provides the ability to create a Windows Media Player skin. The approach to creating a Windows Media Player skin is the same as creating a Windows skin in SkinStudio. You are provided with a default skin that serves as the starting point for the new skin. You then systematically replace or modify the graphics in the default skin to create a custom skin.

You start SkinStudio Professional by selecting Start, All Programs, Object Desktop, SkinStudio Professional. When you do this, the opening screen provides a link for creating a new Media Player skin. Click the Windows Media Player Skin link. The Enter New Name dialog box opens. Type a name for your new Media Player skin and then click OK. SkinStudio opens and loads the default Media Player skin (see Figure 14.18).

Figure 14.18. Create a Windows Media Player skin in SkinStudio.

[View full size image]

To create the new Windows Media Player skin, select each of the skin parts in the Preview pane. This loads the image for the selected item into the Edit pane. You can then open the item in your image editing software, such as Photoshop, and change the image as needed.

Note

SkinStudio creates Windows Media Player skins in its own Universal Free Form (UFF) skin format.

Creating a Media Player skin is exactly the same as creating a Windows skin. Refer to Chapter 9, "Creating Windows XP Skins with Stardock SkinStudio," and follow the steps for using a skin template and editing skin components. After you have created your new Media Player skin, you can apply it to the Media Player by selecting Tools, WindowBlinds, Apply This Skin. Figure 14.19 shows a simple Windows Media Player skin created by modifying the sample SkinStudio Media Player skin. Note that a picture (of me) is used as the volume control.

Figure 14.19. Windows Media Player skins provide another possibility for skinning Windows.

You can also load Windows Media Player skins using the Stardock Theme Manager. Additional Windows Media Player skins can also be downloaded from www.wincustomize.com if you don't want to create your own.

Creating custom skins or downloading skins that match the Windows skins you use provides a unified look for your new Windows interface. The application skins you create are limited only by the time and effort (and some creativity) you want to expend creating the skin.


A Final Word on Skinning

There is more than one way to skin Windows. Themes provide a simple way to personalize the Windows desktop, while more advanced changes to the Windows interface require software that allows you to apply custom visual styles.

In terms of changing the functionality of the desktop, you need additional tools such as Stardock's ObjectBar or a desktop extender such as DesktopX. These programs enable you to take your skins to a whole new level in terms of how a user accesses basic Windows functions.

How far you take skinning is really up to you. You should just have fun and approach each level of the skinning process with care. Remember that much of what we have discussed in this book requires that you manipulate some important Windows codeyou don't want to disable your computer trying to create that perfect skin.

This book has provided a good overview of a number of skinning-related software packages, but be sure you read the documentation included with each software package carefully. Start with simple modifications and slowly and carefully work your way up to the ultimate skin. Take the time to check out the discussion groups that are provided by the various skinning software vendor websites. If you have a problem, you can bet that someone else has also had to deal with the same glitch. Take advantage of other skinners' knowledge; it will help you a lot as you create your own skins.


Part IV: Appendix

A Using ResHacker

307


Appendix A. Using ResHacker

Our foray into skinning has taken advantage of software utilities that either use the resident Windows skinning engine (uxtheme.dll) or provide their own skinning engine and format, such as WindowBlinds. The fact that you can hack Windows resource files and forgo the use of add-on skinning software has been mentioned several times in this book, and a particular resource hacking utility named Resource Hacker has also been referenced.

Resource Hacker (ResHacker for short) is a freeware utility that enables you to open, view, and edit Windows resource files. This enables you to edit system files. Although I don't recommend using ResHacker, I am making you aware of its existence. It can be used to do such things as hack resource files such as explorer.exe so you can modify the available icons in itthis is one of the files that supplies default desktop icons. You can also use ResHacker to create your own logon screens by hacking the default logonui.exe file (see Chapter 13, "Changing XP Logon Screens and Boot Screens," for more about logon screens).

ResHacker includes its own compiler/decompiler. This enables you to modify a resource file. Any Windows resource file can be opened and then hacked using ResHacker. Even if you just want to open a resource file and look at it, I suggest that you create a copy of the file and save it to a safe place, perhaps a backup folder. Then, if something goes wrong, you can copy the unhacked version of the file to the appropriate location.


Downloading and Installing Resource Hacker

You can download Resource Hacker from http://www.users.on.net/johnson/resourcehacker/. This is the main site for the software; other sites that enable you to download this utility can be found by doing a search for "resource hacker" using your favorite search engine.

Caution

If you are going to play with ResHacker, you should back up your entire computer. Messing with resource files can potentially disable your Windows OS. Be careful!

On the main Resource Hacker site, several links are provided for downloading the utility. Click a link to begin the download process. The file that is downloaded consists of a zipped archive file.

When you have the file on your computer, use the Extraction Wizard to extract the contents of the Zip file to a folder; by default, the Extraction Wizard extracts the contents to a folder named ResHacker. The contents of the Zip file include the Resource Hacker executable file, a Help file, and a readme file. I suggest you look at the readme file before starting ResHacker.


Working with ResHacker

To start ResHacker, double-click its executable file. The ResHacker window opens. To open a resource file (I'm opening a copy of the logonui.exe file as an example), select the File menu and then select Open. The Open File Containing Resource dialog box opens. Locate the resource file you want to open and then click Open.

The resource file is opened in the ResHacker window. Figure A.1 shows a copy of the logonui.exe file open in the ResHacker window.

Figure A.1. A resource file open in ResHacker.

[View full size image]

Note that on the left side of the ResHacker window a tree display is used to show the various parts of the resource file. You can click each of the elements in the tree to expand that element. For example, the String Table provides decompiled code and lists the various code lines of the resource. You can use this to do such things as change the messages that are displayed by a resource file as a user interacts with the file. When a user interacts with the logon screen, different messages appear depending on what the user does. More importantly, there is a folder in the tree called Bitmap. This controls the bitmaps that are used to render the logon screen you see.

If you expand the Bitmap folder, you are presented with a number of subfolders that hold individual resource filesin this case the individual bitmaps that make up the logon screen. If you expand one of the folders, you can then click its contents and view the bitmap it holds in the main ResHacker pane (see Figure A.2).

Figure A.2. Expand the folders in a resource file to view the contents.

[View full size image]

In the case of Figure A.2, I have expanded the folder that holds the Windows logo bitmap that appears on the logon screen. I've also selected the bitmap. The bitmap is shown in the main ResHacker pane.

Now, let's say you want to replace this bitmap with another bitmap. You must click the Action menu and select Replace Bitmap. The Replace Bitmap window opens (see Figure A.3). You can replace the current bitmap with a bitmap (.bmp) file or extract a replacement bitmap from another resource file.

Figure A.3. Locate a replacement bitmap file.

[View full size image]

Click the Open File with New Bitmap button and then locate the bitmap or resource file (.exe, .dll, or .res). Select the file and then click Open. If you are using a single bitmap file as a replacement, it appears in the lower window of the Replace Bitmap window. If you are extracting the bitmap from a resource file you opened, the available images in the resource file are listed in the upper-left pane of the Replace Bitmap window. Click the picture you want to use.

Next, click the Replace button. You are returned to the ResHacker window and the replacement graphic appears in the main pane of the ResHacker window (see Figure A.4). Be sure you save changes to the resource file you are hacking by clicking the File menu and selecting Save.

Figure A.4. The replacement picture appears in the ResHacker window.

[View full size image]

Note

If you really feel compelled to use ResHacker, you should read the resources related to ResHacker that are provided at http://www.neowin.net/. This website provides a primer on ResHacker and includes a forum where you can read posts and replies from other users of ResHacker.

If you want to use ResHacker as a way to give the logon screen a complete makeover, you would replace each of the graphics contained in the logonui.exe resource file. You would then save the file to the Windows\System32 folder. When you reboot, the modified logon screen would then appear.

Although the example in this appendix deals only with the changing of a bitmap file in a resource file (logonui.exe), you can use ResHacker to virtually rewrite a resource file. You can even hack resource files associated with applications. You can also use it to replace cursors, icons, and bitmaps that are found in the various resource files discussed in this book.

ResHacker really is the ultimate tool for reworking interface elements and other Windows resources. However, as I've mentioned before, you should mess with Windows resource files only if you are willing to take the riskand it is definitely a risk. But if you like playing around with file source code and like to see how individual resource files work, ResHacker can be a fun tool.

Tip

Your replacement bitmaps should be the same size as the bitmaps you are replacing in the resource file. To find the height and width of an image in a resource file, right-click the bitmap in the ResHacker window and then select Copy. You can then paste the image into your favorite image editing software to check out its size and other attributes. Be sure that the replacement has the same attributes (particularly the size and color palette, such as RGB) as the original.


Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]


SYMBOL

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

.exe themes 2nd
unwrapping 2nd 3rd
unzipping themes from 2nd 3rd
.ico file extension
.msstyles file extension
.theme file extension
.zip themes, applying 2nd 3rd 4th 5th 6th
16-bit screensavers
21hua.com
32-bit screensavers
3D Objects setting (Advanced Appearance dialog box)


A

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Active Title Bar setting (Advanced Appearance dialog box)
Active Window Border setting (Advanced Appearance dialog box)
Additional Icons button (Quick Launch toolbar)
Adjust for Best Appearance option (visual effects)
Adjust for Best Performance option (visual effects)
Adobe Illustrator
backgrounds, creating 2nd
Adobe Photoshop 2nd
Advanced Appearance dialog box 2nd 3rd 4th 5th 6th
Advanced tab (ObjectBar Theme Editor)
Align to Grid option (desktop icons)
All Frames Already in It-Ready to Use in the Skin option (SkinStudio Import Image dialog box)
Allow Scrolling Through Pictures with the Keyboard option (My Pictures Slideshow)
Animate Windows when Minimizing and Maximizing option (visual effects)
animations
WindowBlinds 2nd 3rd
Appearance settings (Display Properties dialog box) 2nd 3rd 4th 5th 6th 7th 8th
Application Background setting (Advanced Appearance dialog box)
applications, skinning 2nd 3rd 4th 5th
applications. [See programs]
Apply Options setting (Style XP)
arranging
icons on desktop 2nd 3rd
Audio Devices Properties dialog box 2nd
audio. [See sounds]
auto-hiding
taskbar
AutoArrange option (desktop icons)
AX-Cursors (Axialis) 2nd
Axialis AX-Cursors 2nd


B

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

backgrounds
centering
changing 2nd 3rd 4th
creating from photos 2nd 3rd
creating with drawing software 2nd 3rd 4th 5th
default backgrounds 2nd 3rd
design guidelines 2nd
downloading 2nd 3rd 4th 5th 6th
positioning on desktop
resolution 2nd
selecting from Display Properties dialog box 2nd 3rd 4th
skins 2nd
storing 2nd 3rd 4th 5th 6th 7th
stretching
system performance
themes 2nd
tiling
Backgrounds settings (Style XP) 2nd
bmp file extension
boot screens 2nd 3rd 4th 5th
boot.ini file 2nd
changing with Stardock Theme Manager 2nd
changing with Style XP 2nd 3rd
creating 2nd
bootskin.ini file modifications 2nd 3rd 4th
images 2nd 3rd
downloading 2nd 3rd
ntoskrnl.exe file 2nd
Style XP
troubleshooting
Boot Screens tab (StarSkin) 2nd
boot.ini file 2nd
bootskin.ini file 2nd 3rd 4th
brightness
modifying with TGTSoft StyleBuilder
Browse dialog box
Browse for Folder dialog box (StyleBuilder)
burn-in
Button Visibility Test dialog box (SkinStudio)


C

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Caption Buttons setting (Advanced Appearance dialog box)
centering
backgrounds
ChameleonXP
Change Icon dialog box 2nd 3rd 4th 5th
changing
backgrounds 2nd 3rd
boot screens
Stardock Theme Manager 2nd
Style XP 2nd 3rd
colors
font size 2nd
icons 2nd 3rd 4th 5th 6th 7th
themes 2nd
Choose a Logon to Add dialog box
choosing
skin editors 2nd 3rd 4th
skinning software 2nd
Color dialog box (StyleBuilder)
color quality
setting 2nd 3rd
colors
brightness
changing
color quality
setting 2nd 3rd
hue
modifying with TGTSoft StyleBuilder 2nd 3rd 4th 5th 6th
overview 2nd 3rd
RGB color palettes 2nd
saturation
theme color schemes 2nd
combo boxes
complex skins, creating 2nd 3rd 4th 5th
compression
lossy
configuring
ObjectBar themes 2nd
Control Selection panel (Stardock SkinStudio)
controls
overview 2nd 3rd
converting
images to icons 2nd 3rd 4th
Create New Logon dialog box (LogonStudio)
cur file format
cursors
creating 2nd 3rd 4th
Custom Options (visual effects)
Customize Start Menu dialog box 2nd


D

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

deleting
icons 2nd
design
backgrounds 2nd
desktop
backgrounds
centering
positioning on desktop
resolution
selecting from Display Properties dialog box 2nd 3rd 4th
stretching
tiling
color quality
setting 2nd 3rd
colors
changing
overview 2nd 3rd
theme color schemes 2nd
controls
overview 2nd 3rd
Desktop Cleanup Wizard
desktop extenders 2nd 3rd
definition of 2nd
DesktopX 2nd 3rd 4th 5th 6th 7th
SysMetrix
dialog boxes
overview 2nd 3rd
evolution of XP interface 2nd 3rd 4th 5th 6th
fonts
changing size of 2nd
icons
adding 2nd 3rd 4th 5th
arranging 2nd 3rd
changing 2nd 3rd 4th
converting images to 2nd 3rd 4th
creating 2nd 3rd 4th
creating from Start menu 2nd 3rd 4th 5th 6th
creation process
downloading 2nd 3rd 4th
drawing 2nd 3rd
drop shadows 2nd 3rd
folder icons 2nd 3rd
icon sets 2nd 3rd 4th
large icons
overview 2nd
removing 2nd
resource files 2nd
selecting from Display Properties dialog box 2nd 3rd 4th 5th 6th 7th 8th
themes 2nd
third-party icon-creation utilities 2nd 3rd 4th
mouse pointers
creating 2nd 3rd 4th
overview 2nd
possibilities for customization 2nd 3rd 4th 5th 6th 7th 8th
screen resolution
setting 2nd 3rd
screensavers
idle time 2nd 3rd 4th
password protection 2nd 3rd 4th
selecting from Display Properties dialog box 2nd 3rd 4th 5th 6th
settings 2nd 3rd 4th
themes 2nd
sounds
overview 2nd 3rd
Start menu
adding applications to
Classic Start menu
overview 2nd 3rd
properties 2nd 3rd
taskbar
auto-hiding
keeping on top
locking
locking/unlocking 2nd
overview 2nd 3rd
properties 2nd 3rd
Quick Launch toolbar 2nd
system tray 2nd
toolbars
adding items to 2nd 3rd 4th
visual effects 2nd 3rd 4th 5th
wallpaper
windows
overview 2nd 3rd
Desktop Cleanup Wizard 2nd
desktop environments
creating with ObjectBar 2nd
desktop extenders 2nd 3rd 4th
definition of 2nd
DesktopX 2nd 3rd 4th 5th 6th 7th
downloading
starting
themes 2nd
widgets
SysMetrix
Desktop Items dialog box 2nd 3rd 4th 5th 6th
Desktop setting (Advanced Appearance dialog box)
Desktop tab (StarSkin) 2nd
desktop. [See also themes]
DesktopX 2nd 3rd 4th 5th 6th 7th 8th
downloading
starting
themes 2nd
widgets
dialog boxes
Advanced Appearance 2nd 3rd 4th 5th 6th
Audio Devices Properties 2nd
Browse
Browse for Folder (StyleBuilder)
Change Icon 2nd 3rd 4th 5th
Choose a Logon to Add
Color (StyleBuilder)
Customize Start Menu 2nd
Desktop Items 2nd 3rd 4th 5th 6th
Display Properties 2nd 3rd
Appearance settings 2nd 3rd 4th 5th 6th 7th 8th
Appearance tab 2nd 3rd
backgrounds 2nd 3rd 4th
Desktop tab 2nd 3rd
icons 2nd 3rd 4th
Screen Saver tab 2nd 3rd 4th 5th
screensavers 2nd 3rd
Themes tab
Effects 2nd
Import Image (SkinStudio)
Monitor Settings
Mouse Properties
Pointers tab 2nd 3rd 4th
My Pictures Screen Saver Options
New Skin (SkinStudio) 2nd
Open (SkinStudio)
Open Theme
Options (StyleBuilder) 2nd
overview 2nd 3rd
Performance Options
Visual Effects tab 2nd 3rd
Pick Transparency Index (Gif Movie Gear) 2nd
Program Preferences (SkinStudio)
Save As 2nd
SkinStudio Button Visibility Test (SkinStudio)
Sounds and Audio Devices Properties
Sounds tab 2nd
Taskbar and Start Menu Properties
Taskbar tab 2nd
Test Active Style (StyleBuilder)
disabling
Welcome screen 2nd
Display Properties dialog box 2nd 3rd
Appearance settings 2nd 3rd 4th 5th 6th 7th 8th
Appearance tab 2nd 3rd
backgrounds 2nd 3rd 4th
Desktop tab 2nd 3rd
icons 2nd 3rd 4th
Screen Saver tab 2nd 3rd 4th 5th
screensavers 2nd 3rd
Themes tab
Display tab (ObjectBar Theme Editor)
DLLs (dynamic link libraries)
uxtheme.dll
patching 2nd 3rd 4th 5th 6th
downloading
backgrounds 2nd 3rd 4th 5th 6th
boot screens 2nd 3rd
DesktopX
icon sets 2nd 3rd 4th
icons 2nd 3rd 4th
logon screens 2nd
ObjectBar themes 2nd
ResHacker (Resource Hacker) 2nd
screensavers 2nd 3rd 4th 5th
skinning software 2nd
skins 2nd 3rd 4th
for Style XP 2nd
for WindowBlinds 2nd
Stardock SkinStudio 2nd
Style XP 2nd 3rd
TGTSoft StyleBuilder 2nd
themes 2nd 3rd 4th 5th 6th
for StarSkin 2nd 3rd 4th
visual styles
for TGTSoft StyleBuilder 2nd
drawing
icons 2nd 3rd
drawing software 2nd 3rd 4th
backgrounds, creating 2nd 3rd 4th 5th
drop shadows
icons 2nd
dynamic link libraries (DLLs)
uxtheme.dll


E

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Edit Picture dialog box (LogonStudio)
editing
resource files
ResHacker (Resource Hacker) 2nd 3rd 4th
Editing panel (Stardock SkinStudio)
editors. [See skin editors]
Effects dialog box 2nd
Emulate Theme Support setting (StartSkin)
Enable All Themes setting (StartSkin)
Enable Style XP option (Style XP)
evolution of Windows XP interface 2nd 3rd 4th 5th 6th
executable themes 2nd
unwrapping 2nd 3rd
unzipping themes from 2nd 3rd
Explorer Bar settings (Style XP) 2nd 3rd 4th
Extra Options tab (ObjectBar Theme Editor)
Extraction Wizard 2nd 3rd


F

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Fade or Slide Menus into View option (visual effects)
Fade or Slide ToolTips into View option (visual effects)
Fade Out Menu Items After Clicking option (visual effects)
File menu commands (SkinStudio)
New, Skin from Template
files
.cur file format
.exe theme files 2nd
unwrapping 2nd 3rd
unzipping themes from 2nd 3rd
.ico file extension
.ini file format
.msstyles extension
.theme file extension
.zip theme files, applying 2nd 3rd 4th 5th 6th
bmp file extension
boot.ini 2nd
bootskin.ini 2nd 3rd 4th
icl file extension
ico file extension
jpeg
jpeg file extension
kernel.exe
logonui.exe 2nd 3rd 4th
editing with ResHacker 2nd 3rd 4th
logonxp filename extension
luna.msstyles
msstyles filename extension
notoskrnl.exe
ntoskrnl.exe 2nd
resource files
editing with ResHacker (Resource Hacker) 2nd 3rd 4th
sb filename extension
uxtheme.dll
patching 2nd 3rd 4th 5th 6th
zipped files, opening
finding
themes 2nd 3rd
folders 2nd
creating
Program Files
fonts
changing size of 2nd
modifying with TGTSoft StyleBuilder 2nd
smoothing
FreeHand
Freewaresaver.com


G

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Galt Screen Control
Gif Movie Gear 2nd 3rd 4th
graphics
backgrounds
changing
creating from photos 2nd 3rd
creating with drawing software 2nd 3rd 4th 5th
design guidelines 2nd
downloading 2nd 3rd 4th 5th 6th
resolution
skins 2nd
storing 2nd 3rd 4th 5th 6th 7th
system performance
themes 2nd
boot skin images 2nd 3rd
drawing software 2nd 3rd 4th
icons
adding to desktop 2nd 3rd 4th 5th
arranging on desktop 2nd 3rd
changing 2nd 3rd 4th
converting images to 2nd 3rd 4th
creating 2nd 3rd 4th
creating from Start menu 2nd 3rd 4th 5th 6th
creation process
downloading 2nd 3rd 4th
drawing 2nd 3rd
drop shadows 2nd 3rd
folder icons 2nd 3rd
icon sets 2nd 3rd 4th
large icons
overview 2nd
removing from desktop 2nd
resource files 2nd
selecting from Display Properties dialog box 2nd 3rd 4th
themes 2nd
third-party icon-creation utilities 2nd 3rd 4th
image editing software 2nd 3rd
mouse pointers
creating 2nd 3rd 4th
screensavers
16-bit screensavers
32-bit screensavers
creating 2nd 3rd 4th 5th
definition of 2nd 3rd 4th
downloading 2nd 3rd 4th 5th
idle time 2nd
installing 2nd
password protection 2nd
ratings
saving in themes 2nd
selecting from Display Properties dialog box 2nd 3rd
settings 2nd
slideshow screensavers 2nd 3rd 4th
testing
thumbnails
user account pictures, changing 2nd
visual styles
definition of 2nd 3rd


H

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Help panel (Stardock SkinStudio)
Hide Underline Letters for Keyboard Navigation Until I Press the Alt Key option (Effects dialog box)
history of Windows XP interface 2nd 3rd 4th 5th 6th
Hotkey tab (ObjectBar Theme Editor)
How Big Should Pictures Be? option (My Pictures Slideshow)
How Often Should Pictures Change? option (My Pictures Slideshow)
hue
modifying with TGTSoft StyleBuilder


I

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

ialog boxes
Create New Logon (LogonStudio)
Edit Picture (LogonStudio)
Select a Bitmap (LogonStudio)
icl file extension
ico file extension
Icon Developer
Icon Developer (Stardock) 2nd 3rd
icon editors
Icon Library
Icon Packager
icon sets
downloading 2nd 3rd 4th
Icon Spacing (Horizontal) setting (Advanced Appearance dialog box)
Icon Spacing (Vertical) setting (Advanced Appearance dialog box)
Iconbazaar
IconCool Editor 2nd
IconEdit 2nd
IconPlus
icons
adding to desktop 2nd 3rd 4th 5th
arranging on desktop 2nd 3rd
changing 2nd 3rd 4th
converting images to 2nd 3rd 4th
creating 2nd 3rd 4th 5th
creating from Start menu 2nd 3rd 4th 5th 6th
downloading 2nd 3rd 4th
drawing 2nd 3rd
drop shadows 2nd 3rd
folder icons
changing 2nd 3rd
icon sets
downloading 2nd 3rd 4th
large icons
overview 2nd
removing from desktop 2nd
resource files 2nd
selecting from Display Properties dialog box 2nd 3rd 4th
themes 2nd
third-party icon-creation utilities 2nd 3rd 4th
Icons setting (Advanced Appearance dialog box)
Icons settings (Style XP) 2nd 3rd 4th
IconX
Illustrator
backgrounds, creating 2nd
image editing software 2nd 3rd
Import Image dialog box (SkinStudio)
Inactive Title Bar setting (Advanced Appearance dialog box)
Inactive Window Border setting (Advanced Appearance dialog box)
ini file format
installing
ResHacker (Resource Hacker) 2nd
screensavers 2nd
skinning software 2nd
Stardock SkinStudio 2nd
Style XP 2nd 3rd
TGTSoft StyleBuilder 2nd
Internet Explorer toolbar


J

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Jans Painter 25
jansfreeware.com
Joint Photographic Experts Group (JPEG)
JPEG (Joint Photographic Experts Group)
jpeg file extension 2nd


K

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

kernel.exe file


L

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

large icons, setting
Leo\#213s Icon Archive
Let Windows Choose What\#213s Best for My Computer option (visual effects)
lightstar.com
list boxes
smooth scrolling
locking
taskbar 2nd 3rd
Logon Loader
logon screens 2nd
creating 2nd 3rd 4th 5th 6th 7th 8th
customizing with StarDock Theme Manager 2nd 3rd
customizing with StarSkin 2nd
customizing with Style XP 2nd
downloading 2nd
logonui.exe file 2nd 3rd
user account pictures, changing 2nd
Welcome screen, disabling 2nd
Logon Screens tab (StarSkin) 2nd
logons
Style XP
LogonStudio 2nd 3rd 4th 5th 6th 7th
LogonUI Boot Randomizer
logonui.exe file 2nd 3rd 4th
editing with ResHacker 2nd 3rd 4th
logonxp filename extension
lossy compression
Luna theme
luna.msstyles


M

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Macromedia FreeHand
malware
Media Player, skinning 2nd 3rd 4th 5th
Menu setting (Advanced Appearance dialog box)
menus
Start menu
adding applications to
Classic Start menu
overview 2nd 3rd
properties 2nd 3rd
Message Box setting (Advanced Appearance dialog box)
Microsoft Paint 2nd
backgrounds, creating 2nd
Microsoft Picture It 2nd
Microsoft Visual Basic
creating screensavers with 2nd
modification
definition of
Modified option (desktop icons)
modifying
colors
TGTSoft StyleBuilder 2nd 3rd 4th 5th
fonts
TGTSoft StyleBuilder 2nd
themes 2nd 3rd
Monitor Settings dialog box
monitors
color quality
setting 2nd 3rd
screen resolution
setting 2nd 3rd
mouse pointers
creating 2nd 3rd 4th
selecting 2nd 3rd 4th
themes 2nd
Mouse Properties dialog box
Pointers tab 2nd 3rd 4th
msstyles filename extension
Multi-Patcher 2nd 3rd 4th 5th 6th
My Pictures Screen Saver Options dialog box
My Pictures Slideshow screensaver 2nd 3rd 4th


N

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

names
arranging icons by
New Skin dialog box (SkinStudio) 2nd
notoskrnl.exe file
ntoskrnl.exe file 2nd


O

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Object Desktop 2nd
Object Desktop (Stardock)
ObjectBar (Stardock) themes 2nd
configuring 2nd
creating 2nd 3rd
desktop environments 2nd
downloading 2nd
selecting 2nd
Open dialog box (SkinStudio)
Open Theme dialog box
Options dialog box (StyleBuilder) 2nd
Options settings (Style XP) 2nd


P

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Paint 2nd
backgrounds, creating 2nd 3rd
Palette Title setting (Advanced Appearance dialog box)
Parameters panel (Stardock SkinStudio)
Part window (StyleBuilder)
passwords
screensavers 2nd
patching
uxtheme.dll 2nd 3rd 4th 5th 6th
PC World
performance issues
backgrounds
Performance Options dialog box
Visual Effects tab 2nd 3rd
photos
creating backgrounds from 2nd 3rd
Photoshop 2nd 3rd
Pick Transparency Index dialog box (Gif Movie Gear) 2nd
Picture It 2nd 3rd
Pin to Start Menu command
pointers
creating 2nd 3rd 4th
themes 2nd
pointers (mouse)
selecting 2nd 3rd 4th
Preview panel (Stardock SkinStudio)
Preview window (StyleBuilder)
Program Files folder
Program Manager 2nd
Program Preferences dialog box (SkinStudio)
programs
adding to Start menu
shortcut icons
adding to desktop 2nd 3rd 4th 5th
removing from desktop 2nd
ProgressBarX setting (bootskin.ini file)
ProgressBarY setting (bootskin.ini file)
properties
display properties
backgrounds 2nd
color schemes 2nd
icons 2nd
screen savers 2nd
icons 2nd 3rd 4th
mouse pointers 2nd
sound schemes 2nd
Start menu 2nd 3rd
taskbar 2nd 3rd
Properties/Zoom/Colorize window (StyleBuilder)


Q

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Quick Launch toolbar
adding to taskbar 2nd
Additional Icons button


R

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Registry
removing. [See deleting]
ResBuild
ResHacker (Resource Hacker) 2nd
downloading 2nd
editing resource files with 2nd 3rd 4th
installing 2nd
online resources
starting
resizing
fonts 2nd
resolution
backgrounds 2nd
screen resolution
setting 2nd 3rd
resource files
editing with ResHacker (Resource Hacker) 2nd 3rd 4th
Resource Hacker. [See ResHacker]
RGB color palettes 2nd
Rocket Division Software StarSkin
logon screens, customizing 2nd
RocketDivision StarSkin 2nd 3rd 4th
Boot Screens tab 2nd
Desktop tab 2nd
downloading themes for 2nd 3rd 4th
Logon Screens tab 2nd
Setup tab 2nd 3rd 4th
Styles tab 2nd
Themes tab 2nd
Rotation settings (Style XP) 2nd
Run at Startup option (Style XP)
Run at Startup setting (StartSkin)


S

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

saturation
modifying with TGTSoft StyleBuilder
Save As dialog box 2nd
saving
screensavers in themes 2nd
themes 2nd
sb filename extension
Screen Booty
screen resolution
setting 2nd 3rd
Screen Saver Heaven
Screen Saver World
Screensaver Maker 2nd 3rd 4th
screensavers
16-bit screensavers
32-bit screensavers
creating 2nd 3rd 4th 5th
definition of 2nd 3rd 4th
downloading 2nd 3rd 4th 5th
idle time 2nd
installing 2nd
password protection 2nd
ratings
saving in themes 2nd
selecting from Display Properties dialog box 2nd 3rd
settings 2nd
slideshow screensavers 2nd 3rd 4th
testing
themes 2nd
Scrollbar setting (Advanced Appearance dialog box)
Search feature
security
passwords
screensavers 2nd
Select a Bitmap dialog box (LogonStudio)
Selected Items setting (Advanced Appearance dialog box)
selecting. [See choosing]
Setup tab (StarSkin) 2nd 3rd 4th
shadows
drop shadows
icons 2nd 3rd
under menus
under mouse pointers
Show Desktop Icons option
Show File Names option (My Pictures Slideshow)
Show Shadows Under Menus option (Effects dialog box)
Show Shadows Under Menus option (visual effects)
Show Shadows Under Mouse Pointer option (visual effects)
Show Translucent Selection Rectangle option (visual effects)
Show Window Contents While Dragging option (visual effects)
Show Windows Contents While Dragging option (Effects dialog box)
simple skins, creating 2nd 3rd 4th 5th
Single Frame-Create the Proper Image by Multiplying It option (SkinStudio Import Image dialog box)
Single Frame-Import It to Frame option (SkinStudio Import Image dialog box)
size
arranging icons by
fonts 2nd
Sizing and Position tab (ObjectBar Theme Editor)
skin editors
choosing 2nd 3rd 4th
definition of
SkinStudio 2nd 3rd
Stardock SkinStudio 2nd 3rd
Control Selection panel
downloading 2nd
Editing panel
Help panel
image editors 2nd 3rd 4th
installing 2nd
Parameters panel
Preview panel
Skin Wizard 2nd 3rd 4th 5th 6th
starting
templates 2nd 3rd 4th 5th
versions
WinCustomize.com 2nd
WindowBlinds 2nd
StyleBuilder 2nd 3rd
TGTSoft StyleBuilder 2nd
adding styles to Style XP 2nd
capabilities and limitations 2nd
creating visual styles 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th 19th
downloading visual styles 2nd
part tree
Part window
Preview window
Properties/Zoom/Colorize window
ResBuild
shortcut bar
StyleBuilder installation 2nd
testing visual styles
skin editors. [See also skinning software]
Skin from Template command (SkinStudio New menu)
Skin Wizard (Stardock SkinStudio) 2nd 3rd 4th 5th 6th
skinning software 2nd 3rd 4th
choosing 2nd
downloading 2nd
installing 2nd
Object Desktop 2nd
StarDock Theme Manager
boot screens, changing 2nd
logon screens, customizing 2nd 3rd
StarSkin 2nd 3rd 4th
Boot Screens tab 2nd
Desktop tab 2nd
downloading themes for 2nd 3rd 4th
Logon Screens tab 2nd
logon screens, customizing 2nd
Setup tab 2nd 3rd 4th
Styles tab 2nd
Themes tab 2nd
Style XP 2nd 3rd 4th 5th
Backgrounds settings 2nd
boot screens
creating skins with 2nd 3rd
downloading 2nd 3rd
downloading skins for 2nd
Explorer Bar settings 2nd 3rd 4th
Icons settings 2nd 3rd 4th
installing 2nd 3rd
logons
Options settings 2nd
Rotation settings 2nd
Themes settings 2nd 3rd
Transparency settings 2nd
Visual Style settings 2nd 3rd 4th
TGTSoft Style XP
boot screens, changing 2nd 3rd
logon screens, customizing 2nd
Theme Manager 2nd 3rd 4th
TopThemes Manager 2nd
uxtheme.dll, patching 2nd 3rd 4th 5th 6th
WindowBlinds 2nd 3rd 4th 5th 6th 7th
animations 2nd 3rd
basic setting 2nd 3rd
downloading skins for 2nd
starting
toolbars 2nd 3rd
visual styles
skinning software. [See also skin editors]
skins 2nd 3rd 4th
backgrounds 2nd
complex skins, creating 2nd 3rd 4th 5th
creating with Stardock SkinStudio 2nd 3rd
Control Selection panel
Editing panel
Help panel
image editors 2nd 3rd 4th
Parameters panel
Preview panel
Skin Wizard 2nd 3rd 4th 5th 6th
SkinStudio installation 2nd
templates 2nd 3rd 4th 5th
versions
WinCustomize.com 2nd
WindowBlinds 2nd
creating with Style XP 2nd 3rd
creating with TGTSoft StyleBuilder 2nd 3rd 4th
capabilities and limitations 2nd
colors 2nd 3rd 4th 5th 6th
downloading 2nd
fonts 2nd
image editors 2nd 3rd 4th 5th
installing 2nd
interface item properties 2nd 3rd 4th
part tree
Part window
Preview window
Properties/Zoom/Colorize window
ResBuild
shortcut bar
definition of 2nd 3rd 4th 5th 6th
downloading 2nd 3rd 4th
for WindowBlinds 2nd
downloading for Style XP 2nd
drawing software 2nd 3rd 4th
image editing software 2nd 3rd
ObjectBar themes 2nd
configuring 2nd
creating 2nd 3rd
desktop environments 2nd
downloading 2nd
selecting 2nd
possibilities for skin creation 2nd 3rd
screensavers
16-bit screensavers
32-bit screensavers
creating 2nd 3rd 4th 5th
definition of 2nd 3rd 4th
downloading 2nd 3rd 4th 5th
installing 2nd
ratings
saving in themes 2nd
slideshow screensavers 2nd 3rd 4th
testing
simple skins, creating 2nd 3rd 4th 5th
skin editors
definition of
SkinStudio 2nd 3rd
StyleBuilder 2nd 3rd
skin editors, choosing 2nd 3rd 4th
third-party skinning software 2nd 3rd
choosing 2nd
downloading 2nd
installing 2nd
StarSkin 2nd 3rd 4th
Style XP 2nd
TopThemes Manager 2nd
uxtheme.dll, patching 2nd 3rd 4th 5th 6th
WindowBlinds 2nd 3rd 4th
Windows XP applications 2nd 3rd 4th 5th
skins. 2nd [See also themes, visual styles] [See also skinning software]
SkinStudio
SkinStudio (Stardock) 2nd 3rd 4th 5th 6th
Control Selection panel
downloading 2nd
Editing panel
Help panel
image editors 2nd 3rd 4th
installing 2nd
Parameters panel
Preview panel
Skin Wizard 2nd 3rd 4th 5th 6th
starting
templates 2nd 3rd 4th 5th
versions
WinCustomize.com 2nd
WindowBlinds 2nd
Slide Open Combo Boxes option (visual effects)
Slide Taskbar Buttons option (visual effects)
slideshow screensavers
creating 2nd 3rd 4th
Smooth Edges of Screen Fonts option (visual effects)
Smooth-scroll List Boxes option (visual effects)
software
Axialis AX-Cursors
ChameleonXP
DesktopX 2nd 3rd 4th 5th 6th 7th
downloading
starting
themes 2nd
widgets
Galt Screen Control
Gif Movie Gear 2nd 3rd 4th
IconCool Editor
IconEdit
Logon Loader
LogonStudio 2nd 3rd 4th 5th 6th 7th
LogonUI Boot Randomizer
ResHacker (Resource Hacker) 2nd
downloading 2nd
editing resource files with 2nd 3rd 4th
installing 2nd
online resources
starting
Screen Booty
Screensaver Maker 2nd 3rd
spyware
Stardock Icon Developer
SysMetrix
ThemeXP
third-party icon-creation utilities 2nd 3rd
UXTheme
UXTheme Multi-Patcher 2nd 3rd 4th
software. [See also skin editors; skinning software]
sound
sound schemes
selecting 2nd 3rd
sounds
overview 2nd 3rd
theme sound schemes 2nd 3rd
Sounds and Audio Devices Properties dialog box
Sounds tab 2nd
spyware
StarDock
Theme Manager
boot screens, changing 2nd
logon screens, customizing 2nd 3rd
Stardock Corporation\#213s Object Desktop 2nd
Stardock Corporation\#213s Theme Manager 2nd 3rd 4th
Stardock Corporation\#213s WindowBlinds 2nd 3rd 4th 5th 6th 7th
animations 2nd 3rd
basic setting 2nd 3rd
downloading skins for 2nd
starting
toolbars 2nd 3rd
visual styles
Stardock Icon Developer 2nd 3rd
Stardock Object Desktop
Stardock ObjectBar themes 2nd
configuring 2nd
creating 2nd 3rd
desktop environments 2nd
downloading 2nd
selecting 2nd
Stardock SkinStudio 2nd 3rd 4th 5th 6th
Control Selection panel
downloading 2nd
Editing panel
Help panel
image editors 2nd 3rd 4th
installing 2nd
Parameters panel
Preview panel
Skin Wizard 2nd 3rd 4th 5th 6th
starting
templates 2nd 3rd 4th 5th
versions
WinCustomize.com 2nd
WindowBlinds 2nd
Stardock TopThemes Manager 2nd
Stardock WindowBlinds 2nd
StarSkin 2nd 3rd 4th
Boot Screens tab 2nd
Desktop tab 2nd
downloading themes for 2nd 3rd 4th
Logon Screens tab 2nd
logon screens, customizing 2nd 3rd 4th
Setup tab 2nd 3rd 4th
Styles tab 2nd
Themes tab 2nd
Start menu
adding applications to
Classic Start menu
icons
adding to desktop 2nd 3rd 4th 5th 6th
removing from desktop 2nd
overview 2nd 3rd
properties 2nd 3rd
starting
DesktopX
ResHacker (Resource Hacker)
Stardock SkinStudio
WindowBlinds
storing
backgrounds 2nd 3rd 4th 5th 6th 7th
themes 2nd
Stretch Small Pictures option (My Pictures Slideshow)
stretching
backgrounds
Style XP 2nd 3rd 4th 5th
Backgrounds settings 2nd
boot screens
boot screens, changing 2nd 3rd
creating skins with 2nd 3rd
downloading 2nd 3rd
downloading skins for 2nd
Explorer Bar settings 2nd 3rd 4th
Icons settings 2nd 3rd 4th
installing 2nd 3rd
logon screens, customizing 2nd
logons
Options settings 2nd
Rotation settings 2nd
Themes settings 2nd 3rd
Transparency settings 2nd
Visual Style settings 2nd 3rd 4th
visual styles, adding 2nd
Style XP Background option (Style XP)
StyleBuilder (TGTSoft) 2nd 3rd 4th 5th
adding styles to Style XP 2nd
capabilities and limitations 2nd
creating visual styles 2nd
colors 2nd 3rd 4th 5th 6th
fonts 2nd
image editors 2nd 3rd 4th 5th
interface item properties 2nd 3rd 4th
downloading 2nd
downloading visual styles 2nd
installing 2nd
part tree
Part window
Preview window
Properties/Zoom/Colorize window
ResBuild
shortcut bar
testing visual styles
Styles tab (StarSkin) 2nd
SysMetrix
system tray


T

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

taskbar
auto-hiding
keeping on top
locking
locking/unlocking 2nd
overview 2nd 3rd
properties 2nd 3rd
Quick Launch toolbar
adding 2nd
Additional Icons button
system tray 2nd
Taskbar and Start Menu Properties dialog box
Taskbar tab 2nd
templates
creating skins from
Stardock SkinStudio 2nd 3rd 4th 5th
Test Active Style dialog box (StyleBuilder)
testing
screensavers
text
fonts
changing size of 2nd
smoothing
TGTSoft Corporation\#213s Style XP 2nd 3rd 4th 5th
Backgrounds settings 2nd
boot screens
creating skins with 2nd 3rd
downloading 2nd 3rd
downloading skins for 2nd
Explorer Bar settings 2nd 3rd 4th
Icons settings 2nd 3rd 4th
installing 2nd 3rd
logons
Options settings 2nd
Rotation settings 2nd
Themes settings 2nd 3rd
Transparency settings 2nd
Visual Style settings 2nd 3rd 4th
TGTSoft Style XP
boot screens, changing 2nd 3rd
logon screens, customizing 2nd
visual styles, adding 2nd
TGTSoft StyleBuilder 2nd 3rd 4th 5th
adding styles to Style XP 2nd
capabilities and limitations 2nd
creating visual styles 2nd
colors 2nd 3rd 4th 5th 6th
fonts 2nd
image editors 2nd 3rd 4th 5th
interface item properties 2nd 3rd 4th
downloading 2nd
downloading visual styles 2nd
installing 2nd
part tree
Part window
Preview window
Properties/Zoom/Colorize window
ResBuild
shortcut bar
testing visual styles
Theme Editor (ObjectBar) 2nd
Theme Manager 2nd 3rd 4th
Theme Manager (StarDock)
boot screens, changing 2nd
logon screens, customizing 2nd 3rd
Theme World
themes
backgrounds 2nd
centering
changing 2nd 3rd
default backgrounds 2nd 3rd
positioning on desktop
resolution
selecting from Display Properties dialog box 2nd 3rd 4th
stretching
tiling
changing 2nd
color schemes 2nd
creating from scratch
Appearance settings 2nd 3rd 4th 5th 6th 7th 8th
backgrounds 2nd 3rd 4th
folders 2nd
icons 2nd 3rd 4th
idle time 2nd
mouse pointers 2nd 3rd 4th
password protection 2nd
screensavers 2nd 3rd 4th 5th
sound schemes 2nd 3rd
thematic content 2nd
theme elements 2nd 3rd 4th
definition of 2nd 3rd 4th
desktop icons 2nd
DesktopX 2nd
downloading 2nd 3rd 4th 5th 6th
downloading for StarSkin
executable themes 2nd
unwrapping 2nd 3rd
unzipping themes from 2nd 3rd
finding on Internet 2nd 3rd
icons
selecting from Display Properties dialog box 2nd 3rd 4th
Luna
modifying 2nd 3rd
mouse pointers 2nd
selecting 2nd 3rd 4th
saving 2nd
screensavers 2nd
idle time 2nd
password protection 2nd
selecting from Display Properties dialog box 2nd 3rd
settings 2nd
screensavers, adding 2nd
sound schemes 2nd 3rd
selecting 2nd 3rd
storing 2nd
theme websites 2nd 3rd
third-party theme and skinning software 2nd 3rd
choosing 2nd
downloading 2nd
installing 2nd
StarSkin 2nd 3rd 4th
Style XP 2nd
TopThemes Manager 2nd
uxtheme.dll, patching 2nd 3rd 4th 5th 6th
WindowBlinds 2nd 3rd 4th
Windows Classic 2nd 3rd 4th
zipped themes, applying 2nd 3rd 4th 5th 6th
Themes settings (Style XP) 2nd 3rd
Themes tab (StarSkin) 2nd
themes. 2nd [See also skins; visual styles] [See also third-party theme and skinning software]
ThemeWorld.com
ThemeXP
third-party icon-creation utilities 2nd 3rd 4th
third-party skinning software 2nd 3rd 4th
choosing 2nd
downloading 2nd
installing 2nd
Object Desktop 2nd
StarSkin 2nd 3rd 4th
Boot Screens tab 2nd
Desktop tab 2nd
downloading themes for 2nd 3rd 4th
Logon Screens tab 2nd
Setup tab 2nd 3rd 4th
Styles tab 2nd
Themes tab 2nd
Style XP 2nd 3rd 4th 5th
Backgrounds settings 2nd
boot screens
creating skins with 2nd 3rd
downloading 2nd 3rd
downloading skins for 2nd
Explorer Bar settings 2nd 3rd 4th
Icons settings 2nd 3rd 4th
installing 2nd 3rd
logons
Options settings 2nd
Rotation settings 2nd
Themes settings 2nd 3rd
Transparency settings 2nd
Visual Style settings 2nd 3rd 4th
Theme Manager 2nd 3rd 4th
TopThemes Manager 2nd
uxtheme.dll, patching 2nd 3rd 4th 5th 6th
WindowBlinds 2nd 3rd 4th 5th 6th 7th
animations 2nd 3rd
basic settings 2nd 3rd
downloading skins for 2nd
starting
toolbars 2nd 3rd
visual styles
thumbnails
tiling
backgrounds
toolbars
adding items to 2nd 3rd 4th
Internet Explorer
ObjectBar themes 2nd
configuring 2nd
creating 2nd 3rd
desktop environments 2nd
downloading 2nd
selecting 2nd
Quick Launch
adding to taskbar 2nd
Additional Icons button
WindowBlinds 2nd 3rd
WordPad
ToolTip setting (Advanced Appearance dialog box)
TopThemes Manager 2nd
TopThemes Manager (Stardock) 2nd
TopThemes.com
TopThinks TopThemes Manager 2nd
TopWalls.com
Transparency in System Menu setting (StartSkin)
Transparency settings (Style XP) 2nd
troubleshooting
boot screens
TUCOWS
type
arranging icons by


U

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

unlocking
taskbar 2nd
unwrapping
executable themes 2nd 3rd
unzipping
themes from executable files 2nd 3rd
Use a Background Image for Each Folder Type option (visual effects)
Use Common Tasks in Folders option (visual effects)
Use Drop Shadows for Icon Labels on the Desktop option (visual effects)
Use Large Icons option (Effects dialog box)
Use Pictures in This Folder option (My Pictures Slideshow)
Use Transition Effects Between Pictures option (My Pictures Slideshow)
Use Visual Styles on Windows and Buttons option (visual effects)
user account pictures, changing 2nd
UXTheme Multi-Patcher 2nd 3rd 4th 5th
uxtheme.dll
patching 2nd 3rd 4th 5th 6th


V

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

vector drawing tools 2nd
Visual Basic
creating screensavers with 2nd
Visual Effect tab (Performance Options) 2nd 3rd
visual effects 2nd 3rd 4th 5th 6th
Visual Style settings (Style XP) 2nd 3rd 4th
visual styles
adding to Style XP 2nd
creating with TGTSoft StyleBuilder 2nd
colors 2nd 3rd 4th 5th 6th
fonts 2nd
image editors 2nd 3rd 4th 5th
interface item properties 2nd 3rd 4th
definition of 2nd 3rd
downloading for TGTSoft StyleBuilder 2nd
testing for TGTSoft StyleBuilder
visual styles. [See also skins, themes]


W

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

wallpaper
(backgrounds)
centering
changing 2nd 3rd 4th
creating from photos 2nd 3rd
creating with drawing software 2nd 3rd 4th 5th
default wallpaper 2nd 3rd
design guidelines 2nd
downloading 2nd 3rd 4th 5th 6th
positioning on desktop
resolution 2nd
selecting from Display Properties dialog box 2nd 3rd 4th
skins 2nd
storing 2nd 3rd 4th 5th 6th 7th
stretching
system performance
themes 2nd
tiling
websites
theme websites 2nd 3rd
Welcome screen, disabling 2nd
widgets 2nd
DesktopX
wincustomize.com
WinCustomize.com 2nd
Window setting (Advanced Appearance dialog box)
WindowBlinds 2nd 3rd 4th 5th 6th 7th
animations 2nd 3rd
basic setting 2nd 3rd
downloading skins for 2nd
starting
toolbars 2nd 3rd
visual styles
WindowBlinds (Stardock) 2nd
windows
overview 2nd 3rd
Windows 3.x 2nd
Windows 95 2nd
Windows 98 2nd
Windows Classic theme 2nd 3rd
Windows Extraction Wizard
Windows Media Player, skinning 2nd 3rd 4th 5th
Windows Millennium Edition
Windows Registry
Windows resource files
editing with ResHacker (Resource Hacker) 2nd 3rd 4th
Windows Search feature
Windows XP applications, skinning 2nd 3rd 4th 5th
Windows XP visual style 2nd 3rd
WinZip Self-Extractor
wizards
Desktop Cleanup Wizard 2nd
Extraction Wizard 2nd 3rd
Skin Wizard (Stardock SkinStudio) 2nd 3rd 4th 5th 6th
Windows Extraction Wizard
WordPad toolbar
Wulfert.com


X

Team LiB

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

XE \#210themes
Luna\#211 XE \#210Luna theme\#211 theme


Z

Team LiB
Previous Section

Index

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

zipped files, opening
zipped themes, applying 2nd 3rd 4th 5th 6th

Team LiB
Previous Section